2006-01-19 15:49:56 GMT	Michael Olson <mwolson@gnu.org>	patch-357

    Summary:
      Another Debian fix.
    Revision:
      muse--main--1.0--patch-357

    * debian/NEWS: Rename from NEWS.Debian at the suggestion of Romain.
    
    * debian/rules: Drop explicit installation of NEWS.Debian.  This should
      happen automatically now.

    modified files:
     ChangeLog debian/rules

    renamed files:
     debian/.arch-ids/NEWS.Debian.id
       ==> debian/.arch-ids/NEWS.id
     debian/NEWS.Debian
       ==> debian/NEWS


2006-01-19 01:54:58 GMT	Michael Olson <mwolson@gnu.org>	patch-356

    Summary:
      Debian fixups.
    Revision:
      muse--main--1.0--patch-356

    * debian/emacsen-startup: Remove unnecessary path addition.
    
    * debian/rules: Explicitly install NEWS.Debian.  Thanks to Romain
      Francoise for noticing.

    modified files:
     ChangeLog debian/emacsen-startup debian/rules


2006-01-17 03:57:45 GMT	Michael Olson <mwolson@gnu.org>	patch-355

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 56)
    Revision:
      muse--main--1.0--patch-355

     * Sync a few changes back.

    modified files:
     ChangeLog Makefile Makefile.defs debian/changelog


2006-01-17 02:08:48 GMT	Michael Olson <mwolson@gnu.org>	patch-354

    Summary:
      Post-release updates.
    Revision:
      muse--main--1.0--patch-354

    * AUTHORS: Update assignments.
    
    * Makefile (release): Sign files here, rather than just before upload.
    
    * debian/copyright: Update.
    
    * debian/emacsen-install (FILES): Filter out autoloads.
    
    * debian/emacsen-startup: Load autoload file.
    
    * rules (build-stamp): Make autoloads.
      (install): Install NEWS properly.
    
    * lisp/Makefile: Make sure autoloads get generated upon install.
    
    * lisp/muse.el (muse-version): Change to version 3.02.6.  Oops.  Thanks
      to Romain Francoise for spotting this.

    modified files:
     AUTHORS ChangeLog Makefile debian/copyright
     debian/emacsen-install debian/emacsen-startup debian/rules
     lisp/Makefile lisp/muse.el

    renamed files:
     debian/.arch-ids/NEWS.id
       ==> debian/.arch-ids/NEWS.Debian.id
     debian/NEWS
       ==> debian/NEWS.Debian


2006-01-13 22:52:45 GMT	Michael Olson <mwolson@gnu.org>	patch-353

    Summary:
      Fix typo.
    Revision:
      muse--main--1.0--patch-353

    * lisp/muse-publish.el (muse-forward-list-item): Fix typo.  Thanks to Jim
      Ottaway for the report.

    modified files:
     ChangeLog lisp/muse-publish.el


2006-01-13 03:36:47 GMT	Michael Olson <mwolson@gnu.org>	patch-352

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 53-55)
    Revision:
      muse--main--1.0--patch-352

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-53
       Use better code for displaying warnings.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-54
       Add NEWS items.  Make eval of <lisp> at display time optional.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-55
       Release Emacs Muse 3.02.6.

    modified files:
     ChangeLog Makefile.defs NEWS debian/changelog
     lisp/muse-colors.el lisp/muse-html.el lisp/muse-mode.el
     lisp/muse-project.el lisp/muse-publish.el lisp/muse-wiki.el
     lisp/muse.el muse.texi


2006-01-11 22:08:16 GMT	Michael Olson <mwolson@gnu.org>	patch-351

    Summary:
      Fix #5044: lisp tag only evaluates first statement.
    Revision:
      muse--main--1.0--patch-351

    * lisp/muse-colors.el (muse-colors-lisp-tag): Manually wrap the contents
      in (progn ...) so that multiple lisp fragments can be evaluated.
      Thanks to Jim Ottaway for the idea.
    
    * lisp/muse-publish.el (muse-publish-lisp-tag): Ditto.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-publish.el


2006-01-06 18:17:07 GMT	Michael Olson <mwolson@gnu.org>	patch-350

    Summary:
      Sync with contributors.
    Revision:
      muse--main--1.0--patch-350

    * scripts/muse-build.el (muse-generate-autoloads): Add a newline to keep
      Emacs from being confused when it loads this file.  I don't think
      Emacs' evaluation of the quoted local variables section does any harm,
      but if it does, I'll provide a different fix.

    modified files:
     ChangeLog scripts/muse-build.el


2006-01-05 16:20:51 GMT	Michael Olson <mwolson@gnu.org>	patch-349

    Summary:
      Merged from john@wjsullivan.net--2006 (patch 0-1)
    Revision:
      muse--main--1.0--patch-349

    Patches applied:
    
     * john@wjsullivan.net--2006/muse--johnsu01--0--patch-1
       Updated copyright year. Added notes about using the .muse file extension to the Projects node.

    modified files:
     ChangeLog muse.texi


2006-01-05 14:38:56 GMT	Michael Olson <mwolson@gnu.org>	patch-348

    Summary:
      More nested list twiddling.
    Revision:
      muse--main--1.0--patch-348

    * lisp/muse-publish.el (muse-publish-surround-dl)
      (muse-forward-list-item): Make marginal progress on definition lists.
      (muse-forward-paragraph): Move forward first before searching.
    
    * lisp/muse-regexps.el (muse-dl-term-regexp): New regexp that specifies
      how a term begins.  The first match string contains the term.
      (muse-dl-term-regexp): Don't include initial "^", so that we can embed
      this more easily.

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse-regexps.el


2006-01-05 13:28:49 GMT	Michael Olson <mwolson@gnu.org>	patch-347

    Summary:
      Fix nested list regression.  Make some (untested) progress on dl.
    Revision:
      muse--main--1.0--patch-347

    * lisp/muse-docbook.el (muse-docbook-markup-strings): Drop newline from
      end-ddt string.
    
    * lisp/muse-html.el (muse-html-markup-strings): Ditto.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Ditto.
    
    * lisp/muse-xml.el (muse-xml-markup-strings): Ditto.
    
    * muse.texi (Introduction): Fix dated part concerning muse-wiki.
    
    * lisp/muse-publish.el (muse-publish-surround-dl): Make good progress on
      this.
      (muse-list-item-type): Deal with null str by returning nil.  It should
      never have to do this, but I'd rather not be bothered when I'm
      debugging something else.
      (muse-forward-paragraph): Make the enclosing parens shy.
      (muse-forward-list-item): Take optional ENTRY-P argument so that we can
      use this for both dl terms and dl entries.  Use muse-dl-entry-regexp
      when dealing with dl entries.  Lower the match number to cope with
      change to muse-forward-paragraph.
      (muse-publish-markup-list): Quote arguments lambda functions properly,
      so that we don't run into namespace conflicts.  This should fix a
      regression in nested list handling.
    
    * lisp/muse-regexps.el (muse-list-item-regexp): Clarify docstring.
      (muse-dl-entry-regexp): New regexp that matches the beginning of a
      definition list entry.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-publish.el lisp/muse-regexps.el lisp/muse-texinfo.el
     lisp/muse-xml.el muse.texi


2006-01-05 03:51:57 GMT	Michael Olson <mwolson@gnu.org>	patch-346

    Summary:
      Fix #4973: muse-project-ignore-regexp too aggressive
    Revision:
      muse--main--1.0--patch-346

    * lisp/muse-project.el (muse-project-ignore-regexp): Note that
      case-fold-search should be nil before using this regexp.
      (muse-project-recurse-directory, muse-project-file-entries)
      (muse-project-of-file): Set case-fold-search to nil before matching
      against muse-project-ignore-regexp.  Thanks to G. J. Teale for the
      report.
    
    * muse-registry.el (muse-registry-make-new-registry): Ditto.

    modified files:
     ChangeLog lisp/muse-project.el lisp/muse-registry.el


2006-01-04 20:07:54 GMT	Michael Olson <mwolson@gnu.org>	patch-345

    Summary:
      Fix backtrace on project names.
    Revision:
      muse--main--1.0--patch-345

    * lisp/muse-wiki.el (muse-wiki-handle-interwiki): Fix backtrace on
      coloring project names.

    modified files:
     ChangeLog lisp/muse-wiki.el


2006-01-04 00:50:43 GMT	Michael Olson <mwolson@gnu.org>	patch-344

    Summary:
      Fix quote publishing error.
    Revision:
      muse--main--1.0--patch-344

    * lisp/muse-publish.el (muse-publish-surround-text): Fix an error that
      occurs when publishing quotes.

    modified files:
     ChangeLog lisp/muse-publish.el


2006-01-04 00:37:27 GMT	Michael Olson <mwolson@gnu.org>	patch-343

    Summary:
      Nested list fix.
    Revision:
      muse--main--1.0--patch-343

    * lisp/muse-publish.el (muse-publish-surround-text): Preserve indentation
      of nested-list items until they are processed.

    modified files:
     ChangeLog lisp/muse-publish.el


2006-01-04 00:00:52 GMT	Michael Olson <mwolson@gnu.org>	patch-342

    Summary:
      Nested ordered and unordered lists seem to work now.
    Revision:
      muse--main--1.0--patch-342

    * muse-publish.el (muse-insert-markup-end-list): New function that
      publishes the text with end-list properties.
      (muse-publish-surround-text): If we are looking at a list item while
      stripping whitespace, make sure it has at least one space in front so
      that it gets published correctly.  Use muse-insert-markup-end-list for
      inserting end-tag.
      (muse-forward-list-item): Get the position of the next list-end
      property and use it if point moves past it.  Use `cond' instead of `if'
      for a nicer look.

    modified files:
     ChangeLog lisp/muse-publish.el


2006-01-03 04:58:18 GMT	Michael Olson <mwolson@gnu.org>	patch-341

    Summary:
      Fix #4718: InterWiki links with special characters are not handled properly.
    Revision:
      muse--main--1.0--patch-341

    * lisp/muse-wiki.el (muse-wiki-handle-interwiki): If given a string, make
      sure that we get everything after the interwiki delimiter.  This fixes
      #4718.

    modified files:
     ChangeLog lisp/muse-wiki.el


2006-01-03 02:46:18 GMT	Michael Olson <mwolson@gnu.org>	patch-340

    Summary:
      Fix an issue with muse-project-file-alist.
    Revision:
      muse--main--1.0--patch-340

    * lisp/muse-project.el (muse-project-file-alist): Apply patch from
      G. J. Teale.  Make sure that last-mod is loaded correctly.  This fixes
      a problem that causes some files to not be published.

    modified files:
     AUTHORS ChangeLog lisp/muse-project.el


2006-01-02 21:59:27 GMT	Michael Olson <mwolson@gnu.org>	patch-339

    Summary:
      Implement escaping of "[" and "]" in extended links.
    Revision:
      muse--main--1.0--patch-339

    * lisp/muse-mode.el (muse-make-link): Use muse-link-escape
    
    * lisp/muse.el (muse-link-escape): Escape "[" and "]" in links.
      (muse-link-unescape): Unescape "[" and "]" in links.
      (muse-handle-explicit-link): Use muse-link-unescape.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse.el


2006-01-02 19:33:23 GMT	Michael Olson <mwolson@gnu.org>	patch-338

    Summary:
      muse-colors: Implement <lisp> tag evaluation when viewing Muse files.
    Revision:
      muse--main--1.0--patch-338

    * lisp/muse-colors.el (muse-colors-tags): Use muse-colors-lisp-tag to
      publish <lisp> tags.
      (muse-colors-lisp-tag): New function that implements the evaluation of
      <lisp> tags when viewing Muse files.  Thanks to Jim Ottaway for porting
      this.

    modified files:
     ChangeLog lisp/muse-colors.el


2006-01-02 01:05:13 GMT	Michael Olson <mwolson@gnu.org>	patch-337

    Summary:
      muse-wiki: Allow interwiki links to use different base URLs.
    Revision:
      muse--main--1.0--patch-337

    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): If :base-url is
      defined for the remote style, use it instead of file-relative-name to
      resolve the path.  Thanks to Justin Kirby for the idea.

    modified files:
     ChangeLog lisp/muse-wiki.el


2006-01-01 19:15:02 GMT	Michael Olson <mwolson@gnu.org>	patch-336

    Summary:
      Fix #4971.
    Revision:
      muse--main--1.0--patch-336

    * lisp/muse-xml-common.el (muse-xml-escape-url): Don't escape "+".

    modified files:
     ChangeLog lisp/muse-xml-common.el


2006-01-01 18:27:53 GMT	Michael Olson <mwolson@gnu.org>	patch-335

    Summary:
      More definition list twiddling.
    Revision:
      muse--main--1.0--patch-335

    * lisp/muse-publish.el (muse-publish-surround-dl): Make marginal
      progress.
    
    * lisp/muse-regexps.el (muse-list-item-regexp): Match additional
      whitespace after "::".

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse-regexps.el


2006-01-01 05:04:36 GMT	Michael Olson <mwolson@gnu.org>	patch-334

    Summary:
      Fix a few more list markup issues.
    Revision:
      muse--main--1.0--patch-334

    * lisp/muse-publish.el (muse-publish-surround-dl): Begin this function
      for definition list markup, but it's not useful yet.
      (muse-publish-surround-text): Accept post-indent argument, and use it
      to strip extra space from indented lists, hopefully in a smart way.
      (muse-forward-list-item): Don't explicitly move the point unless
      another list item of the same type is encountered.
      (muse-publish-markup-list): Calculate post-indent correctly, and make
      use of it.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-30 23:22:45 GMT	Michael Olson <mwolson@gnu.org>	patch-333

    Summary:
      muse-publish: Prevent error when return value is not a string.
    Revision:
      muse--main--1.0--patch-333

    * lisp/muse-publish.el (muse-publish-markup): Make sure returned value is
      a string before using it to replace text.  Thanks to Sacha for the
      patch.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-30 23:12:56 GMT	Michael Olson <mwolson@gnu.org>	patch-332

    Summary:
      muse-publish: Prevent an error with list markup.
    Revision:
      muse--main--1.0--patch-332

    * lisp/muse-publish.el (muse-forward-list-item): If type is 'dl, do not
      remove the matched text from muse-list-item-regexp.
      (muse-publish-markup-list): Apply patch from Sacha that keeps
      muse-publish-markup-region from being confused.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-30 01:42:30 GMT	Michael Olson <mwolson@gnu.org>	patch-331

    Summary:
      Fix #4923: Definition lists with numbers are not possible.
    Revision:
      muse--main--1.0--patch-331

    * lisp/muse-publish.el (muse-list-item-type): Use string-match to
      determine whether an item is an ordered list or definition list.  This
      should fix Bug #4923.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-30 00:35:12 GMT	Michael Olson <mwolson@gnu.org>	patch-330

    Summary:
      Make progress on non-nested ordered and unordered lists.
    Revision:
      muse--main--1.0--patch-330

    * lisp/muse-publish.el (muse-publish-markup-regexps): Make sure that we
      don't match lines with just whitespace for 'quote.
      (muse-publish-markup-comment): Use muse-insert-markup in the correct
      order.  Remove extra comment space.
      (muse-publish-surround-text): Stay at end of line if we are at the end
      of a series of list items.  Otherwise advance.
      (muse-forward-paragraph): Use "\n" instead of "$" in regexps, since the
      former works better in multi-line contexts.
      (muse-forward-list-item): Fix a silly logic error.  Simplify the regexp
      passed to muse-forward-paragraph.  Remove the initial "- " or "1. "
      when the markup types match on a new item.
      (muse-publish-markup-list): Docfix.  Swap args of string-match.  Ignore
      an unordered list if a dash immediately follows.  This disambiguates
      the emdash and unordered list markups.  Use save-excursion to ensure
      that the point ends on the line after the begin-list markup.  We still
      haven't dealt with definition lists yet.
      (muse-publish-markup-quote): Docfix.  Deal with improved regexp.
      Manually remove the leading whitespace.  Insert 'begin-quote and
      'end-quote correctly, and use 'quote-item for
      muse-publish-surround-text.
      (muse-publish-quote-tag): Deal with multiple paragraphs inside of a
      quote tag.  Skip past additional whitespace in the move function for
      muse-publish-surround-text.
      (muse-publish-comment-tag): Make the comment text read-only.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-29 23:02:18 GMT	Michael Olson <mwolson@gnu.org>	patch-329

    Summary:
      muse-latex: Fix comment markup.
    Revision:
      muse--main--1.0--patch-329

    * lisp/muse-latex.el (muse-latex-markup-strings): Fix typo in
      comment-end.  Thanks to Ken Brown for reporting this.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-12-29 21:33:08 GMT	Michael Olson <mwolson@gnu.org>	patch-328

    Summary:
      muse-publish: Use narrow-to-region to fix various bugs.
    Revision:
      muse--main--1.0--patch-328

    * lisp/muse-publish.el (muse-publish-markup-tag): Code indent change.
      (muse-publish-escape-specials): Use `narrow-to-region' so that we
      better define the region to work with.  Thanks to Sacha Chua for the
      advice.  Also make sure that we are more careful with the result from
      next-single-property-change.
      (muse-publish-surround-text): Use narrow-to-region.  Make this routine
      less brain-dead.
      (muse-publish-verse-tag): Use narrow-to-region.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-29 19:49:39 GMT	Michael Olson <mwolson@gnu.org>	patch-327

    Summary:
      Minor logic tweak in muse-forward-list-item.
    Revision:
      muse--main--1.0--patch-327

    * lisp/muse-publish.el (muse-forward-list-item): On second thought, let's
      not use POST-INDENT.  It would accidentally merge lists that were
      1-space-different in indentation.  Even more so for definition lists.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-29 07:45:45 GMT	Michael Olson <mwolson@gnu.org>	patch-326

    Summary:
      Work on nested list support for ordered and unordered lists.
    Revision:
      muse--main--1.0--patch-326

    * lisp/muse-publish.el: Nested list support isn't quite finished, but
      progress is being made.
      (muse-publish-markup-regexps): Remove 2150 regexp since it doesn't seem
      useful at the moment.  Invoke `format' to get the general version of
      muse-list-item-regexp.
      (muse-publish-surround-text): Add INDENT argument that specifies the
      leading indentation to strip.  Default is all whitespace.  Loop until
      MOVE-FUNC returns nil.
      (muse-list-item-type): New function that figures out what kind of list
      we have, given its separator string.
      (muse-forward-paragraph): Make this slightly more general.
      (muse-forward-list-item): New function that moves forward to the next
      list item.  Non-nil is returned if we found another item of the same
      type, nil otherwise.
      (muse-publish-markup-list): Adapt unordered list and ordered list to
      perhaps do nested lists correctly, though this hasn't been tested.
    
    * lisp/muse-regexps.el (muse-list-item-regexp): Use "%s" in place of
      initial whitespace for the sake of flexibility.  Call `format' on it to
      change it.

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse-regexps.el


2005-12-27 18:51:18 GMT	Michael Olson <mwolson@gnu.org>	patch-325

    Summary:
      Pave the way for nested lists by adding markup strings.
    Revision:
      muse--main--1.0--patch-325

    * examples/muse.rnc: muse.element.format is no longer a block, and may
      not contain muse.element.p.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Add markup strings for
      '(begin|end)-(quote|uli|oli|dl)-item.  Add '(begin|end)-(dl|ddt|dde)
      markup strings.  This will allow for more flexibility in constructing
      all sorts of lists, especially definition lists.  Rename 'start-dde to
      'begin-dde for consistency.
    
    * lisp/muse-texinfo.el (muse-latex-markup-strings): Ditto.
      (muse-texinfo-markup-regexps): Remove list concatenation regexp.
    
    * lisp/muse-docbook.el (muse-docbook-markup-strings)
      (muse-docbook-markup-regexps): Ditto, but simplify paragraph regexp.
    
    * lisp/muse-xml.el (muse-xml-markup-regexps, muse-xml-markup-strings):
      Ditto.
    
    * lisp/muse-html.el (muse-html-markup-regexps, muse-html-markup-strings):
      Ditto.  Include <p></p> in center markup.
      (muse-html-markup-paragraph): Remove special treatment of blockquote
      and center.
    
    * lisp/muse-groff.el (muse-groff-markup-strings): Rename 'begin-dde to
      'start-dde.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps): Begin implementing
      nested list preliminaries.  This is currently broken, probably.
    
    * lisp/muse-regexps.el (muse-list-item-regexp): New regexp that matches
      the beginning of a list item.

    modified files:
     ChangeLog examples/muse.rnc lisp/muse-docbook.el
     lisp/muse-groff.el lisp/muse-html.el lisp/muse-latex.el
     lisp/muse-publish.el lisp/muse-regexps.el lisp/muse-texinfo.el
     lisp/muse-xml.el


2005-12-27 03:20:11 GMT	Michael Olson <mwolson@gnu.org>	patch-324

    Summary:
      Implement <quote> tag.
    Revision:
      muse--main--1.0--patch-324

    * lisp/muse-publish.el (muse-publish-markup-tags)
      (muse-publish-quote-tag): Implement <quote> tag, which does a
      blockquote.  This is an alternative to indenting text, in that the
      quote can span several paragraphs.  The paragraph detection routine for
      HTML has not yet been tested with several paragraphs inside a quote.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-26 22:26:56 GMT	Michael Olson <mwolson@gnu.org>	patch-323

    Summary:
      Add markup for non-breaking space.
    Revision:
      muse--main--1.0--patch-323

    * lisp/muse-docbook.el (muse-docbook-markup-strings): Add markup string
      for 'no-break-space.
    
    * lisp/muse-groff.el (muse-groff-markup-strings): Ditto.
    
    * lisp/muse-html.el (muse-html-markup-strings): Ditto.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Ditto.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Ditto.
    
    * lisp/muse-xml.el (muse-xml-markup-strings): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps)
      (muse-publish-markup-functions): Interpret "~~" as a non-breaking
      space.  Thanks to Ken Brown for the suggestion.
      (muse-publish-markup-no-break-space): New function that publishes a
      non-breaking space.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-groff.el
     lisp/muse-html.el lisp/muse-latex.el lisp/muse-publish.el
     lisp/muse-texinfo.el lisp/muse-xml.el


2005-12-26 21:35:08 GMT	Michael Olson <mwolson@gnu.org>	patch-322

    Summary:
      muse-texinfo: Escape commas in URLs.
    Revision:
      muse--main--1.0--patch-322

    * lisp/muse-texinfo.el (muse-texinfo-markup-specials-url): New option
      that determines the specials to escape in URLs.  This is needed in
      order to escape commas in @ref.
      (muse-texinfo-decide-specials): New function that determines the
      specials to escape by context.

    modified files:
     ChangeLog lisp/muse-texinfo.el


2005-12-26 07:02:20 GMT	Michael Olson <mwolson@gnu.org>	patch-321

    Summary:
      Make sure spaces in HTML URLs get escaped properly.
    Revision:
      muse--main--1.0--patch-321

    * lisp/muse-docbook.el (muse-docbook-markup-specials): Move to
      muse-xml-common.el.
    
    * lisp/muse-html.el (muse-html-markup-specials): Ditto.
    
    * lisp/muse-xml.el (muse-xml-markup-specials): Ditto.
    
    * lisp/muse-html.el (muse-html-prepare-buffer): Don't modify
      muse-publish-url-transforms.
    
    * lisp/muse-publish.el (muse-publish-escape-specials): Get specials only
      once, rather than once-per-iteration.
      (muse-publish-escape-specials-in-string): If a function is returned by
      a function in :specials, pass it the string and use the results.  This
      allows us to deal with funky cases like HTML URLs which work on a
      negated subset, by passing the buck.  We don't permit this behavior in
      muse-publish-escape-specials because there hasn't been a need, yet.
    
    * lisp/muse-xml-common.el (muse-xml-markup-specials): New option that
      specifies the specials to normally escape.
      (muse-xml-markup-specials-url-extra): New option that specifies the
      extra specials to escape in URLs.  Thanks to John Sullivan for
      reporting the incorrect translation of the space character in URLs.
      (muse-xml-decide-specials): New function that determines the specials
      to escape, given context.
      (muse-xml-escape-url): Rename from muse-xml-escape-string.  Add "%" to
      the list of characters to ignore.  Fix code indentation.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-publish.el lisp/muse-xml-common.el lisp/muse-xml.el


2005-12-25 17:33:25 GMT	Michael Olson <mwolson@gnu.org>	patch-320

    Summary:
      Allow text like "%N%" in markup strings.
    Revision:
      muse--main--1.0--patch-320

    * lisp/muse-docbook.el (muse-docbook-markup-strings): Rename
      'internal-link to 'anchor-ref for clarity.  Split 'url-link into 'url
      and 'link so that TeX-related publishing styles can more handle links
      to other Muse documents.  Add 'link-and-anchor string that handles a
      link with an anchor and an optional description.
    
    * lisp/muse-groff.el (muse-groff-markup-strings): Ditto.
    
    * lisp/muse-html.el (muse-html-markup-strings): Ditto.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Ditto.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Ditto.
    
    * lisp/muse-xml.el (muse-xml-markup-strings): Ditto.
    
    * lisp/muse-publish.el (muse-publish-url-transforms): Remove
      muse-publish-prepare-url.
    
    * lisp/muse-publish.el (muse-markup-text): Turn this into a function and
      add documentation.  It will now handle arguments like "%N%", which
      indicate the position of an argument to insert.  `format' is applied
      afterward.
      (muse-publish-classify-url): New function derived from
      muse-publish-prepare-url that returns a data structure with complete
      information about the given target string.
      (muse-publish-url): Use muse-publish-classify-url.  This should fix an
      error in the LaTeX publishing style when specifying links to anchors.
      (muse-publish-insert-url): Remove unnecessary let-binding.
      (muse-publish-markup-url): Simplify, now that we have whole-document
      escaping of specials.
      (muse-publish-prepare-url): Remove.
    
    * lisp/muse.el (muse-replace-regexp-in-string): Use a more robust
      fallback routine when neither replace-regexp-in-string nor
      replace-in-string are found.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-groff.el
     lisp/muse-html.el lisp/muse-latex.el lisp/muse-publish.el
     lisp/muse-texinfo.el lisp/muse-xml.el lisp/muse.el


2005-12-25 04:32:27 GMT	Michael Olson <mwolson@gnu.org>	patch-319

    Summary:
      Use simpler markup string for anchors.
    Revision:
      muse--main--1.0--patch-319

    * lisp/muse-docbook.el (muse-docbook-markup-strings): Use 'anchor instead
      of 'begin-anchor and 'end-anchor.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup-anchor): Ditto.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Ditto.
    
    * lisp/muse-xml-common.el (muse-xml-markup-anchor): Ditto.
    
    * lisp/muse-xml.el (muse-xml-markup-strings): Ditto.
    
    * lisp/muse-html.el (muse-html-insert-anchor, muse-html-markup-anchor):
      Revert previous change, since muse-html-insert-contents needs
      muse-html-insert-anchor.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-latex.el lisp/muse-publish.el lisp/muse-texinfo.el
     lisp/muse-xml-common.el lisp/muse-xml.el


2005-12-25 03:15:36 GMT	Michael Olson <mwolson@gnu.org>	patch-318

    Summary:
      Fix a markup error involving links like [[#foo]].
    Revision:
      muse--main--1.0--patch-318

    * examples/QuickStart.muse: Move <contents> higher.  Remove <comment>
      tags around the centered text.
    
    * lisp/muse-html.el (muse-html-markup-regexps): Cosmetic change.
      (muse-html-markup-strings): Remove table-group strings, since they
      aren't valid (X)HTML like I had thought.  Change center to use <p>
      rather than <span>.
      (muse-html-insert-anchor): Remove.
      (muse-html-markup-anchor): Respect the noemphasis property.  This fixes
      a bug with links like [[#foo]].
      (muse-html-markup-footnote): Insert the correct footnote number.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps): Make noemphasis
      rule higher than anchor rule.
      (muse-publish-markup-anchor): Respect the noemphasis property.
    
    * lisp/muse-xml-common.el (muse-xml-markup-anchor): Respect the
      noemphasis property.

    modified files:
     ChangeLog examples/QuickStart.muse lisp/muse-html.el
     lisp/muse-publish.el lisp/muse-xml-common.el


2005-12-24 23:13:41 GMT	Michael Olson <mwolson@gnu.org>	patch-317

    Summary:
      Get rid of muse-regexp-space.  Standardize anchor markup somewhat.
    Revision:
      muse--main--1.0--patch-317

    * lisp/muse-colors.el (muse-colors-markup, muse-colors-custom-tags):
      Replace muse-regexp-space with muse-regexp-blank.  Too many Emacs
      functions treat [:blank:]+\n differently than [:space:], so we'll use
      the former everywhere.
    
    * lisp/muse-convert.el (muse-write-citation): Ditto.
    
    * lisp/muse-mode.el (muse-current-word, muse-link-at-point): Ditto.
    
    * lisp/muse-protocols.el (muse-update-url-regexp): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps)
      (muse-publish-markup-tag, muse-publish-surround-text)
      (muse-publish-markup-list): Ditto.
    
    * lisp/muse-regexps.el (muse-tag-regexp, muse-implicit-link-regexp):
      Ditto.
    
    * lisp/muse-registry.el (muse-registry-url-regexp): Ditto.
    
    * lisp/muse-regexps.el (muse-regexp-space): Remove.
    
    * lisp/muse-docbook.el (muse-docbook-markup-functions): Use
      muse-xml-markup-anchor.
      (muse-docbook-markup-strings): Add markup strings for anchors.
      (muse-docbook-insert-anchor, muse-docbook-markup-anchor): Remove.
    
    * lisp/muse-html.el (muse-html-markup-footnote): Use muse-insert-markup.
    
    * lisp/muse-latex.el (muse-latex-markup-functions): Remove anchor rule,
      since we now have a sane default in muse-publish.el.
      (muse-latex-markup-strings): Add markup strings for anchors.
      (muse-latex-insert-anchor, muse-latex-markup-anchor): Remove.
    
    * lisp/muse-publish.el (muse-publish-markup-anchor): Consult markup
      strings.  If style does not handle anchors, remove them.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-functions): Remove anchor
      rule, since we now have a sane default in muse-publish.el.
      (muse-texinfo-markup-strings): Add markup strings for anchors.
      (muse-texinfo-insert-anchor, muse-texinfo-markup-anchor): Remove.
    
    * lisp/muse-xml-common.el (muse-xml-markup-anchor): New generic routine
      for handling anchors.
      (muse-xml-markup-table): Pass row-len to begin-table-group markup
      string.
    
    * lisp/muse-xml.el (muse-xml-markup-strings): Add markup strings for
      anchors.
      (muse-xml-insert-anchor, muse-xml-markup-anchor): Remove.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-convert.el
     lisp/muse-docbook.el lisp/muse-html.el lisp/muse-latex.el
     lisp/muse-mode.el lisp/muse-protocols.el lisp/muse-publish.el
     lisp/muse-regexps.el lisp/muse-registry.el
     lisp/muse-texinfo.el lisp/muse-xml-common.el lisp/muse-xml.el
     lisp/muse.el


2005-12-24 22:07:28 GMT	Michael Olson <mwolson@gnu.org>	patch-316

    Summary:
      Adapt the remaining publishing styles.
    Revision:
      muse--main--1.0--patch-316

    * lisp/muse-groff.el (muse-groff-markup-paragraph): Use
      muse-insert-markup.
    
    * lisp/muse-latex2png.el (muse-publish-latex-tag): Use
      muse-insert-markup.
      (latex2png): Clean up the code a bit.
    
    * lisp/muse-texinfo.el (muse-texinfo-insert-anchor): Use
      muse-insert-markup.
      (muse-texinfo-markup-table): Use the shiny new
      muse-publish-table-fields function.

    modified files:
     ChangeLog lisp/muse-groff.el lisp/muse-latex2png.el
     lisp/muse-texinfo.el


2005-12-24 21:47:44 GMT	Michael Olson <mwolson@gnu.org>	patch-315

    Summary:
      Make all XML-based publishing styles do tables.  Needs testing.
    Revision:
      muse--main--1.0--patch-315

    * lisp/muse-docbook.el (muse-docbook-markup-functions): Use
      muse-xml-markup-table.
      (muse-docbook-markup-regexps): Remove table kludges.
      (muse-docbook-markup-strings): Add markup strings for tables.
      (muse-docbook-encoding-map, muse-docbook-transform-content-type)
      (muse-docbook-markup-table): Remove in favor of using the functions in
      muse-xml-common.el.
      (muse-docbook-encoding): Use muse-xml-transform-content-type.
      (muse-docbook-markup-paragraph, muse-docbook-insert-anchor): Use
      muse-insert-markup.
      (muse-docbook-fixup-tables): Remove, since it isn't needed anymore.
      (muse-docbook-prepare-buffer): New function that forces the escaping of
      extra specials in URLs.
    
    * lisp/muse-html.el (muse-html-table-attributes): Add a leading space.
      Fix documentation.
      (muse-html-markup-regexps): Remove table kludges.
      (muse-html-markup-strings): Add markup strings for tables.
      (muse-html-encoding-map, muse-html-transform-content-type): Remove in
      favor of the functions of muse-xml-common.el.
      (muse-html-insert-anchor, muse-html-markup-paragraph)
      (muse-html-class-tag): Use muse-insert-markup.
      (muse-html-markup-table): Call muse-xml-markup-table to do most of the
      work, passing attributes.
      (muse-html-insert-contents): Use muse-insert-markup.  Bum it down a
      bit.
      (muse-html-encoding): Use muse-xml-transform-content-type.
      (muse-html-fixup-tables): Remove.
    
    * lisp/muse-xml-common.el: Move a few functions and options here from
      other publishing styles.  Make an initial attempt at an XML-based table
      publishing routine that uses markup strings.  I'm not sure if it will
      abstract easily enough to use with LaTeX, but that's not a huge
      concern.
    
    * lisp/muse-xml.el (muse-xml-markup-regexps): Remove table kludges.
      (muse-xml-markup-strings): Add table markup strings.  Omit table-group
      markup since it's unnecessary sugar.
      (muse-xml-encoding-map, muse-xml-transform-content-type)
      (muse-xml-markup-table): Move to muse-xml-common.el.
      (muse-xml-encoding): Pass default argument.
      (muse-xml-markup-paragraph, muse-xml-insert-anchor): Use
      muse-insert-markup.
      (muse-xml-fixup-tables): Remove.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-xml-common.el lisp/muse-xml.el


2005-12-24 20:01:37 GMT	Michael Olson <mwolson@gnu.org>	patch-314

    Summary:
      Implement a nicer way of publishing tables.  Fix some regexps.
    Revision:
      muse--main--1.0--patch-314

    * lisp/muse-html.el (muse-html-markup-footnote): Fix logic error.  I
      thought "/=" was a typo, but it really meant "!=".  Odd.  Let's avoid
      that so that people familiar with C derivatives won't be confused :^) .
      (muse-html-insert-anchor, muse-html-markup-paragraph): Fix regexp.  We
      have to make sure to add "\n" to most negated sets if we don't want
      them to span multiple lines.
      (muse-html-escape-string): Move to muse-xml-common.el.
      (muse-html-prepare-buffer): Use muse-xml-escape-string.
    
    * lisp/muse-journal.el (muse-journal-html-heading-regexp): Fix.
    
    * lisp/muse-latex.el (muse-latex-markup-regexps): Remove the kludgy
      table-joining regexp.
      (muse-latex-markup-table): Call muse-publish-table-fields to get a
      table structure that we can work with.  Now we can publish the entire
      table at once.
    
    * lisp/muse-protocols.el (muse-browse-url-info): Fix regexps.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps): Compact some
      regexps.  Use a table-matching regexp that matches the entire region of
      a table, rather than just one line.
      (muse-publish-file): Docfix.
      (muse-publish-markup-footnote): Compact regexp.
      (muse-publish-table-fields): New function that snarfs the given region
      and returns a table structure.
    
    * lisp/muse-regexps.el (muse-table-field-regexp): New regexp that matches
      the field separator for tables.
      (muse-table-line-regexp): New regexp that matches a table line.
      (muse-tag-regexp): Fix regexp.
    
    * lisp/muse-registry.el (muse-registry-url-regexp)
      (muse-registry-link-regexp): Fix.
    
    * lisp/muse-xml.el (muse-xml-insert-anchor): Fix regexp.
    
    * lisp/muse-xml-common.el: New file containing routines that are commonly
      used by XML-ish publishing styles.
      (muse-xml-sort-table): New function that sorts a table structure so
      that it validates properly.  We don't use it yet, but we will.

    new files:
     lisp/.arch-ids/muse-xml-common.el.id lisp/muse-xml-common.el

    modified files:
     ChangeLog lisp/muse-html.el lisp/muse-journal.el
     lisp/muse-latex.el lisp/muse-protocols.el lisp/muse-publish.el
     lisp/muse-regexps.el lisp/muse-registry.el lisp/muse-xml.el


2005-12-23 06:18:46 GMT	Michael Olson <mwolson@gnu.org>	patch-313

    Summary:
      muse-latex: Work on table markup, isn't perfect yet.
    Revision:
      muse--main--1.0--patch-313

    * lisp/muse-latex.el (muse-latex-markup-table): Make this sort of work.
      I've got an idea for how it should be done.  We're going to try to
      snarf the whole table in muse-publish using only regexps, and pass it
      to the style-specific table markup function.
    
    * lisp/muse-publish.el (muse-publish-insert-url)
      (muse-publish-markup-url): Use muse-insert-markup.
      (muse-publish-verbatim-tag): Pass arguments correctly.

    modified files:
     ChangeLog lisp/muse-latex.el lisp/muse-publish.el


2005-12-23 05:27:53 GMT	Michael Olson <mwolson@gnu.org>	patch-312

    Summary:
      Get practically-perfect LaTeX special escaping.
    Revision:
      muse--main--1.0--patch-312

    * examples/QuickStart.muse: Detabify, change URLs.
    
    * lisp/muse-latex.el (muse-latex-markup-specials-document): New option
      that indicates the specials characters to escape in the whole document.
      (muse-latex-markup-specials-example): New option that indicates the
      specials to escape in <example> regions.
      (muse-latex-markup-specials-literal): New option that indicates the
      specials to escape in =monospaced text= and <code> regions.
      (muse-latex-markup-specials-url): New option that indicates the
      specials to escape in URLs.
      (muse-latex-decide-specials): Determine which specials to use depending
      on context.
      (muse-latex-insert-anchor): Use muse-insert-markup.
    
    * lisp/muse-publish.el (muse-publish-markup-region): Escape specials in
      the entire document.
      (muse-publish-escape-specials, muse-publish-escape-specials-in-string):
      List all contexts in documentation.  Skip past entire read-only regions
      for a speed improvement.  We'll need this now that we're using it on
      the whole document.  Fix a bug in retrieving specials.
      (muse-publish-markup-enddots, muse-publish-markup-dots)
      (muse-publish-markup-rule, muse-publish-surround-text): Use
      muse-insert-markup.
      (muse-publish-markup-leading-space): Take 2 more arguments for easy
      generalization.
      (muse-publish-markup-verse): Pass more arguments to
      muse-publish-markup-leading-space.
      (muse-publish-url): Fix a specials bug with bare links.
      (muse-publish-code-tag): Use 'literal context here.

    modified files:
     ChangeLog examples/QuickStart.muse lisp/muse-latex.el
     lisp/muse-publish.el


2005-12-23 01:42:39 GMT	Michael Olson <mwolson@gnu.org>	patch-311

    Summary:
      muse-build: Prevent backup files when generating autoloads.
    Revision:
      muse--main--1.0--patch-311

    * scripts/muse-build.el (muse-generate-autoloads): Inhibit backups so
      that we don't get muse-autoloads.el~ files.

    modified files:
     ChangeLog scripts/muse-build.el


2005-12-22 04:12:00 GMT	Michael Olson <mwolson@gnu.org>	patch-310

    Summary:
      Begin implementing context-specific handling of special characters.
    Revision:
      muse--main--1.0--patch-310

    * lisp/muse-publish.el (muse-publish-url-transforms)
      (muse-publish-desc-transforms): Remove
      muse-publish-escape-specials-in-string, since we will explicitly call
      this with the proper parameters later on.
      (muse-publish-escape-specials, muse-publish-escape-specials-in-string):
      Add new optional CONTEXT argument that specifies further information to
      use when obtaining the specials that will be applied to the text.  If
      someone specifies a function instead of an alist for the style's
      specials, call it and pass CONTEXT.
      (muse-publish-markup-word): Indicate the context when escaping
      specials.  Make sure we have a context before continuing the publishing
      of the word.
      (muse-publish-markup-email, muse-publish-markup-url)
      (muse-publish-code-tag, muse-publish-example-tag)
      (muse-publish-verbatim-tag): Indicate the context when escaping
      specials.
      (muse-publish-url): Explicitly escape specials, rather than expecting
      it to be done in a user-customizable hook.  Use different contexts for
      url and description.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-21 02:44:57 GMT	Michael Olson <mwolson@gnu.org>	patch-309

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 37)
    Revision:
      muse--main--1.0--patch-309

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-37
       Make error messages during publishing more friendly.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse.el


2005-12-21 02:07:34 GMT	Michael Olson <mwolson@gnu.org>	patch-308

    Summary:
      Don't mix up links and footnotes.
    Revision:
      muse--main--1.0--patch-308

    * lisp/muse-html.el (muse-html-markup-footnote): Change "/=" typo to "=".
    
    * lisp/muse-publish.el (muse-publish-markup-footnote): Don't mix up links
      and footnotes.  Thanks to Dale Smith for spotting this.

    modified files:
     ChangeLog lisp/muse-html.el lisp/muse-publish.el


2005-12-17 17:16:32 GMT	Michael Olson <mwolson@gnu.org>	patch-307

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 36)
    Revision:
      muse--main--1.0--patch-307

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-36
       Release Emacs Muse 3.02.5.

    modified files:
     ChangeLog Makefile.defs NEWS debian/changelog lisp/muse.el
     muse.texi


2005-12-17 02:10:32 GMT	Michael Olson <mwolson@gnu.org>	patch-306

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 35)
    Revision:
      muse--main--1.0--patch-306

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-35
       muse-colors: Fix QuickStart display bug.

    modified files:
     ChangeLog lisp/muse-colors.el


2005-12-17 01:19:30 GMT	Michael Olson <mwolson@gnu.org>	patch-305

    Summary:
      Revert QuickStart changes, hack more on muse.rnc.
    Revision:
      muse--main--1.0--patch-305

    * examples/QuickStart.muse: Revert previous changes; they cause
      publishing to fail.  Hrm.  Guess I'll have to fix the display issue
      with <literal> tags then.
    
    * muse.rnc: Put blockquote in the muse.element namespace, since it's not
      an attribute.

    modified files:
     ChangeLog examples/QuickStart.muse examples/muse.rnc


2005-12-16 23:37:24 GMT	Michael Olson <mwolson@gnu.org>	patch-304

    Summary:
      QuickStart: Correct old syntax.
    Revision:
      muse--main--1.0--patch-304

    * examples/QuickStart.muse: Don't wrap the literal tag around other tags.
      Just use equal sign escaping.

    modified files:
     ChangeLog examples/QuickStart.muse


2005-12-16 23:19:09 GMT	Michael Olson <mwolson@gnu.org>	patch-303

    Summary:
      Make XML publishing work with QuickStart; no longer considered unstable.
    Revision:
      muse--main--1.0--patch-303

    * examples/muse.rnc: Strip trailing whitespace.  Hack it to the point
      that it works with our QuickStart document.
    
    * examples/Makefile (%.html, %.pdf, %.info, realclean, distclean)
      (fullclean): Adapt to work with .muse extension.
    
    * examples/QuickStart.muse: Rename from QuickStart.  This makes it
      automatically get colorized as a Muse document when opened.
    
    * lisp/muse-xml.el: Move from experimental.
      (muse-xml-footer): Use correct ending tag.
      (muse-xml-markup-strings): Make emdash publish as " -- " to avoid an
      annoying error regarding "&mdash;" when validating with nxml-mode.
      rule and fn-sep should use the empty form of the HR tag.
    
    * README: Fix directions for QuickStart.

    modified files:
     ChangeLog README examples/Makefile examples/muse.rnc
     lisp/muse-xml.el

    renamed files:
     examples/.arch-ids/QuickStart.id
       ==> examples/.arch-ids/QuickStart.muse.id
     examples/QuickStart
       ==> examples/QuickStart.muse
     experimental/.arch-ids/muse-xml.el.id
       ==> lisp/.arch-ids/muse-xml.el.id
     experimental/muse-xml.el
       ==> lisp/muse-xml.el


2005-12-16 21:29:58 GMT	Michael Olson <mwolson@gnu.org>	patch-302

    Summary:
      muse-html: Fix regexp error.
    Revision:
      muse--main--1.0--patch-302

    * lisp/muse-html.el (muse-html-escape-string): Fix error in regexp
      string.

    modified files:
     ChangeLog lisp/muse-html.el


2005-12-16 21:28:45 GMT	Michael Olson <mwolson@gnu.org>	patch-301

    Summary:
      Makefile: Minor tweak.
    Revision:
      muse--main--1.0--patch-301

    * lisp/Makefile (ELC): Base this on $(EL).  This should keep
      muse-autoloads.elc from being added to the list -- it won't be compiled
      anyway.

    modified files:
     ChangeLog lisp/Makefile


2005-12-16 19:21:06 GMT	Michael Olson <mwolson@gnu.org>	patch-300

    Summary:
      Generate autoloads file.
    Revision:
      muse--main--1.0--patch-300

    * Makefile (autoloads): New rule that calls "make autoloads" in lisp
      directory.
    
    * lisp/Makefile (EL): Avoid warning by removing muse-autoloads.el from
      list.
      (all): Generate autoloads.
      (autoloads): Make muse-autoloads.el.
      (muse-autoloads.el): Call `muse-generate-autoloads' from
      scripts/muse-build.el with arguments representing the directories to
      use when searching for autoloads.
      (realclean distclean fullclean): Remove autoloads.
    
    * scripts/muse-build.el (muse-generate-autoloads): Generate autoloads for
      Muse.  Deal with XEmacs and its quirky insistence on doing most of the
      work itself.  Expand all command line args so that the right
      directories are searched.  Hardcode muse-autoloads.el as the name of
      the generated autoloads file.  Use my custom header and footer, if
      possible.

    modified files:
     ChangeLog Makefile lisp/Makefile scripts/muse-build.el


2005-12-16 17:06:06 GMT	Michael Olson <mwolson@gnu.org>	patch-299

    Summary:
      Add autoload cookies.
    Revision:
      muse--main--1.0--patch-299

    Add autoload cookies to several functions.

    modified files:
     ChangeLog lisp/muse-blosxom.el lisp/muse-mode.el
     lisp/muse-project.el lisp/muse-protocols.el
     lisp/muse-publish.el


2005-12-16 16:42:46 GMT	Michael Olson <mwolson@gnu.org>	patch-298

    Summary:
      muse-mode: Make muse-edit-link-at-point work.
    Revision:
      muse--main--1.0--patch-298

    * lisp/muse-mode.el (muse-edit-link-at-point): Save match data so that
      this function works.  Before, it would remove an arbitrary chunk of the
      top of the buffer.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-12-15 23:09:32 GMT	Michael Olson <mwolson@gnu.org>	patch-297

    Summary:
      Change mode of muse-protocols to 644.
    Revision:
      muse--main--1.0--patch-297


    modified files:
     ChangeLog lisp/muse-protocols.el


2005-12-14 00:57:11 GMT	Michael Olson <mwolson@gnu.org>	patch-296

    Summary:
      muse-wiki: WikiWord suffix fix.
    Revision:
      muse--main--1.0--patch-296

    * lisp/muse-wiki.el (muse-wiki-wikiword-regexp): Don't require there to
      be nothing at the end.  This allows us to separate WikiWords with
      "''''" to indicate suffixes.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-12-14 00:54:02 GMT	Michael Olson <mwolson@gnu.org>	patch-295

    Summary:
      muse-wiki: Fix an error that occurs when muse-colors is not loaded.
    Revision:
      muse--main--1.0--patch-295

    * lisp/muse-wiki.el (muse-wiki-update-interwiki-regexp): Try to fix an
      error when muse-colors is not loaded.  Thanks to Stefan van der Walt
      for the report.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-12-13 14:45:20 GMT	Michael Olson <mwolson@gnu.org>	patch-294

    Summary:
      muse-publish: Make muse-insert-markup a function.
    Revision:
      muse--main--1.0--patch-294

    * lisp/muse-publish.el (muse-insert-markup): Use defun rather than
      defsubst.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-12-13 04:49:16 GMT	Michael Olson <mwolson@gnu.org>	patch-293

    Summary:
      Merged from muse--rel--3.02 (patch 29)
    Revision:
      muse--main--1.0--patch-293

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-29
       muse-mode: Fix semicolon in paragraph issue.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-12-13 00:04:50 GMT	Michael Olson <mwolson@gnu.org>	patch-292

    Summary:
      Merged from muse--rel--3.02 (patch 28)
    Revision:
      muse--main--1.0--patch-292

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-28
       muse-project: Deal with edge case.

    modified files:
     ChangeLog lisp/muse-project.el


2005-12-11 07:06:34 GMT	Michael Olson <mwolson@gnu.org>	patch-291

    Summary:
      Merged from muse--rel--3.02 (patch 27)
    Revision:
      muse--main--1.0--patch-291

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-27
       muse-project: Prevent auto-save files from being included.

    modified files:
     ChangeLog lisp/muse-project.el


2005-12-11 06:27:40 GMT	Michael Olson <mwolson@gnu.org>	patch-290

    Summary:
      muse-groff: Fix compiler warning.
    Revision:
      muse--main--1.0--patch-290

    * lisp/muse-groff.el (muse-groff-concat-lists): Fix compiler warning.

    modified files:
     ChangeLog lisp/muse-groff.el


2005-12-11 06:24:18 GMT	Michael Olson <mwolson@gnu.org>	patch-289

    Summary:
      muse-registry: Attempt to increase Emacs20 compatibility.
    Revision:
      muse--main--1.0--patch-289

    * lisp/muse-registry.el (muse-registry-show)
      (muse-registry-update-registry, muse-registry-make-new-registry): Use
      dolist instead of mapc for nomimal support of Emacs20, since Planner
      tries to support it.

    modified files:
     ChangeLog lisp/muse-registry.el


2005-12-11 06:17:25 GMT	Michael Olson <mwolson@gnu.org>	patch-288

    Summary:
      XEmacs fixes in muse-latex2png and muse-registry.
    Revision:
      muse--main--1.0--patch-288

    * lisp/muse-latex2png.el (latex2png): Fix XEmacs error.  It seems better
      to use expand-file-name than concat, since the result of the
      temp-directory function sometimes doesn't have a trailing backslash.
    
    * lisp/muse-registry.el (muse-registry-url-regexp): Use
      muse-regexp-space.
      (muse-registry-get-project-name): Use muse-replace-regexp-in-string.
      (muse-registry-make-new-registry): Use a better heuristic for
      determining whether the given file is actually a directory.  This
      avoids the use of `directory-files-and-attributes', which is not
      available in XEmacs.
      (muse-registry-new-entries): Use muse-match-string-no-properties.

    modified files:
     ChangeLog lisp/muse-latex2png.el lisp/muse-registry.el


2005-12-11 03:39:22 GMT	Michael Olson <mwolson@gnu.org>	patch-287

    Summary:
      muse-registry.el: Fix compiler warnings.
    Revision:
      muse--main--1.0--patch-287

    * lisp/muse-registry.el: Fix compiler warnings.  Remove dependency on
      cl.el.

    modified files:
     ChangeLog lisp/muse-registry.el


2005-12-11 03:21:14 GMT	Michael Olson <mwolson@gnu.org>	patch-286

    Summary:
      muse-wiki: First try at implementing WikiName separator.
    Revision:
      muse--main--1.0--patch-286

    * lisp/muse-wiki.el: Implement WikiName separator support via "''''"
      markup, for when you want to add a suffix to a WikiName.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-12-11 00:33:48 GMT	Michael Olson <mwolson@gnu.org>	patch-285

    Summary:
      Merged from muse--rel--3.02 (patch 25)
    Revision:
      muse--main--1.0--patch-285

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-25
       muse-latex: Get table of contents to publish correctly.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-12-06 16:57:48 GMT	Michael Olson <mwolson@gnu.org>	patch-284

    Summary:
      Add muse-registry.el to Muse.
    Revision:
      muse--main--1.0--patch-284

    * lisp/muse-registry.el: New file contributed by Bastien Guerry that
      provides a URL registry for Muse.

    new files:
     lisp/.arch-ids/muse-registry.el.id lisp/muse-registry.el

    modified files:
     AUTHORS ChangeLog


2005-12-06 16:54:40 GMT	Michael Olson <mwolson@gnu.org>	patch-283

    Summary:
      muse-mode: Minor fix.
    Revision:
      muse--main--1.0--patch-283

    * lisp/muse-mode.el (muse-current-word): Switch order of save-restriction
      and save-excursion as recommended by Emacs documentation.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-12-01 01:32:29 GMT	Michael Olson <mwolson@gnu.org>	patch-282

    Summary:
      muse-mode: Handle case where we visit an anchor-only link.
    Revision:
      muse--main--1.0--patch-282

    * lisp/muse-mode.el (muse-visit-link-default): Handle case where the link
      consists of only an anchor.  Thanks to Jim Ottaway for the patch.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-12-01 01:08:13 GMT	Michael Olson <mwolson@gnu.org>	patch-281

    Summary:
      muse-colors: Add faces for all 3 levels of emphasis.
    Revision:
      muse--main--1.0--patch-281

    * lisp/muse-colors.el (muse-emphasis-1, muse-emphasis-2)
      (muse-emphasis-3): New faces that represent italic, bold, and bold
      italic emphasis, respectively.
      (muse-colors-emphasized): Use new faces.  Thanks to Phillip Lord for
      the suggestion and the initial code. 

    modified files:
     AUTHORS ChangeLog lisp/muse-colors.el


2005-11-30 23:00:34 GMT	Michael Olson <mwolson@gnu.org>	patch-280

    Summary:
      muse-latex2png: XEmacs compatibility.
    Revision:
      muse--main--1.0--patch-280

    * lisp/muse-latex2png.el (latex2png-move2pubdir): Remove use of
      file-expand-wildcards, since it was a no-op.
      (latex2png): Fall back to a temporary directory variable that works
      with XEmacs.  Thanks to Neilen Marais for the report and suggested fix.

    modified files:
     ChangeLog lisp/muse-latex2png.el


2005-11-21 21:14:20 GMT	Michael Olson <mwolson@gnu.org>	patch-279

    Summary:
      Update AUTHORS.
    Revision:
      muse--main--1.0--patch-279

    * AUTHORS: Update.

    modified files:
     AUTHORS ChangeLog


2005-11-21 21:11:14 GMT	Michael Olson <mwolson@gnu.org>	patch-278

    Summary:
      Don't split anchors in URLs.
    Revision:
      muse--main--1.0--patch-278

    * lisp/muse-mode.el (muse-visit-link-default): Install patch from Jim
      Ottaway.  Remove ANCHOR parameter.  Compute the anchor ourselves.  Make
      sure that we handle URLs before trying to split the anchor.
      (muse-visit-link): Don't compute the anchor.  Let the callee do that.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-11-21 15:24:41 GMT	Michael Olson <mwolson@gnu.org>	patch-277

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 23)
    Revision:
      muse--main--1.0--patch-277

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-23
       muse-wiki: WikiWords can have consecutive capital letters.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-11-20 22:22:10 GMT	Michael Olson <mwolson@gnu.org>	patch-276

    Summary:
      Deal with case when muse-make-link is passed an explicit link.
    Revision:
      muse--main--1.0--patch-276

    * lisp/muse-mode.el (muse-make-link): Apply patch from Sacha that deals
      with case when we are passed an explicit-style link.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-11-19 23:06:24 GMT	Michael Olson <mwolson@gnu.org>	patch-275

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 20-22)
    Revision:
      muse--main--1.0--patch-275

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-20
       Update NEWS.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-21
       Update examples.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-22
       Release Emacs Muse 3.02.02.

    new files:
     examples/mwolson/templates/.arch-ids/header.tex.id
     examples/mwolson/templates/header.tex

    modified files:
     ChangeLog NEWS examples/mwolson/muse-init.el
     examples/mwolson/templates/header.html lisp/muse.el muse.texi


2005-11-19 23:02:20 GMT	Michael Olson <mwolson@gnu.org>	patch-274

    Summary:
      Merged from mwolson@gnu.org--2005 (patch 11, 13-15, 17-19)
    Revision:
      muse--main--1.0--patch-274

    Patches applied:
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-11
       Don't interpret enddots, dots, and rule inside of links.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-13
       Allow bad WikiWords to be colorized, by popular request.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-14
       Be more fault-tolerant about muse-file-extension.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-15
       Prepare debian files for new minor release.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-17
       Update NEWS.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-18
       NEWS: Add migration note.
    
     * mwolson@gnu.org--2005/muse--rel--3.02--patch-19
       Merged from mwolson@gnu.org--2005 (patch 272-273)

    modified files:
     ChangeLog Makefile.defs NEWS debian/NEWS debian/changelog
     debian/control debian/rules lisp/muse-colors.el
     lisp/muse-project.el lisp/muse-publish.el lisp/muse-wiki.el


2005-11-19 00:01:26 GMT	Michael Olson <mwolson@gnu.org>	patch-273

    Summary:
      muse-latex: Make footnotes look a bit more natural for LaTeX users.
    Revision:
      muse--main--1.0--patch-273

    * lisp/muse-latex.el (muse-latex-markup-strings): Remove markup strings
      for footnotemark and footnotetext-end, as recommended by Jim Ottaway.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-11-18 23:56:22 GMT	Michael Olson <mwolson@gnu.org>	patch-272

    Summary:
      muse-texinfo: Correct markup strings for dots, enddots, center.
    Revision:
      muse--main--1.0--patch-272

    * AUTHORS: Bookkeeping
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Apply patch from
      Jim Ottaway that produces correct output for dots, enddots, and
      centered text.

    modified files:
     AUTHORS ChangeLog lisp/muse-texinfo.el


2005-11-18 17:18:40 GMT	Michael Olson <mwolson@gnu.org>	patch-271

    Summary:
      Sync with davidsmith@acm.org--2005 (patch 0), davidsmith@acm.org--main (patch 0-2), hodique@lifl.fr--2005 (patch 40-45), mwolson@gnu.org--2005 (patch 0-8)
    Revision:
      muse--main--1.0--patch-271

    Mark several revisions as "included".  No actual changes were made to the
    source.

    modified files:
     ChangeLog


2005-11-18 17:14:38 GMT	Michael Olson <mwolson@gnu.org>	patch-270

    Summary:
      muse-groff: Provide groff-pdf style rather than pdf.
    Revision:
      muse--main--1.0--patch-270

    * experimental/muse-groff.el: Remove, since the original author keeps his
      version in the lisp/ directory, and it's reasonably stable by now.
    
    * lisp/muse-groff.el: Detabify source.
      ("groff-pdf"): Rename the "pdf" publishing style to "groff-pdf" to
      avoid a conflict with the latex-based pdf style.

    removed files:
     experimental/.arch-ids/muse-groff.el.id
     experimental/muse-groff.el

    modified files:
     ChangeLog lisp/muse-groff.el


2005-11-18 17:07:51 GMT	Michael Olson <mwolson@gnu.org>	patch-269

    Summary:
      Merged from ajk@iu.edu--2005 (patch 0-9)
    Revision:
      muse--main--1.0--patch-269

    Patches applied:
    
     * ajk@iu.edu--2005/muse--ajk--1.0--base-0
       tag of mwolson@gnu.org--2005/muse--main--1.0--patch-82
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-1
       Publish PDF using GROFF with mom macros.
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-2
       Kinda works, still need tables and a bunch of other stuff.
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-3
       Remove extra newlines from QUOTE calls.
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-4
       mom -> groff
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-5
       - fix syntax of definition of muse-groff-markup-strings
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-6
       Use \z to keep leading space that will result from .URL...
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-7
       Don't use .blm (blank line == paragraph break).  Hopefu...
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-8
       Use markup-strings for <example>.
    
     * ajk@iu.edu--2005/muse--ajk--1.0--patch-9
       Catch up with mwolson

    new files:
     lisp/.arch-ids/muse-groff.el.id lisp/muse-groff.el

    modified files:
     ChangeLog


2005-11-16 23:56:20 GMT	Michael Olson <mwolson@gnu.org>	patch-268

    Summary:
      Allow "-" in publishing directives.
    Revision:
      muse--main--1.0--patch-268

    * lisp/muse-publish.el (muse-publish-markup-regexps): Allow "-" in
      publishing directives.  Thanks to Jim Ottaway for the suggestion.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-11-14 20:28:47 GMT	Michael Olson <mwolson@gnu.org>	patch-267

    Summary:
      muse-latex: Fix "generation of PDF failed" message.
    Revision:
      muse--main--1.0--patch-267

    * lisp/muse-latex.el (muse-latex-pdf-generate): Make sure that we return
      t or nil depending on whether the publishing attempt was successful.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-11-10 01:26:15 GMT	Michael Olson <mwolson@gnu.org>	patch-266

    Summary:
      Call pdflatex a reasonable number of times.
    Revision:
      muse--main--1.0--patch-266

    * lisp/muse-latex.el (muse-latex-pdf-generate): Call pdflatex up to 3
      times, depending on what return value we get.  Thanks to John Wiegley
      for the heads up.

    modified files:
     ChangeLog Makefile.defs debian/changelog debian/rules
     lisp/muse-latex.el


2005-11-02 03:56:03 GMT	Michael Olson <mwolson@gnu.org>	patch-265

    Summary:
      Temporary workaround to make lists work properly again.
    Revision:
      muse--main--1.0--patch-265

    * lisp/muse-publish.el (muse-publish-surround-text): Don't add read-only
      properties to lists, since we need to be able to reduce them in later
      publishing rules for muse-html.  I'd really like to change the way
      lists are marked up so as to obviate the need for this.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-11-01 21:42:57 GMT	Michael Olson <mwolson@gnu.org>	patch-264

    Summary:
      Attempt to fix read-only error.
    Revision:
      muse--main--1.0--patch-264

    * lisp/muse-publish.el (muse-publish-markup-buffer): Set
      inhibit-read-only to t so that we don't get buffer-read-only errors.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-10-31 20:38:52 GMT	Michael Olson <mwolson@gnu.org>	patch-263

    Summary:
      Fix mistyping of new option name.
    Revision:
      muse--main--1.0--patch-263

    * lisp/muse-publish.el (muse-publish-markup-comment)
      (muse-publish-comment-tag): s/markup-//g.  Fix mistyping of new option.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-10-31 15:10:28 GMT	Michael Olson <mwolson@gnu.org>	patch-262

    Summary:
      muse-publish: Use `apply' instead of passing list to `insert'.
    Revision:
      muse--main--1.0--patch-262

    * lisp/muse-publish.el (muse-insert-markup): Use `apply' instead of
      passing a list to `insert'.  Thanks to Mark Triggs for the suggestion.
      Hopefully this will fix a backtrace or two.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-10-30 20:02:19 GMT	Michael Olson <mwolson@gnu.org>	patch-261

    Summary:
      muse-latex2png: Put png files in correct place.  all: Introduce comment syntax.
    Revision:
      muse--main--1.0--patch-261

    * experimental/muse-xml.el (muse-xml-markup-strings): Produce markup for
      'comment-begin and 'comment-end.
    
    * lisp/muse-docbook.el (muse-docbook-markup-strings): Ditto.
    
    * lisp/muse-html.el (muse-html-markup-strings): Ditto.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Ditto.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Ditto.  Remove second
      argument for "\ref", since it isn't valid LaTeX.
    
    * lisp/muse-latex2png.el (muse-publish-latex-tag): Use
      muse-publishing-current-output-path rather than
      muse-publishing-current-file.
    
    * lisp/muse-publish.el (muse-publishing-current-output-path): New
      variable that determines where the current file is being published to.
      (muse-publish-file): Set muse-publishing-current-output-path.
      (muse-publish-comments-p): New option that determines whether comments
      should be deleted or published.  Default is to delete.
      (muse-publish-markup-comment, muse-publish-comment-tag): Use
      muse-publish-comments-p.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-docbook.el
     lisp/muse-html.el lisp/muse-latex.el lisp/muse-latex2png.el
     lisp/muse-publish.el lisp/muse-texinfo.el


2005-10-30 19:07:30 GMT	Michael Olson <mwolson@gnu.org>	patch-260

    Summary:
      muse-latex2png: Fix compiler warning, muse-project: add with-muse-project.
    Revision:
      muse--main--1.0--patch-260

    * AUTHORS: Bookkeeping.
    
    * lisp/muse-latex2png.el (latex2png-move2pubdir): Fix compiler warning.
      `output-dir' is not defined, so let's just use pubdir.
    
    * lisp/muse-project.el (with-muse-project): New function courtesy of Jim
      Ottaway.

    modified files:
     AUTHORS ChangeLog lisp/muse-latex2png.el lisp/muse-project.el


2005-10-30 18:40:56 GMT	Michael Olson <mwolson@gnu.org>	patch-259

    Summary:
      Move latex2png.el to lisp/, muse-latex: Emphasize table elements.
    Revision:
      muse--main--1.0--patch-259

    * AUTHORS: Update.
    
    * lisp/muse-latex.el (muse-latex-markup-table): Implement underlining of
      table headers and overlining table footers, as suggested by Trent Buck.
    
    * contrib/muse-latex2png.el: Move to the lisp/ directory -- the original
      author has agreed to send in a copyright assignment form.

    modified files:
     AUTHORS ChangeLog lisp/muse-latex.el lisp/muse-latex2png.el

    renamed files:
     contrib/.arch-ids/muse-latex2png.el.id
       ==> lisp/.arch-ids/muse-latex2png.el.id
     contrib/muse-latex2png.el
       ==> lisp/muse-latex2png.el


2005-10-29 19:53:49 GMT	Michael Olson <mwolson@gnu.org>	patch-258

    Summary:
      Pave the way for entire-document escaping of specials.
    Revision:
      muse--main--1.0--patch-258

    * lisp/muse-mode.el (muse-mode): Silence compiler warning.
    
    * lisp/muse-publish.el (muse-insert-markup): New function that is used
      for inserting markup text.  Currently, this inserts the text and adds
      the read-only property.  This should permit us to deal with escaping
      specials in the entire document, later on.
      (muse-publish-section-close, muse-publish-markup-word)
      (muse-publish-markup-emdash, muse-publish-markup-enddots)
      (muse-publish-markup-dots, muse-publish-markup-rule)
      (muse-publish-markup-heading, muse-publish-markup-footnote)
      (muse-publish-markup-fn-sep, muse-publish-surround-text)
      (muse-publish-markup-list, muse-publish-markup-leading-space)
      (muse-publish-markup-verse): Use muse-insert-markup instead of
      `insert'.  Don't use this on whitespace, just the markup text itself.
    
    * muse-book.el (muse-book-publish-chapter, muse-book-publish-project):
      Ditto.
    
    * muse-journal.el (muse-journal-latex-qotd-tag): Ditto.

    modified files:
     ChangeLog lisp/muse-book.el lisp/muse-journal.el
     lisp/muse-mode.el lisp/muse-publish.el


2005-10-29 09:15:07 GMT	Michael Olson <mwolson@gnu.org>	patch-257

    Summary:
      By default, use ".muse" extension and do not detect by pathname.
    Revision:
      muse--main--1.0--patch-257

    * lisp/muse-mode.el (muse-mode-auto-p): Default to nil.
      (muse-file-extension): Default to "muse".  This has the effect of
      making Emacs associate the ".muse" extension with muse-mode, without
      trying to figure things out from the path to the file.  The former
      method is usually considered to be best, so we'll go with it.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse.el


2005-10-29 07:10:16 GMT	Michael Olson <mwolson@gnu.org>	patch-256

    Summary:
      Emacs 21 flyspell fix.
    Revision:
      muse--main--1.0--patch-256

    * lisp/muse-mode.el (muse-mode): I finally figured out how to get
      flyspell to pay attention to my muse-mode-flyspell-p constraints, which
      means that the version of flyspell that comes with Emacs21 will no
      longer mess up links.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-10-29 03:22:40 GMT	Michael Olson <mwolson@gnu.org>	patch-255

    Summary:
      Merged from jeho@jeho.org--2005 (patch 0-11)
    Revision:
      muse--main--1.0--patch-255

    * AUTHORS: Update.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Use the proper
      footnode-end mark.
    
    * lisp/muse-mode.el (muse-link-at-point): Avoid error with intangible
      links.
      (muse-visit-link-default): Save position before searching, in case the
      search fails.  Use a regexp search.  Start from beginning of document.
      Refine search regexp.
    
    * lisp/muse-wiki.el (muse-wiki-ignore-bare-project-names): New option
      that indicated whether project names without a page specifier will be
      considered links.
      (muse-wiki-handle-interwiki): Consult
      `muse-wiki-ignore-bare-project-names'.
    
    Patches applied:
    
     * jeho@jeho.org--2005/muse--jeho--1.0--patch-6
       muse-mode.el fix for muse-visit-link-default
    
     * jeho@jeho.org--2005/muse--jeho--1.0--patch-7
       muse-mode.el fix intangible problem in muse-link-at-point
    
     * jeho@jeho.org--2005/muse--jeho--1.0--patch-8
       muse-wiki: added option for not rendering bare project names as links
    
     * jeho@jeho.org--2005/muse--jeho--1.0--patch-10
       muse-mode.el: fix finding an anchor
    
     * jeho@jeho.org--2005/muse--jeho--1.0--patch-11
       muse-latex.el: fix footnote-end

    modified files:
     AUTHORS ChangeLog lisp/muse-latex.el lisp/muse-mode.el
     lisp/muse-wiki.el


2005-10-28 17:05:42 GMT	Michael Olson <mwolson@gnu.org>	patch-254

    Summary:
      contrib/muse-latex2png.el: Put images in the correct directory.
    Revision:
      muse--main--1.0--patch-254

    * contrib/muse-latex2png.el (latex2png-move2pubdir)
      (muse-publish-latex-tag): Apply patch from Na Li and Chris Lowis that
      puts generated images in the correct directory.

    modified files:
     AUTHORS ChangeLog contrib/muse-latex2png.el


2005-10-21 15:26:51 GMT	Michael Olson <mwolson@gnu.org>	patch-253

    Summary:
      Anchor fixes; muse-latex: Use \label{} and \ref{} for anchors.
    Revision:
      muse--main--1.0--patch-253

    * experimental/muse-xml.el (muse-xml-insert-anchor)
      (muse-xml-markup-anchor): Make sure we don't blow away the text just
      before an anchor.  On all types but texinfo, insert a newline
      immediately after the anchor.
    
    * lisp/muse-docbook.el (muse-docbook-insert-anchor)
      (muse-docbook-markup-anchor): Ditto.
    
    * lisp/muse-html.el (muse-html-insert-anchor)
      (muse-html-markup-anchor): Ditto.
    
    * lisp/muse-texinfo.el (muse-texinfo-insert-anchor)
      (muse-texinfo-markup-anchor): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps): Make text before
      the anchor the first match group.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Use \ref{} for
      internal-link rather than \hyperlink{}.  Thanks to Jim Ottaway for the
      suggestion.
      (muse-latex-insert-anchor): Use a simpler routine that inserts
      \label{}.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-docbook.el
     lisp/muse-html.el lisp/muse-latex.el lisp/muse-publish.el
     lisp/muse-texinfo.el


2005-10-21 14:39:50 GMT	Michael Olson <mwolson@gnu.org>	patch-252

    Summary:
      Allow anchors to occur near (rather than at) the beginning of line.
    Revision:
      muse--main--1.0--patch-252

    * lisp/muse-publish.el (muse-publish-markup-regexps): Allow non-word
      characters before anchor, like " - ".  Thanks to Phillip Lord for the
      suggestion.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-10-13 04:20:29 GMT	Michael Olson <mwolson@gnu.org>	patch-251

    Summary:
      Minor bookkeeping update.
    Revision:
      muse--main--1.0--patch-251

    * AUTHORS: Update information.

    modified files:
     AUTHORS ChangeLog


2005-10-13 04:07:36 GMT	Michael Olson <mwolson@gnu.org>	patch-250

    Summary:
      muse-mathml: New experimental embedded MathML publisher.
    Revision:
      muse--main--1.0--patch-250

    * lisp/muse-html.el (muse-html): Fix docstring.
    
    * experimental/muse-mathml.el: New file that implements a <math> tag.
      With the help of an external program, this will translate LaTeX code
      between <math> and </math> to embedded MathML.  A new style called
      "mathml" is defined, which is derived from the XHTML style, but with a
      more suitable header.

    new files:
     experimental/.arch-ids/muse-mathml.el.id
     experimental/muse-mathml.el

    modified files:
     ChangeLog lisp/muse-html.el


2005-10-13 03:38:30 GMT	Michael Olson <mwolson@gnu.org>	patch-249

    Summary:
      muse-latex: Ignore anchor if it occurs at end of line.
    Revision:
      muse--main--1.0--patch-249

    * lisp/muse-latex.el (muse-latex-insert-anchor): If the anchor occurs at
      the end of a line, ignore it.  Thanks to Na Li for the suggestion.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-latex.el


2005-10-12 15:57:20 GMT	Michael Olson <mwolson@gnu.org>	patch-248

    Summary:
      Add ability to publish embedded LaTeX content as a PNG.
    Revision:
      muse--main--1.0--patch-248

    * lisp/muse-publish.el (muse-publishing-styles)
      (muse-publishing-current-file, muse-publishing-current-style)
      (muse-publishing-styles): Add documentation.
    
    * contrib/muse-latex2png.el: New file that adds the <latex> tag.  The tag
      expects LaTeX content, and will publish a PNG file.  If you're
      interesting in helping, check out To Do in the commentary.  This is in
      /contrib for now, since the original author doesn't have a copyright
      assignment on file with the FSF.

    new files:
     contrib/.arch-ids/muse-latex2png.el.id
     contrib/muse-latex2png.el

    modified files:
     AUTHORS ChangeLog lisp/muse-publish.el


2005-10-06 19:40:37 GMT	Michael Olson <mwolson@gnu.org>	patch-247

    Summary:
      muse-groff.el: New publishing styles groff and groff-pdf.
    Revision:
      muse--main--1.0--patch-247

    * AUTHORS: Add AJK.
    
    * lisp/muse.el: Use the correct month name for this release.  Oops.
    
    * muse.texi (Directives): The behavior for #date changed in 3.02.01.
    
    * experimental/muse-groff.el: New file containing the groff and groff-pdf
      publishing styles.

    new files:
     experimental/.arch-ids/muse-groff.el.id
     experimental/muse-groff.el

    modified files:
     AUTHORS ChangeLog lisp/muse.el muse.texi


2005-09-27 00:15:05 GMT	Michael Olson <mwolson@gnu.org>	patch-246

    Summary:
      Figure out syntax of :set.
    Revision:
      muse--main--1.0--patch-246

    * lisp/muse-project.el (muse-project): Make the :set option inline to
      match the actual syntax that Muse recognizes.
    
    * muse.texi (Projects): Note that I need to work on this section.

    modified files:
     ChangeLog lisp/muse-project.el muse.texi


2005-09-26 22:31:57 GMT	Michael Olson <mwolson@gnu.org>	patch-245

    Summary:
      Release Emacs Muse 3.02.01.
    Revision:
      muse--main--1.0--patch-245

    * NEWS: Update entries for Muse 3.02.01.
    
    * debian/rules: Install NEWS.Debian.
    
    * debian/NEWS: New file that contains Debian-related news items.
    
    * examples/mwolson/muse-init.el: Update with my latest changes.
    
    * examples/mwolson/templates/footer.html: Use
      `muse-publishing-directive'.

    new files:
     debian/.arch-ids/NEWS.id debian/NEWS

    modified files:
     ChangeLog Makefile.defs NEWS debian/changelog debian/rules
     examples/mwolson/muse-init.el
     examples/mwolson/templates/footer.html lisp/muse.el muse.texi


2005-09-26 21:23:49 GMT	Michael Olson <mwolson@gnu.org>	patch-244

    Summary:
      Fix customization bugs concerning muse-project-alist.
    Revision:
      muse--main--1.0--patch-244

    * examples/johnw/muse-johnw.el: Update with latest version from John.
    
    * muse-project.el (muse-project-alist-using-customize): New variable that
      indicates whether or not we just used customize to modify the value of
      muse-project-alist.
      (muse-project-alist-get): Set muse-project-alist-using-customize.
      (muse-project-alist-set): Only try to unescape muse-project-alist if
      muse-project-alist-using-customize is set.  Make sure that the value we
      save to .emacs is unescaped.
      (muse-project): Add definition for :value-delete so that we can work
      around an Emacs21 and XEmacs21 annoyance.

    modified files:
     ChangeLog examples/johnw/muse-johnw.el lisp/muse-project.el


2005-09-25 03:06:25 GMT	Michael Olson <mwolson@gnu.org>	patch-243

    Summary:
      Try to make link properties more sane.
    Revision:
      muse--main--1.0--patch-243

    * lisp/muse-colors.el (muse-link-properties): Try to make link properties
      a bit smarter.  It is hoped that this fixes several strange key
      movement and link coloring issues.  Thanks to Sergey Vlasov for the
      fix.

    modified files:
     AUTHORS ChangeLog lisp/muse-colors.el


2005-09-24 00:01:56 GMT	Michael Olson <mwolson@gnu.org>	patch-242

    Summary:
      Use modification time for date directive.
    Revision:
      muse--main--1.0--patch-242

    * lisp/muse-publish.el (muse-publish-markup-buffer): Set the date
      directive using the currently-publishing file's modification time,
      rather than the current time.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-09-22 16:51:05 GMT	Michael Olson <mwolson@gnu.org>	patch-241

    Summary:
      muse-latex: Add a few escaping options that may be used in the future.
    Revision:
      muse--main--1.0--patch-241

    * lisp/muse-latex.el: Note that we don't make use of these new options
      yet.
      (muse-latex-markup-specials): Move longer escapes out of here.
      (muse-latex-markup-specials-entire-document): New option that specifies
      the special characters to escape in the whole document after processing
      markup rules.
      (muse-latex-markup-specials-verbatim): New option that specifies the
      special characters to escape in <example> tags and =literal text=.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-09-22 16:15:59 GMT	Michael Olson <mwolson@gnu.org>	patch-240

    Summary:
      If more than 1 blank separates list/table items, separate them.
    Revision:
      muse--main--1.0--patch-240

    * lisp/muse-docbook.el, muse-html.el, muse-latex.el, muse-texinfo.el,
      experimental/muse-xml.el (muse-*-markup-regexps): If more than 1 blank
      line separates a list or table item, it will form a new table.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-docbook.el
     lisp/muse-html.el lisp/muse-latex.el lisp/muse-texinfo.el


2005-09-19 01:34:48 GMT	Michael Olson <mwolson@gnu.org>	patch-239

    Summary:
      muse.texi: Use @example instead of @smallexample.
    Revision:
      muse--main--1.0--patch-239

    * muse.texi: Replace @smallexample with @example.  It didn't do what I
      thought it did, and the result looked worse.  Hence, the reversal.

    modified files:
     ChangeLog muse.texi


2005-09-19 01:31:34 GMT	Michael Olson <mwolson@gnu.org>	patch-238

    Summary:
      muse-html: Add muse-xhtml-style-sheet.
    Revision:
      muse--main--1.0--patch-238

    * lisp/muse-html.el (muse-html-style-sheet): Remove XHTML note.
      (muse-xhtml-style-sheet): New option that is used in muse-xhtml-header.
      Thanks to Trent Buck for the suggestion.

    modified files:
     ChangeLog lisp/muse-html.el


2005-09-16 07:06:42 GMT	Michael Olson <mwolson@gnu.org>	patch-237

    Summary:
      Release Muse 3.02.
    Revision:
      muse--main--1.0--patch-237

    * Makefile.defs: Update Debian stuff.
    
    * changelog: Add entry for 3.02-1, urgency medium.

    modified files:
     ChangeLog Makefile.defs debian/changelog


2005-09-16 06:57:44 GMT	Michael Olson <mwolson@gnu.org>	patch-236

    Summary:
      Prepare for release.
    Revision:
      muse--main--1.0--patch-236

    * lisp/muse.el (muse-version): Increment to 3.02.
    
    * *.el: Fix first header line.
    
    * examples/mwolson/muse-init.el: Sync with my config.
      (my-muse-pdf-make-links-absolute): New function that makes relative
      links absolute in a hard-coded way.
      (my-muse-pdf-prepare-buffer): Add `my-muse-pdf-make-links-absolute' to
      publishing transforms.
    
    * NEWS: Update.

    new files:
     experimental/.arch-ids/muse-cite.el.id
     experimental/muse-cite.el

    modified files:
     ChangeLog Makefile.defs NEWS examples/mwolson/muse-init.el
     experimental/muse-message.el experimental/muse-xml.el
     lisp/muse-blosxom.el lisp/muse-book.el lisp/muse-colors.el
     lisp/muse-convert.el lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-http.el lisp/muse-journal.el lisp/muse-latex.el
     lisp/muse-mode.el lisp/muse-poem.el lisp/muse-project.el
     lisp/muse-protocols.el lisp/muse-publish.el
     lisp/muse-regexps.el lisp/muse-texinfo.el lisp/muse-wiki.el
     lisp/muse.el muse.texi


2005-09-16 06:33:11 GMT	Michael Olson <mwolson@gnu.org>	patch-235

    Summary:
      Finish documentation.
    Revision:
      muse--main--1.0--patch-235

    * muse.texi (Comments): New node that describes the syntax of comments.
      (Markup Strings): Describe all markup strings.

    modified files:
     ChangeLog muse.texi


2005-09-16 05:02:45 GMT	Michael Olson <mwolson@gnu.org>	patch-234

    Summary:
      Document style elements for muse-define-style.
    Revision:
      muse--main--1.0--patch-234

    * muse.texi: Use @smallexample for 1-line examples.
      (Style Elements): New node that explains the different style elements
      that may be used for muse-define-style and muse-derive-style.
      (Deriving Styles): Prune unnecessary entries.  Explain existing entries
      better.

    modified files:
     ChangeLog muse.texi


2005-09-16 04:05:19 GMT	Michael Olson <mwolson@gnu.org>	patch-233

    Summary:
      Make documentation separately installable.
    Revision:
      muse--main--1.0--patch-233

    * Makefile (install): Split into install-bin and install-info.
    
    * muse.texi (Markup Regexps): Fix display bug.

    modified files:
     ChangeLog Makefile muse.texi


2005-09-15 03:52:01 GMT	Michael Olson <mwolson@gnu.org>	patch-232

    Summary:
      muse-mode: Set comment syntax.
    Revision:
      muse--main--1.0--patch-232

    * lisp/muse-mode.el (muse-mode): Declare comment syntax to be 
      `^; comment text$'.  Thanks to Jesse Alama for the suggestion.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-09-13 06:30:18 GMT	Michael Olson <mwolson@gnu.org>	patch-231

    Summary:
      muse.texi: Add publishing order information.
    Revision:
      muse--main--1.0--patch-231

    * muse.texi (Markup Regexps): Add publishing order.

    modified files:
     ChangeLog muse.texi


2005-09-09 15:12:05 GMT	Michael Olson <mwolson@gnu.org>	patch-230

    Summary:
      Hack on documentation.  The release is in sight!
    Revision:
      muse--main--1.0--patch-230

    * muse.texi: Use @subsubheading for all logical split headers rather than
      @emph.  Move all examples against left margin.  Add comments to
      indicate what still needs to be done.
      (DocBook): Correct a few misspelled variable names and add some new
      variables.
      (Common Elements): Split this into 4 new subsections.

    modified files:
     ChangeLog muse.texi


2005-09-08 16:50:53 GMT	Michael Olson <mwolson@gnu.org>	patch-229

    Summary:
      Fix publishing of stuff like <code><></code>.
    Revision:
      muse--main--1.0--patch-229

    * lisp/muse-publish.el (muse-publish-escape-specials): Use
      `insert-before-markers' rather than `insert'.  This should fix strange
      edge cases like <code><></code>.  Thanks to Trent Buck for the report.

    modified files:
     ChangeLog lisp/muse-publish.el


2005-09-08 16:24:11 GMT	Michael Olson <mwolson@gnu.org>	patch-228

    Summary:
      Update NEWS, fix muse-url-protocols customization interface.
    Revision:
      muse--main--1.0--patch-228

    * lisp/muse-protocols.el (muse-url-protocols): Add customize choice for
      using nil as the resolve function.
    
    * NEWS: Bring up-to-date.

    modified files:
     ChangeLog NEWS lisp/muse-protocols.el


2005-09-05 17:34:31 GMT	Michael Olson <mwolson@gnu.org>	patch-227

    Summary:
      Fix title coloring bug; muse-latex: escape '<' and '>'.
    Revision:
      muse--main--1.0--patch-227

    * lisp/muse-colors.el (muse-colors-markup): Match against the space after
      #title.  This should prevent a rather nasty bug.  Thanks to John Sullivan
      for the report.
    
    * lisp/muse-latex.el (muse-latex-markup-specials): Mark up '_' as
      "\textunderscore{}".  Add escaping for '<' and '>'.  Thanks to Trent
      Buck.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-latex.el


2005-09-05 16:49:35 GMT	Michael Olson <mwolson@gnu.org>	patch-226

    Summary:
      muse-latex: Handle special characters in a better way.
    Revision:
      muse--main--1.0--patch-226

    * lisp/muse-latex.el (muse-latex-markup-regexps): Remove special
      characters hack.
      (muse-latex-markup-strings): Use \\texttt{...} for 'begin-literal and
      'end-literal.  Thanks to Trent Buck for the suggestion.
      (muse-latex-markup-specials): Move special characters here instead of
      using the regexp.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-09-05 14:25:37 GMT	Michael Olson <mwolson@gnu.org>	patch-225

    Summary:
      muse-latex: Fix compiler warning.
    Revision:
      muse--main--1.0--patch-225

    * lisp/muse-latex.el (muse-latex-pdf-generate): Provide 3rd argument for
      format.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-09-05 14:24:22 GMT	Michael Olson <mwolson@gnu.org>	patch-224

    Summary:
      Add <code> tag.
    Revision:
      muse--main--1.0--patch-224

    * lisp/muse-colors.el (muse-colors-tags): Switch coloring of code and
      verbatim.  Verbatim makes text literal and escaped, code makes text
      teletype and escaped.
    
    * muse-publish.el (muse-publish-markup-tags): Add "code".
      (muse-publish-code-tag): New function that publishes code the same way
      as =teletyped= text.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-publish.el


2005-09-05 13:24:19 GMT	Michael Olson <mwolson@gnu.org>	patch-223

    Summary:
      Strip text properties before browsing a URL.
    Revision:
      muse--main--1.0--patch-223

    * lisp/muse-protocols.el (muse-browse-url): Strip text properties.  Maybe
      this will fix a bug.

    modified files:
     ChangeLog lisp/muse-protocols.el


2005-09-05 05:12:07 GMT	Michael Olson <mwolson@gnu.org>	patch-222

    Summary:
      muse-latex: Call pdflatex twice to get <contents> published.
    Revision:
      muse--main--1.0--patch-222

    * lisp/muse-latex.el (muse-latex-pdf-generate): Quote arguments.  Call
      pdflatex twice, since this seems to be necessary to get <contents>
      published.  Thanks to Trent Buck for the heads up.  I wonder if we need
      to call it three times, since this is what John originally did.  Can
      someone please give me advice about this?

    modified files:
     ChangeLog lisp/muse-latex.el


2005-09-04 17:07:07 GMT	Michael Olson <mwolson@gnu.org>	patch-221

    Summary:
      Make info:// and man:// not publish a link, handle insert URL edge case.
    Revision:
      muse--main--1.0--patch-221

    * lisp/muse-protocols.el (muse-url-protocols): info:// and man:// should
      publish only the description, not the URL.
    
    * lisp/muse-publish.el (muse-publish-insert-url): Handle case where we
      get nil from muse-publish-url by not inserting any text.

    modified files:
     ChangeLog lisp/muse-protocols.el lisp/muse-publish.el


2005-09-04 17:02:21 GMT	Michael Olson <mwolson@gnu.org>	patch-220

    Summary:
      If a URL has a resolve function of nil, publish the description only.
    Revision:
      muse--main--1.0--patch-220

    * lisp/muse-mode.el (muse-visit-link-default): Make sure we search for a
      complete tag.
    
    * lisp/muse-protocols.el (muse-url-protocols): Improve customization
      interface.
      (muse-resolve-url): If nil is given as the resolve function, return
      nil.
    
    * lisp/muse-publish.el (muse-publish-url): If the URL resolves as nil,
      insert the description instead of the original URL.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-protocols.el
     lisp/muse-publish.el


2005-09-02 22:57:04 GMT	Michael Olson <mwolson@gnu.org>	patch-219

    Summary:
      Implement protocol handling.
    Revision:
      muse--main--1.0--patch-219

    * lisp/muse-mode.el (muse-mode): Call muse-update-url-regexp.  Maybe I
      should just make a hook for this stuff.
      (muse-visit-link-default): Call muse-browse-url instead of browse-url.
    
    * lisp/muse-protocols.el: New file that implements protocol handling.
    
    * lisp/muse-publish.el (muse-publish-url-transforms): Add
      muse-resolve-url.
      (muse-publish-markup-url): Indentation fix, no func change.
    
    * lisp/muse-regexps.el (muse-url-regexp): Move to muse-protocols.el.
    
    * lisp/muse.el: Require muse-protocols.

    new files:
     lisp/.arch-ids/muse-protocols.el.id lisp/muse-protocols.el

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-publish.el
     lisp/muse-regexps.el lisp/muse.el


2005-09-01 16:11:57 GMT	Michael Olson <mwolson@gnu.org>	patch-218

    Summary:
      muse-xml: Use a more standard sort of header.
    Revision:
      muse--main--1.0--patch-218

    * experimental/muse-xml.el (muse-xml-header): Use <MUSE> instead of <page
      type="muse">, as suggested by Brad Collins.

    modified files:
     ChangeLog experimental/muse-xml.el


2005-09-01 16:04:32 GMT	Michael Olson <mwolson@gnu.org>	patch-217

    Summary:
      Add schema for muse-xml, tweak verse formatting, fix goof from last patch.
    Revision:
      muse--main--1.0--patch-217

    * AUTHORS: Note that Brad Collins authored examples/muse-rnc.
    
    * README (examples): Mention that other files are here as well.
    
    * examples/muse-rnc.el: New file that implements a RelaxNG Compact schema
      for use with muse-xml.el.
    
    * muse-xml.el: Mention the newly-contributed schema from Brad, and that
      muse-xml is in experimental status.
      (muse-xml-markup-regexps): Correct table-munging regexp.
      (muse-xml-markup-strings): Surround each verse line with <line></line>.
      Empty lines are marked up as <line />.
    
    * muse-html.el (muse-html-markup-strings, muse-xhtml-markup-strings):
      s/last-stanza-end/end-last-stanza-line/.
    
    * muse-mode.el (muse-visit-link-default): Make the temporary file
      visiting work as expected.
    
    * muse-publish.el (muse-publish-markup-verse): Make use of
      'begin-verse-line and 'begin-last-stanza-line.  Use
      'end-last-stanza-line instead of 'last-stanza-end.
    
    * muse.texi (Verse): Be a bit more clever with our example.

    new files:
     examples/.arch-ids/muse.rnc.id examples/muse.rnc

    modified files:
     AUTHORS ChangeLog README experimental/muse-xml.el
     lisp/muse-html.el lisp/muse-mode.el lisp/muse-publish.el
     muse.texi


2005-09-01 13:42:15 GMT	Michael Olson <mwolson@gnu.org>	patch-216

    Summary:
      Allow links to temporary files to be visited.
    Revision:
      muse--main--1.0--patch-216

    * lisp/muse-mode.el (muse-visit-link-default): Permit visiting of
      temporary files.  These are buffers that do not have a corresponding
      file.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-09-01 11:41:14 GMT	Michael Olson <mwolson@gnu.org>	patch-215

    Summary:
      Fix save-match-data gaffe.
    Revision:
      muse--main--1.0--patch-215

    * lisp/muse-regexps.el (muse-regexp-emacs-revision): Move save-match-data
      outside of `and' statement.

    modified files:
     ChangeLog lisp/muse-regexps.el


2005-08-31 03:48:28 GMT	Michael Olson <mwolson@gnu.org>	patch-214

    Summary:
      Introduce :link-suffix. muse-wiki: Don't mangle acronyms in titles.
    Revision:
      muse--main--1.0--patch-214

    * examples/mwolson/muse-init.el: Update.
    
    * muse-blosxom.el ("blosxom-html", "blosxom-xhtml"): Use :link-suffix to
      ensure that links to other pages in this project are given the proper
      extension.
    
    * muse-latex.el ("pdf", "pdfcjk"): Ditto.
    
    * muse-journal.el (muse-journal-rdf-header): Use muse-publish-link-name
      instead of muse-publish-output-name.
    
    * muse-publish.el (muse-publish-link-name, muse-publish-link-file): New
      functions that consult the :link-suffix when returning the name of the
      link (or the complete file name for the latter function).  If
      :link-suffix does not exist, use :suffix.  This should help Muse be
      able to handle some more usage scenarios.
      (muse-publish-prepare-url): Use muse-publish-link-name instead of
      muse-publish-output-name.
    
    * muse-wiki.el (muse-wiki-resolve-project-page): Use
      muse-publish-link-file instead of muse-publish-output-file.
      (muse-wiki-publish-pretty-title): Don't space-separate capitalized
      letters.  The old behavior was not friendly to acronyms.

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse-blosxom.el
     lisp/muse-journal.el lisp/muse-latex.el lisp/muse-publish.el
     lisp/muse-wiki.el


2005-08-29 06:14:35 GMT	Michael Olson <mwolson@gnu.org>	patch-213

    Summary:
      Correct the publish-project example.
    Revision:
      muse--main--1.0--patch-213

    * examples/publish-project: Remove "-l muse-build.el" and note that the
      user's muse-init.el file should add the Muse directories to load-path.

    modified files:
     ChangeLog examples/publish-project


2005-08-29 06:04:51 GMT	Michael Olson <mwolson@gnu.org>	patch-212

    Summary:
      Reinstate former extended character class rules.
    Revision:
      muse--main--1.0--patch-212

    * lisp/muse-regexps.el (muse-regexp-use-character-classes): Looks like
      extended regexps really don't work well on Emacs 21.2 or 21.3, so
      document that.
      (muse-regexp-emacs-revision): New variable that indicates the revision
      number of this version of Emacs.
      (muse-extreg-usable-p): Reinstate old rules -- Emacs 21.2 and 21.3
      aren't working well enough with extended character classes in regexps.
    
    * lisp/muse.el (muse-version): If INSERT option is given, insert the text
      instead of just displaying it.

    modified files:
     ChangeLog lisp/muse-regexps.el lisp/muse.el


2005-08-28 23:59:03 GMT	Michael Olson <mwolson@gnu.org>	patch-211

    Summary:
      Fix paragraph-filling breakage in Emacs21.
    Revision:
      muse--main--1.0--patch-211

    * lisp/muse-mode.el (muse-mode): Check explicitly for Emacs21 rather than
      relying on muse-extreg-usable-p.  Thanks to Sergey Vlasov for the bug
      report.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-08-27 02:25:35 GMT	Michael Olson <mwolson@gnu.org>	patch-210

    Summary:
      Allow Emacs 21.3 to use extended character classes in regexps.
    Revision:
      muse--main--1.0--patch-210

    * lisp/muse-regexps.el (muse-extreg-usable-p): Use a simpler algorithm.
      Since enough positive reports have come in about the usability of 21.3,
      we'll allow it to use extended character classes in regexps by default.

    modified files:
     ChangeLog lisp/muse-regexps.el


2005-08-26 14:48:08 GMT	Michael Olson <mwolson@gnu.org>	patch-209

    Summary:
      Don't prompt unnecessarily when doing C-c C-t in a Muse project file.
    Revision:
      muse--main--1.0--patch-209

    * lisp/muse-publish.el (muse-publish-get-output-dir): Use
      `muse-read-directory-name' instead of `read-file-name'.  Now Muse won't
      offer the style and directory prompt when you hit C-c C-t in a file
      belonging to a defined Muse project.  Otherwise prompt.  Thanks to Yann
      Hodique for the fix.
    
    * lisp/muse.el (muse-read-directory-name): New function that defines a
      fallback version of `read-directory-name', since Emacs21 doesn't have
      it.

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse.el


2005-08-25 05:44:56 GMT	Michael Olson <mwolson@gnu.org>	patch-208

    Summary:
      Fix problem with links at beginning of buf and paragraphs.
    Revision:
      muse--main--1.0--patch-208

    * experimental/muse-xml.el (muse-xml-markup-regexps): Update to do what I
      mean.
    
    * muse-docbook.el (muse-docbook-markup-regexps): Ditto.
    
    * muse-html.el (muse-html-markup-regexps): Ditto.
    
    * muse-publish.el (muse-publishing-last-position): New variable that
      indicates our last buffer position while publishing the current rule.
      Used to make sure the process doesn't get stalled.
      (muse-publish-markup): Fix edge case where links at beginning of
      buffer, with read-only text, would prevent the beginning of buffer from
      being matched.
      (muse-publish-markup-directive): Fix case where two directives of the
      same size would prevent any following directives from being
      interpreted.  We accomplish this by setting the last published position
      to nil after each directive.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-docbook.el
     lisp/muse-html.el lisp/muse-publish.el


2005-08-24 03:45:13 GMT	Michael Olson <mwolson@gnu.org>	patch-207

    Summary:
      Document publishing directives.
    Revision:
      muse--main--1.0--patch-207

    * muse.texi (Getting Started): Remove crufty sentence.
      (Directives): New section that describes the likes of #title and
      #author.

    modified files:
     ChangeLog muse.texi


2005-08-23 04:36:54 GMT	Michael Olson <mwolson@gnu.org>	patch-206

    Summary:
      Document WikiNames and update header publishing information.
    Revision:
      muse--main--1.0--patch-206

    * muse.texi (Headings): Any level of headings is supported.
      (Emphasizing Text): Verbatim text may span multiple lines.
      (Explicit Links): Refactor Links section into Explicit Links, Implicit
      Links, and Images.
      (Implicit Links): Document WikiNames and InterWiki links.

    modified files:
     ChangeLog muse.texi


2005-08-22 20:37:10 GMT	Michael Olson <mwolson@gnu.org>	patch-205

    Summary:
      Finish NEWS, handle emphasis at EOF edge case.
    Revision:
      muse--main--1.0--patch-205

    * lisp/muse-colors.el (muse-colors-emphasized, muse-colors-underlined)
      (muse-colors-verbatim): Highlight emphasis at the end of file, as long
      as there is a terminating emphasis delimiter.
    
    * examples/mwolson/muse-init.el: Sync with my latest configuration.
    
    * NEWS: Bring this up to date.

    modified files:
     ChangeLog NEWS examples/mwolson/muse-init.el
     lisp/muse-colors.el


2005-08-19 16:55:39 GMT	Michael Olson <mwolson@gnu.org>	patch-204

    Summary:
      muse-html: Add muse-xhtml-extension.
    Revision:
      muse--main--1.0--patch-204

    * lisp/muse-html.el (muse-xhtml-extension): New option that specifies the
      default file extension for publishing XHTML files.  Thanks to Trent
      Buck for the suggestion.
      ("xhtml"): Use it.

    modified files:
     ChangeLog lisp/muse-html.el


2005-08-19 16:24:08 GMT	Michael Olson <mwolson@gnu.org>	patch-203

    Summary:
      Add items through patch-149 to NEWS.
    Revision:
      muse--main--1.0--patch-203

    * NEWS (progress): Catch up to patch-149.
    
    * lisp/muse-mode.el (muse-mode): Remove spurious comment.
    
    * lisp/muse-publish.el (muse-publish): Ditto.

    modified files:
     ChangeLog NEWS lisp/muse-mode.el lisp/muse-publish.el


2005-08-18 06:53:31 GMT	Michael Olson <mwolson@gnu.org>	patch-202

    Summary:
      Make building of Debian revisions work.
    Revision:
      muse--main--1.0--patch-202

    * Makefile (distclean): Don't remove anything in debian/, since it will
      never be necessary.
      (debclean): Removed, since two different targets need slightly
      different versions of this.  Even abstraction has its limits.
      (debbuild): New target that takes care of performing the build itself.
      (debrevision): New target that makes a revision build, where the
      original tarball must not be modified.
      (debrevision): Split out building stuff to debbuild target.
    
    * debian/changelog: Several revisions worth of Debian fun.
    
    * debian/control (Build-Depends-Indep): Add emacs21 | emacsen.
      (Description): Make this match the ITP and shorten the text.

    modified files:
     ChangeLog Makefile Makefile.defs debian/changelog
     debian/control


2005-08-14 07:10:16 GMT	Michael Olson <mwolson@gnu.org>	patch-201

    Summary:
      Prepare initial upload for Debian project.
    Revision:
      muse--main--1.0--patch-201

    * Makefile.defs (LASTUPLOAD): Mark as the previous Debian package
      version, since we only want the last changelog entry to appear on the
      initial Debian upload.
    
    * debian/changelog: New Debian package 3.01.arch.201-1.

    modified files:
     ChangeLog Makefile.defs debian/changelog


2005-08-13 05:05:41 GMT	Michael Olson <mwolson@gnu.org>	patch-200

    Summary:
      muse-mode: Minor regexp tweak.
    Revision:
      muse--main--1.0--patch-200

    * lisp/muse-mode.el (muse-mode): Use \\s- instead of [[:blank:]].

    modified files:
     ChangeLog lisp/muse-mode.el


2005-08-13 00:25:54 GMT	Michael Olson <mwolson@gnu.org>	patch-199

    Summary:
      Minor fixups from Peter K. Lee.
    Revision:
      muse--main--1.0--patch-199

    * experimental/muse-xml.el (muse-xml-fixup-tables): Be slightly less
      restrictive with our end-of-table regexp.
    
    * lisp/muse-docbook.el (muse-docbook-fixup-tables): Look for tgroup
      instead of start of table.  Be less restrictive with several of our
      regexps.
    
    * lisp/muse-html.el: Patch from Peter K. Lee.
      (muse-html-prepare-buffer): Work around edge case where the "charset="
      part has already been appended to muse-html-meta-content-type.
      (muse-html-fixup-tables): Be slightly less restrictive with our
      end-of-table regexp.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-docbook.el
     lisp/muse-html.el


2005-08-12 20:36:10 GMT	Michael Olson <mwolson@gnu.org>	patch-198

    Summary:
      Keep lists from getting mashed together on M-q.
    Revision:
      muse--main--1.0--patch-198

    * lisp/muse-mode.el (muse-mode): Handle footnotes.  Set `paragraph-start'
      locally so that lists don't get blended together incorrectly upon
      hitting M-q.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-08-12 01:29:58 GMT	Michael Olson <mwolson@gnu.org>	patch-197

    Summary:
      QuickStart: Minor typo in anchor example.
    Revision:
      muse--main--1.0--patch-197

    * examples/QuickStart (Anchors and tagged links): Link to an anchor only,
      rather than a full URL.

    modified files:
     ChangeLog examples/QuickStart


2005-08-09 23:15:10 GMT	Michael Olson <mwolson@gnu.org>	patch-196

    Summary:
      Makefile: Use BUILDOPTS.
    Revision:
      muse--main--1.0--patch-196

    * Makefile (debrelease): Make use of $(BUILDOPTS).
    
    * Makefile.defs (BUILDOPTS): New option that allows additional options to
      be passed to dpkg-buildpackage.  In case I ever make several revisions
      before getting the -1 revision uploaded, for example, I can use "-sa"
      here in order to make a valid pacakge.

    modified files:
     ChangeLog Makefile Makefile.defs


2005-08-09 22:39:09 GMT	Michael Olson <mwolson@gnu.org>	patch-195

    Summary:
      Make generated Debian packages slightly easier to upload.
    Revision:
      muse--main--1.0--patch-195

    * debian/changelog: Generate 3.01.arch.195-1.
    
    * debian/rules (clean): Call $(MAKE) realclean instead of $(MAKE) clean.
    
    * Makefile.defs (LASTUPLOAD): New variable that indicates the version
      that was last uploaded to Debian.
    
    * Makefile (debrelease): Use $(LASTUPLOAD) to ensure that a full set of
      changes is generated.  This means we have to use dpkg-buildpackage,
      since debuild doesn't recognize the environment variables that it
      claims to recognize.

    modified files:
     ChangeLog Makefile Makefile.defs debian/changelog debian/rules


2005-08-09 04:01:52 GMT	Michael Olson <mwolson@gnu.org>	patch-194

    Summary:
      Makefile: Minor deletion cleanups.
    Revision:
      muse--main--1.0--patch-194


    modified files:
     ChangeLog Makefile


2005-08-09 03:26:50 GMT	Michael Olson <mwolson@gnu.org>	patch-193

    Summary:
      Compilation cleanups.
    Revision:
      muse--main--1.0--patch-193

    * lisp/muse-mode.el (muse-mode): Use `make-local-variable' instead of
      `make-variable-buffer-local' in order to silence compiler warnings.
    
    * lisp/muse.el: Add an eval-when-compile line to silence a compiler
      warning.
    
    * scripts/muse-build.el (muse-elint-files): Automatically load every
      elisp file rather than specifying each one.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse.el scripts/muse-build.el


2005-08-08 22:58:24 GMT	Michael Olson <mwolson@gnu.org>	patch-192

    Summary:
      Fix failure to resolve interwiki link when clicking on it.
    Revision:
      muse--main--1.0--patch-192

    * Makefile (debclean): Minor tweak.
    
    * lisp/muse-mode.el (muse-visit-link-default): Indentation fix.  No func
      change.
    
    * lisp/muse-project.el (muse-project-find-file): Don't add file
      extensions to a relative name.  If we're dealing with a file, open it
      up without searching through the various projects for a path.  This
      should fix the failure to resolve an interwiki link by clicking on it.

    modified files:
     ChangeLog Makefile lisp/muse-mode.el lisp/muse-project.el


2005-08-06 17:39:45 GMT	Michael Olson <mwolson@gnu.org>	patch-191

    Summary:
      Makefile: Remove stale Debian packages for this version.
    Revision:
      muse--main--1.0--patch-191

    * Makefile (debclean): Remove generated Debian packages for the current
      version in parent directory.

    modified files:
     ChangeLog Makefile


2005-08-03 04:34:50 GMT	Michael Olson <mwolson@gnu.org>	patch-190

    Summary:
      Fix trailing backslash error.
    Revision:
      muse--main--1.0--patch-190

    * lisp/muse-project.el (muse-project-of-file): Apply 1-line
      regexp-quoting fix from drkm.

    modified files:
     ChangeLog lisp/muse-project.el


2005-07-27 07:43:53 GMT	Michael Olson <mwolson@gnu.org>	patch-189

    Summary:
      Release 3.01.91 (3.02 RC2).
    Revision:
      muse--main--1.0--patch-189

    * lisp/muse.el (muse-version): Release 3.01.91 (3.02 RC2).

    modified files:
     ChangeLog Makefile.defs lisp/muse.el muse.texi


2005-07-27 07:40:03 GMT	Michael Olson <mwolson@gnu.org>	patch-188

    Summary:
      Escape email address and URL always.
    Revision:
      muse--main--1.0--patch-188

    * lisp/muse-publish.el (muse-publish-markup-email): Move lower.  Always
      escape and publish email address as read-only, even when it's not
      marked up.
      (muse-publish-markup-url): Ditto for URL.

    modified files:
     ChangeLog Makefile.defs debian/changelog lisp/muse-publish.el


2005-07-26 08:49:38 GMT	Michael Olson <mwolson@gnu.org>	patch-187

    Summary:
      Inter-project output name fix.
    Revision:
      muse--main--1.0--patch-187

    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): I would've sworn
      that I had fixed this before.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-26 08:40:11 GMT	Michael Olson <mwolson@gnu.org>	patch-186

    Summary:
      Make coloring of verbatim greater-than sign same as publishing.
    Revision:
      muse--main--1.0--patch-186

    * lisp/muse-colors.el (muse-colors-markup): Since we currently publish a
      greater-than sign surrounded by equal signs, display it in verbatim
      face.

    modified files:
     ChangeLog lisp/muse-colors.el


2005-07-26 08:03:41 GMT	Michael Olson <mwolson@gnu.org>	patch-185

    Summary:
      Allow transform function for link descriptions.  Bare email and URL fixes.
    Revision:
      muse--main--1.0--patch-185

    * lisp/muse-publish.el (muse-publish-url-transforms): Docfix.
      (muse-publish-desc-transforms): New option that contains the functions
      that will be called to transform a link description.
      (muse-publish-markup-word): Handle Yet Another Edge Case.
      (muse-publish-markup-email): Use
      `muse-publish-escape-specials-in-string'.  Don't publish if we have a
      double-quote on either side.
      (muse-publish-url): Apply description transforms.
      (muse-publish-markup-url): Don't publish if we have a double-quote on
      either side.
    
    * lisp/muse-wiki.el (muse-wiki-update-wikiword-regexp)
      (muse-wiki-wikiword-regexp, muse-wiki-use-wikiword): Minor docfixes.
      (muse-wiki-interwiki-delimiter): New option that indicates the
      interwiki delimiter to use.
      (muse-wiki-interwiki-replacement): New option that indicates the
      replacement
      (muse-wiki-update-interwiki-regexp): Use muse-wiki-interwiki-delimiter.
      (muse-wiki-publish-pretty-title): Deal with EXPLICIT argument so that
      this can be added to muse-publish-desc-transforms.
      (muse-wiki-publish-pretty-interwiki): New function that replaces the
      interwiki delimiter with its replacement, but only when the given text
      is not an explicit link.
    
    * lisp/muse.el (muse-update-file-extension): New function made from the
      innards of the :set function in `muse-file-extension'.

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse-wiki.el lisp/muse.el


2005-07-26 06:17:31 GMT	Michael Olson <mwolson@gnu.org>	patch-184

    Summary:
      Handle anchors in all publishing styles, as well as linking to them.
    Revision:
      muse--main--1.0--patch-184

    * lisp/muse-publish.el (muse-publish-url): Publish links to anchors as
      'internal-link.
      (muse-publish-prepare-url): Don't touch links to anchors.
    
    * lisp/muse-docbook.el (muse-docbook-markup-strings): Add handler for
      'internal-link.  Treat centered text with
      <para role="center">...</para>.
      (muse-docbook-markup-paragraph): Slight regexp tweak.
      (muse-docbook-insert-anchor): Docfix.
      (muse-docbook-markup-anchor): Move lower in file.
    
    * lisp/muse-html.el (muse-html-markup-strings): Add handler for
      'internal-link.
      (muse-xhtml-markup-strings): Order list, no func change.
      (muse-html-markup-anchor): Move up in file, no func change.
    
    * lisp/muse-latex.el (muse-latex-markup-functions): Add rule for
      publishing anchors.
      (muse-latex-markup-strings): Add handler for 'internal-link.
      (muse-latex-insert-anchor, muse-latex-markup-anchor): New functions
      that insert an anchor around the next word or inside of a tag.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-functions): Add rule for
      publishing anchors.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Add handler for
      'internal-link.
      (muse-texinfo-insert-anchor, muse-texinfo-markup-anchor): New functions
      that insert an anchor before the next word or within a tag.
    
    * NEWS: Initial attempt at documenting changes since 3.01.

    new files:
     .arch-ids/NEWS.id NEWS

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-latex.el lisp/muse-publish.el lisp/muse-texinfo.el


2005-07-26 04:30:52 GMT	Michael Olson <mwolson@gnu.org>	patch-183

    Summary:
      Generalize some blosxom helper functions.
    Revision:
      muse--main--1.0--patch-183

    * examples/mwolson/muse-init.el (muse-project-alist): Adapt to new
      generalized helper functions.
      (my-muse-prepare-entry-for-xanga): Use muse-blosxom-extension rather
      than hard-coding it.  Use muse-with-temp-buffer.  Handle all kinds of
      relative links.
    
    * lisp/muse-blosxom.el: Update example in header.
      (muse-blosxom-new-entry): Use new names for helper functions.
      (muse-blosxom-get-categories, muse-blosxom-project-alist-entry)
      (muse-blosxom-project-alist-dirs): Move to muse-project.el.
    
    * lisp/muse-project.el (muse-project-recurse-directory): Renamed from
      `muse-blosxom-project-get-categories'.
      (muse-project-alist-styles): Renamed from
      `muse-blosxom-project-alist-entry'.
      (muse-project-alist-dirs): Renamed from
      `muse-blosxom-project-alist-dirs'.
      (muse-project-of-file): Use `muse-current-file'.
    
    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Use
      `muse-current-file'.
    
    * lisp/muse.el (muse-current-file): New function that returns the name of
      the currently visited or published file.
      (muse-page-name): Use `muse-current-file'.

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse-blosxom.el
     lisp/muse-project.el lisp/muse-wiki.el lisp/muse.el


2005-07-26 03:47:53 GMT	Michael Olson <mwolson@gnu.org>	patch-182

    Summary:
      muse-xml: definition lists, muse-docbook: center.
    Revision:
      muse--main--1.0--patch-182

    * Makefile (%.info, %.html): Use general argument in rule.
      (distclean): Add another cruft file.
    
    * experimental/muse-xml.el (muse-xml-markup-strings): Use <list
      type="definition"> for definition lists.
    
    * lisp/muse-docbook.el (muse-docbook-markup-strings): Replace <center>
      with <note>, since it's the closest thing I could find.

    modified files:
     ChangeLog Makefile experimental/muse-xml.el
     lisp/muse-docbook.el


2005-07-24 22:46:22 GMT	Michael Olson <mwolson@gnu.org>	patch-181

    Summary:
      Minor namespace fix.
    Revision:
      muse--main--1.0--patch-181

    * lisp/muse-colors.el (muse-colors-explicit-link): Use
      muse-match-string-no-properties rather than match-string-no-properties.

    modified files:
     ChangeLog lisp/muse-colors.el


2005-07-24 21:04:15 GMT	Michael Olson <mwolson@gnu.org>	patch-180

    Summary:
      Correct breakage induced by previous patch.
    Revision:
      muse--main--1.0--patch-180

    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Don't use the local
      path as a fallback if we are publishing.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-24 21:01:02 GMT	Michael Olson <mwolson@gnu.org>	patch-179

    Summary:
      Make interwiki links work in a few more edge cases.
    Revision:
      muse--main--1.0--patch-179

    * lisp/muse-project.el (muse-project-applicable-styles): Remove
      assertion, now that I have a good idea of the edge cases involved.
    
    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Handle case where
      the current file is not part of any Muse project, allowing interwiki
      links to be resolvable even then.  Don't return a relative path if we
      are not publishing.  For visiting links, the best thing is just to
      return the real path.

    modified files:
     ChangeLog lisp/muse-project.el lisp/muse-wiki.el


2005-07-24 03:38:06 GMT	Michael Olson <mwolson@gnu.org>	patch-178

    Summary:
      Fix warnings during font-lock, example tag highlighting.
    Revision:
      muse--main--1.0--patch-178

    * lisp/muse-colors.el (muse-colors-region): Prevent "Wrong side of point"
      error.
      (muse-colors-tags): Make sure that no fontification occurs in <code> or
      <lisp> tags.
      (muse-unhighlight-region): Move higher up.
      (muse-colors-example-tag, muse-colors-literal-tag): Use
      `muse-unhighlight-region'.  Fix spelling goof.  Omit (goto-char end)
      since the point gets put in the right place automatically.

    modified files:
     ChangeLog lisp/muse-colors.el


2005-07-24 03:01:50 GMT	Michael Olson <mwolson@gnu.org>	patch-177

    Summary:
      muse-xml: Separate section from title.
    Revision:
      muse--main--1.0--patch-177

    * experimental/muse-xml.el (muse-xml-markup-strings): Add "level"
      attribute to sections.  Use separate <title> tag to handle the title of
      a section.  Thanks to drkm for the suggestion.
    
    * lisp/muse-mode.el (muse-mode): Code indentation, no func change.
    
    * lisp/muse-publish.el (muse-publish-markup-heading)
      (muse-publish-section-close): Pass level to markup strings for all
      section-related tags.
    
    * lisp/muse.el (muse-page-name): Handle case where buffer-file-name is
      not defined.

    modified files:
     ChangeLog experimental/muse-xml.el lisp/muse-mode.el
     lisp/muse-publish.el lisp/muse.el


2005-07-23 01:29:29 GMT	Michael Olson <mwolson@gnu.org>	patch-176

    Summary:
      Include regexps from base styles.  Fix muse-project-ignore-regexp and use it more.
    Revision:
      muse--main--1.0--patch-176

    * lisp/muse-blosxom.el (muse-blosxom-get-categories): Don't include
      folders that match `muse-project-ignore-regexp'.
    
    * lisp/muse-project.el (muse-project-ignore-regexp): Correct an escape
      omission.  Add ",.*" to list of bad directory parts.
    
    * lisp/muse-project.el (muse-project-of-file): Ignore PATHNAME if it
      matches `muse-project-ignore-regexp'.
    
    * lisp/muse-publish.el: Install patch from Peter K. Lee.
      (muse-style-elements-list): New function that returns a list of
      references to ELEM in STYLE, including base styles.
      (muse-publish-markup-region): Use muse-style-elements-list rather than
      muse-style-elements when getting :regexps.
    
    * lisp/muse-publish.el (muse-style-element): Add docstring.

    modified files:
     AUTHORS ChangeLog lisp/muse-blosxom.el lisp/muse-project.el
     lisp/muse-publish.el


2005-07-23 00:21:36 GMT	Michael Olson <mwolson@gnu.org>	patch-175

    Summary:
      Initial implementation of muse-xml.el.  End of section edge case.
    Revision:
      muse--main--1.0--patch-175

    * AUTHORS: Add Peter K. Lee.
    
    * Makefile (experimental): New target that builds experimental programs.
      (distclean): Remove debian/dirs, a cruft file from the debian build
      process.
    
    * examples/mwolson/muse-init.el: Update.
    
    * examples/mwolson/muse-init.el ("\C-cpL"): Use a better function that
      prompts for the blog entry to visit.
    
    * experimental/Makefile: New file that causes experimental stuff to be
      built.
    
    * experimental/muse-xml.el: New file that provides the experimental XML
      publishing style.
    
    * lisp/muse-docbook.el (muse-docbook-markup-regexps): Re-order and fix
      comment strings.
    
    * lisp/muse-html.el (muse-html-markup-regexps): Ditto.
    
    * lisp/muse-publish.el (muse-publish-section-close): Deal with edge case
      involving end-of-file and paragraph detection.
    
    * lisp/muse-wiki.el: Minor header fix.
    
    * scripts/muse-build.el (load-path): Add "../experimental".

    new files:
     experimental/.arch-ids/Makefile.id
     experimental/.arch-ids/muse-xml.el.id experimental/Makefile
     experimental/muse-xml.el

    modified files:
     AUTHORS ChangeLog Makefile examples/mwolson/muse-init.el
     lisp/muse-docbook.el lisp/muse-html.el lisp/muse-publish.el
     lisp/muse-wiki.el scripts/muse-build.el


2005-07-22 07:30:43 GMT	Michael Olson <mwolson@gnu.org>	patch-174

    Summary:
      Try to fix <example> region coloring problem.
    Revision:
      muse--main--1.0--patch-174

    * lisp/muse-colors.el (muse-colors-example-tag, muse-colors-literal-tag):
      If region is multiple lines, add '(font-lock-multiline t) to
      properties.  This should fix an annoying <example> region issue.

    modified files:
     ChangeLog lisp/muse-colors.el


2005-07-22 07:19:30 GMT	Michael Olson <mwolson@gnu.org>	patch-173

    Summary:
      Don't publish implicit links that have a double-quote at begin or end.
    Revision:
      muse--main--1.0--patch-173

    * lisp/muse-colors.el (muse-colors-implicit-link): Don't colorize if a
      double-quote exists at beginning or end.
    
    * lisp/muse-publish.el (muse-publish-markup-link): When link is implicit,
      don't colorize if a double-quote exists at beginning or end.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-publish.el


2005-07-22 06:42:10 GMT	Michael Olson <mwolson@gnu.org>	patch-172

    Summary:
      Fix failure to publish emphasis properly.
    Revision:
      muse--main--1.0--patch-172

    * lisp/muse-publish.el (muse-publish-markup-word): Darn off-by-one
      errors.
    
    * experimental/muse-wiki-old.el: Removed, since I'm happy with the state
      of muse-wiki.

    removed files:
     experimental/.arch-ids/muse-wiki-old.el.id
     experimental/muse-wiki-old.el

    modified files:
     ChangeLog lisp/muse-publish.el


2005-07-22 04:55:52 GMT	Michael Olson <mwolson@gnu.org>	patch-171

    Summary:
      Add a few common revision control directories to the ignore list.
    Revision:
      muse--main--1.0--patch-171

    * lisp/muse-project.el (muse-project-ignore-regexp): Add types of
      directories to be ignored when building the file alist, such as those
      used for CVS and Arch revision control data.

    modified files:
     ChangeLog lisp/muse-project.el


2005-07-21 01:00:25 GMT	Michael Olson <mwolson@gnu.org>	patch-170

    Summary:
      Fix #2654: Append a newline when using pdf publishing style.
    Revision:
      muse--main--1.0--patch-170

    * lisp/muse-latex.el (muse-latex-footer, muse-latexcjk-footer): Append a
      newline to the end.

    modified files:
     ChangeLog lisp/muse-latex.el


2005-07-20 20:20:24 GMT	Michael Olson <mwolson@gnu.org>	patch-169

    Summary:
      5 levels of headings colorization; color bare URLs.
    Revision:
      muse--main--1.0--patch-169

    * lisp/muse-colors.el (muse-colors-emphasized, muse-colors-markup):
      Really color up to 5 headings.
      (muse-colors-markup): Add muse-url-regexp.
      (muse-colors-explicit-link): Renamed from muse-colors-link.
      (muse-colors-implicit-link): Moved here from
      `muse-wiki-colors-wikiword' in muse-wiki.el.  We need it here since
      we'll be coloring URLs.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-wiki.el


2005-07-20 19:45:15 GMT	Michael Olson <mwolson@gnu.org>	patch-168

    Summary:
      Don't emphasize if a word constituent follows the trailer.
    Revision:
      muse--main--1.0--patch-168

    * lisp/muse-colors.el (muse-colors-emphasized, muse-colors-underlined)
      (muse-colors-verbatim): Don't colorize if a word constituent follows
      the trailer.
    
    * lisp/muse-publish.el (muse-publish-markup-word): Don't publish if a
      word constituent follows the trailer.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-publish.el


2005-07-20 18:50:12 GMT	Michael Olson <mwolson@gnu.org>	patch-167

    Summary:
      Add coloring for example, verbatim, and =signs=; anchor fix.
    Revision:
      muse--main--1.0--patch-167

    * lisp/muse-colors.el (muse-verbatim-face): New face that is used to
      color <example>, <verbatim>, and =signs=.  Defaults to a shade of gray.
      (muse-colors-verbatim): Use `muse-verbatim-face'.
      (muse-colors-markup): Move =sign= interpreting down so it gets higher
      priority.
      (muse-colors-tags): Add verbatim and literal tags.
      (muse-colors-example-tag): Use `remove-text-properties' instead of
      `set-text-properties', since the latter does not work consistently.
      (muse-colors-literal-tag): New function that strips all markup from the
      region.
      (muse-colors-link): Match against muse-explicit-link-regexp early on so
      that we can work around an annoying XEmacs issue.
    
    * lisp/muse-publish.el (muse-publish-markup-word): Make =signs=
      multi-line by default.
    
    * lisp/muse.el (muse-page-name): Handle case where we're given an empty
      string.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-publish.el
     lisp/muse.el


2005-07-20 16:13:37 GMT	Michael Olson <mwolson@gnu.org>	patch-166

    Summary:
      Link with anchor bugfix.
    Revision:
      muse--main--1.0--patch-166

    * lisp/muse-colors.el (muse-link-face): Highlight links with anchors as
      valid, as long as the base is valid.

    modified files:
     ChangeLog lisp/muse-colors.el


2005-07-20 14:21:57 GMT	Michael Olson <mwolson@gnu.org>	patch-165

    Summary:
      Link inside table issue, fixes read-only text error.
    Revision:
      muse--main--1.0--patch-165

    * lisp/muse-docbook.el (muse-docbook-fixup-tables): Ignore read-only text
      inside tables so we don't get an error when links exist.
    
    * lisp/muse-html.el (muse-html-fixup-tables): Ditto.
    
    * lisp/muse-project.el (muse-project-publish): Don't take forced files
      into account when displaying the "All files published" message, unless
      they've actually been modified.
    
    * lisp/muse.el (muse-with-temp-buffer): If debug-on-error is non-nil,
      don't wrap in condition-case; we don't want the message to be muffled.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-project.el lisp/muse.el


2005-07-20 07:41:28 GMT	Michael Olson <mwolson@gnu.org>	patch-164

    Summary:
      Permit infinitely-nested sections.
    Revision:
      muse--main--1.0--patch-164

    * examples/QuickStart (Links): Use GNA link rather than johnw's site.
      (Deriving from an existing style): Mark up as a list.
    
    * lisp/muse-colors.el (muse-colors-outline-faces-list, muse-make-faces):
      Color an additional level of headings.
    
    * lisp/muse-docbook.el (muse-docbook-markup-strings): Add new
      section-other, section-other-end, and section-close strings.
      (muse-docbook-fixup-sections): Removed, since Muse now implements this
      through the 'section-close string.
    
    * lisp/muse-html.el (muse-xhtml-markup-strings): Omit newline from
      'begin-underline, since this messes up paragraph handling.  Use
      <h5></h5> for 'section-other.
    
      (muse-html-fixup-tables): New function that sorts the table parts so
      that order is head, foot, body.  Apparently XHTML needs this, and it
      seems like a good general practice, so we do it for HTML as well.
    
    * lisp/muse-latex.el (muse-latex-markup-strings): Use \\paragraph{} for
      'section-other.
    
    * lisp/muse-publish.el (muse-publish-section-close): New function that
      determines where to put the section close given heading depth and
      inserts it.
      (muse-publish-markup-heading): Handle 'section-other and
      'section-other-end.  Call `muse-publish-section-close' at end of
      function.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Use @subsubheading
      for 'section-other.

    modified files:
     ChangeLog examples/QuickStart lisp/muse-colors.el
     lisp/muse-docbook.el lisp/muse-html.el lisp/muse-latex.el
     lisp/muse-publish.el lisp/muse-texinfo.el


2005-07-20 05:50:55 GMT	Michael Olson <mwolson@gnu.org>	patch-163

    Summary:
      muse-docbook: table and anchor fixes; many non-MULE XEmacs fixes.
    Revision:
      muse--main--1.0--patch-163

    * lisp/muse-docbook.el: More suggestions from Dale Smith, and non-MULE
      XEmacs fixes.
      (muse-docbook-markup-regexps): Deal with new table algorithm.
      (muse-docbook-transform-content-type, muse-docbook-encoding) 
      (muse-docbook-finalize-buffer): Non-MULE XEmacs fix.
      (muse-docbook-markup-table): Use a better table algorithm, based on the
      one in muse-html.el.  Make sure a <tgroup> surrounds the body, head,
      and foot of the table.  Use informaltable rather than table.
      (muse-docbook-fixup-tables): New function that sorts all tables found
      in the published document so that the order is head, foot, body.
      (muse-docbook-markup-functions): Add anchor handler.
      (muse-docbook-markup-paragraph): Allow anchors to occur at beginning of
      paragraph.
      (muse-docbook-markup-anchor, muse-docbook-insert-anchor): New functions
      that insert an anchor at point.
    
    * lisp/muse-html.el (muse-html-transform-content-type)
      (muse-html-encoding, muse-html-finalize-buffer): Non-MULE XEmacs fixes.
    
    * examples/QuickStart (Anchors and tagged links): Improve anchor example.
    
    * lisp/muse.el (muse-eval-lisp): XEmacs fix.
    
    * lisp/muse.el (muse-with-temp-buffer): XEmacs fix.  Include the body
      that was evaluated in the output.

    modified files:
     ChangeLog examples/QuickStart lisp/muse-docbook.el
     lisp/muse-html.el lisp/muse-latex.el lisp/muse.el


2005-07-19 08:11:37 GMT	Michael Olson <mwolson@gnu.org>	patch-162

    Summary:
      muse-texinfo: Improve formatting for enddots, dots, underline.
    Revision:
      muse--main--1.0--patch-162

    * lisp/muse-texinfo.el (muse-texinfo-markup-strings): Improve translation
      of enddots and dots.  For begin-underline and end-underline, use "_",
      since we don't have anything better.

    modified files:
     ChangeLog lisp/muse-texinfo.el


2005-07-19 07:51:54 GMT	Michael Olson <mwolson@gnu.org>	patch-161

    Summary:
      muse-texinfo: Fix #2635 by adding `}' and `{' to specials list.
    Revision:
      muse--main--1.0--patch-161

    * lisp/muse-texinfo.el (muse-texinfo-markup-specials): Add `{' and `}' to
      list.  This should fix #2635.

    modified files:
     ChangeLog lisp/muse-texinfo.el


2005-07-19 07:24:38 GMT	Michael Olson <mwolson@gnu.org>	patch-160

    Summary:
      muse-texinfo fixes; use info-pdf to generate PDF doc for QuickStart.
    Revision:
      muse--main--1.0--patch-160

    * Makefile.defs (VERSION): Prepare snapshot 3.01.arch.160.
    
    * debian/changelog: Ditto.
    
    * debian/control (Build-Depends-Indep): Add tetex-bin.
    
    * examples/Makefile (%.pdf): Use info-pdf, since it generates nicer
      output for me.
    
    * examples/QuickStart: Remove stray <comment> now that the bug that made
      it necessary is fixed.
    
    * lisp/muse-blosxom.el: Credit Björn Lindström for his excellent
      suggestions.
    
    * lisp/muse-texinfo.el (muse-texinfo-header, muse-texinfo-footer): Move
      the contents from the footer to the header.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-table): Insert space before
      each number, not after.
    
    * lisp/muse.el (muse-eval-lisp): Minor whitespace fix.
    
    * lisp/muse.el (muse-with-temp-buffer): Throw a backtrace if an error
      happens when doing batch publishing.  Minor whitespace fix.

    modified files:
     ChangeLog Makefile.defs debian/changelog debian/control
     examples/Makefile examples/QuickStart lisp/muse-blosxom.el
     lisp/muse-texinfo.el lisp/muse.el


2005-07-19 05:50:25 GMT	Michael Olson <mwolson@gnu.org>	patch-159

    Summary:
      Handle a few more DocBook edge cases; all known DocBook issues are fixed.
    Revision:
      muse--main--1.0--patch-159

    * examples/QuickStart: Add "Write me." to empty sections at end so that
      they publish correctly with DocBook.
    
    * lisp/muse-docbook.el (muse-docbook-markup-paragraph): Handle case where
      paragraph starts with emphasis, example, link, or email address.

    modified files:
     ChangeLog examples/QuickStart lisp/muse-docbook.el


2005-07-19 05:34:28 GMT	Michael Olson <mwolson@gnu.org>	patch-158

    Summary:
      Handle embedded docbook footnotes and <literal> edge case.
    Revision:
      muse--main--1.0--patch-158

    * lisp/muse-docbook.el: Implement more suggestions from Dale Smith.
     (muse-docbook-markup-strings): Use systemitem for example text.
     (muse-docbook-markup-paragraph): Allow for embedded footnotes that have
     <para></para> inside of them.
    
    * lisp/muse-html.el (muse-html-escape-string): Don't deal with '&<>"'
      here at all.
    
    * lisp/muse-publish.el (muse-publish-url-transforms): Add
      muse-publish-escape-specials-in-string to list by default.
    
    * lisp/muse-publish.el (muse-publish-escape-specials): New optional third
      argument IGNORE-READ-ONLY determines whether or not to ignore the
      read-only property when transforming text.  Add docstring.
      (muse-publish-markup-word): Use non-nil third argument to
      muse-publish-escape-specials when we're publishing `='-delimited text.
      This allows =<literal><tag></literal>= to work as intended.
    
    * lisp/muse-publish.el (muse-publish-escape-specials-in-string): Ignore
      arguments after the first so that we can include this in
      `muse-publish-url-transforms'.
    
    * lisp/muse-publish.el (muse-publish-prepare-url): Add docstring.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-publish.el


2005-07-19 03:07:59 GMT	Michael Olson <mwolson@gnu.org>	patch-157

    Summary:
      Misc. blosxom fixes, like category directive.
    Revision:
      muse--main--1.0--patch-157

    * contrib/pyblosxom/getstamps.py: Add file extension.
    
    * contrib/pyblosxom/hardcodedates.py (get_all_timestamps): Omit file
      extension.  This will allow Muse to specify it once a
      timestamps-writing routine gets written.
    
    * lisp/muse-blosxom.el (muse-blosxom-update-page-date-alist): Pay
      attention to the "category" directive, if it exists.  Use file-truename
      instead of expand-file-name for base directory.
    
    * lisp/muse-blosxom.el (muse-blosxom-new-entry): Add #category directive
      by default.
    
    * lisp/muse-project.el (muse-project): Add :timestamps to list of
      available tags, even though it doesn't do anything yet.

    modified files:
     ChangeLog contrib/pyblosxom/getstamps.py
     contrib/pyblosxom/hardcodedates.py lisp/muse-blosxom.el
     lisp/muse-project.el


2005-07-18 08:53:32 GMT	Michael Olson <mwolson@gnu.org>	patch-156

    Summary:
      Small logic fix with temp files.
    Revision:
      muse--main--1.0--patch-156

    * lisp/muse.el (muse-with-temp-buffer): Use buffer-live-p instead of
      buffer-name to determine whether the buffer is still around.

    modified files:
     ChangeLog lisp/muse.el


2005-07-18 08:23:00 GMT	Michael Olson <mwolson@gnu.org>	patch-155

    Summary:
      Make customize of muse-project-alist work in Emacs21 and XEmacs.
    Revision:
      muse--main--1.0--patch-155

    * lisp/muse.el (muse-widget-type-value-create)
      (muse-widget-child-value-get, muse-widget-type-match): Minimum set of
      extra widgets from 'lazy type that are needed to get the
      `muse-project-alist' customize interface to work on XEmacs and Emacs21.
    
    * lisp/muse.el (muse-implicit-link-functions)
      (muse-explicit-link-functions): Remove predefined wiki-related options.
      These are added in muse-wiki via custom-add-option.
    
    * lisp/muse-mode.el (muse-mode-hook): Ditto.
    
    * lisp/muse-colors.el (muse-colors-emphasized): Use eq instead of memq.
    
    * lisp/muse-project.el (muse-project-alist-get): Turn :symbols into
      ":strings" to cope with Emacs21 and XEmacs.
      (muse-project-alist-set): Turn ":strings" back into ":symbols".
    
    * lisp/muse-project.el (muse-project): Derive from 'default rather than
      'lazy, since that is an Emacs CVS-ism.  Separate logical groups with
      newlines.  Control indentation.  Remove an unnecessary inlined repeat.
    
    * lisp/muse-project.el (muse-project-alist): Use cons instead of alist,
      since XEmacs doesn't support the alist widget.  Deal with case where no
      projects are defined, or a strange expression is used.
    
    * lisp/muse-wiki.el: Insinuate muse-wiki link handlers and mode hook
      stuff using custom-add-option.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-mode.el
     lisp/muse-project.el lisp/muse-wiki.el lisp/muse.el


2005-07-18 03:31:38 GMT	Michael Olson <mwolson@gnu.org>	patch-154

    Summary:
      Don't kill temp buffer if debug-on-error is non-nil.
    Revision:
      muse--main--1.0--patch-154

    * lisp/muse.el (muse-with-temp-buffer): Only kill the temp buffer when
      debug-on-error is nil.  Use " *muse-temp*" for the buffer name.

    modified files:
     ChangeLog lisp/muse.el


2005-07-18 03:05:11 GMT	Michael Olson <mwolson@gnu.org>	patch-153

    Summary:
      Expand Debian package description.
    Revision:
      muse--main--1.0--patch-153

    * debian/control (Description): Expand this to make the package more
      enticing.
    
    * debian/copyright, debian/rules: Minor whitespace cleanups.
    
    * debian/changelog: Package 3.01.arch.152-1.

    modified files:
     ChangeLog Makefile.defs debian/changelog debian/control
     debian/copyright debian/rules


2005-07-18 02:33:12 GMT	Michael Olson <mwolson@gnu.org>	patch-152

    Summary:
      Header/footer docfix; ChangeLog correction.
    Revision:
      muse--main--1.0--patch-152

    * {arch}/.../patch-log/patch-144: Correct previous ChangeLog entry.
      Thanks to drkm for pointing out my error.
    
    Use better documentation and customize interface for headers and footers.
    Thanks to Chris McMahan.

    modified files:
     ChangeLog lisp/muse-blosxom.el lisp/muse-book.el
     lisp/muse-docbook.el lisp/muse-html.el lisp/muse-journal.el
     lisp/muse-latex.el lisp/muse-poem.el lisp/muse-texinfo.el
     muse.texi
     {arch}/muse/muse--main/muse--main--1.0/mwolson@gnu.org--2005/patch-log/patch-144


2005-07-18 00:53:34 GMT	Michael Olson <mwolson@gnu.org>	patch-151

    Summary:
      Slight Debian version tweak.
    Revision:
      muse--main--1.0--patch-151

    * Makefile.defs (VERSION): Use a slightly different version naming
      scheme.  I've dropped the ".90".  The new scheme is X.YY.arch.YYY where
      X.YY is the Muse version, and YYY is the patch level.
    
    * debian/changelog: Ditto.

    modified files:
     ChangeLog Makefile.defs debian/changelog


2005-07-17 23:23:34 GMT	Michael Olson <mwolson@gnu.org>	patch-150

    Summary:
      Improve debian build and put together a package.
    Revision:
      muse--main--1.0--patch-150

    * Makefile (debclean): New target that cleans up the mess that the
      `debian' target makes.
      (debian): Build using debuild rather than dpkg-buildpackage.  Copy
      results to my debian dist dir two levels up.
    
    * Makefile.defs (VERSION): Set to 3.01.90.arch.149 for the debian build.
    
    * debian/changelog: Sign 3.01.90.arch.149-1 snapshot.
    
    * debian/control (Standards-Version): Update to 3.6.2.
    
    * debian/control (Depends): Add emacs21 and xemacs21 to make lintian shut
      up.
    
    * debian/copyright (Copyright): Improve.
    
    * debian/emacsen-install (FILES): Include contrib directory so that
      muse-http.el compiles properly.
    
    * debian/muse-el.examples: New file containing the example files to
      install.
    
    * debian/rules: Move example stuff to muse-el.examples.  Install some
      additional documentation.

    new files:
     debian/.arch-ids/muse-el.examples.id debian/muse-el.examples

    modified files:
     ChangeLog Makefile Makefile.defs debian/changelog
     debian/control debian/copyright debian/emacsen-install
     debian/rules


2005-07-17 20:52:18 GMT	Michael Olson <mwolson@gnu.org>	patch-149

    Summary:
      Fix links in table, links in verbatim, emphasis publishing, publishing from script.
    Revision:
      muse--main--1.0--patch-149

    * lisp/muse-colors.el (muse-colors-emphasized): Fix an edge case where
      the beginning of a header would be emphasized if an asterisk came
      before it.
      (muse-colors-underlined): Don't allow end of underlined text to be the
      beginning of a line.  Don't use memq to check for whitespace syntax; eq
      is sufficient.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps): Mark links later
      on.  We'll use a more clever trick to keep emphasis characters from
      being interpreted in explicit links -- add a custom 'noemphasis text
      property to them.  Move mdash rule further down so that I can add
      designations after blockquoted text.
    
    * lisp/muse-publish.el (muse-publish-markup-word): If beginning or end of
      text has the 'noemphasis property, ignore it.
      (muse-publish-mark-noemphasis): New function that adds the 'noemphasis
      property to the text between BEG and END, or match beginning and end.
    
    * lisp/muse.el (muse-with-temp-buffer): Make sure the buffer is alive
      before trying to set buffer-modified to nil.  This should fix a
      "selecting deleted buffer" error when publishing from command line.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-publish.el
     lisp/muse.el


2005-07-17 18:36:55 GMT	Michael Olson <mwolson@gnu.org>	patch-148

    Summary:
      Journal validation fixes.
    Revision:
      muse--main--1.0--patch-148

    * lisp/muse-html.el (muse-html-header): Use HTML 4.0 Transitional by
      default rather than HTML 4.0 [strict].
      (muse-html-markup-strings): Include empty alt element.
    
    * lisp/muse-journal.el: Use "div class=..." rather than "div id=...".
    
    * muse.texi (Journal): Ditto.

    modified files:
     ChangeLog lisp/muse-html.el lisp/muse-journal.el muse.texi


2005-07-17 04:21:19 GMT	Michael Olson <mwolson@gnu.org>	patch-147

    Summary:
      Add debian files; tweak Makefile.
    Revision:
      muse--main--1.0--patch-147

    * Makefile (distclean): Remove directory created by dist rule.
      (dist): Make this only generate the directory, not the tarball.
      (release): New target that generates the tarball and zipfile.
      (debrelease): New target that builds the debian package for Muse.
      (upload): Depend on release target.
    
    * examples/mwolson/stylesheets: Add forgotten Arch id.

    new files:
     debian/.arch-ids/=id debian/.arch-ids/changelog.id
     debian/.arch-ids/control.id debian/.arch-ids/copyright.id
     debian/.arch-ids/emacsen-install.id
     debian/.arch-ids/emacsen-remove.id
     debian/.arch-ids/emacsen-startup.id
     debian/.arch-ids/muse-el.dirs.id
     debian/.arch-ids/muse-el.docs.id
     debian/.arch-ids/muse-el.info.id debian/.arch-ids/rules.id
     debian/changelog debian/control debian/copyright
     debian/emacsen-install debian/emacsen-remove
     debian/emacsen-startup debian/muse-el.dirs debian/muse-el.docs
     debian/muse-el.info debian/rules
     examples/mwolson/stylesheets/.arch-ids/=id
     examples/mwolson/stylesheets/.arch-ids/blog.css.id
     examples/mwolson/stylesheets/.arch-ids/common.css.id
     examples/mwolson/stylesheets/.arch-ids/print.css.id
     examples/mwolson/stylesheets/.arch-ids/screen.css.id
     examples/mwolson/stylesheets/blog.css
     examples/mwolson/stylesheets/common.css
     examples/mwolson/stylesheets/print.css
     examples/mwolson/stylesheets/screen.css

    modified files:
     ChangeLog Makefile

    new directories:
     debian debian/.arch-ids examples/mwolson/stylesheets
     examples/mwolson/stylesheets/.arch-ids


2005-07-16 05:10:31 GMT	Michael Olson <mwolson@gnu.org>	patch-146

    Summary:
      Allow `muse-index-as-string' to remove current file from output.
    Revision:
      muse--main--1.0--patch-146

    * lisp/muse-mode.el (muse-index-as-string): Add EXCLUDE-CURRENT option,
      which excludes the current file from the output.  Improve
      documentation.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-16 04:56:02 GMT	Michael Olson <mwolson@gnu.org>	patch-145

    Summary:
      S-TAB issue with Windows.
    Revision:
      muse--main--1.0--patch-145

    * lisp/muse-mode.el (muse-mode-map): Try once more to fix the Shift-TAB
      issue with Windows.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-16 04:39:52 GMT	Michael Olson <mwolson@gnu.org>	patch-144

    Summary:
      Improve temp buffer usage.
    Revision:
      muse--main--1.0--patch-144

    * lisp/muse-publish.el (muse-publish-file): Omit second argument to
      `insert-file-contents'.  This should further help with the temp
      buffer problem.  Thanks to Peter K. Lee and drkm for the research
      into this problem.
    
    * lisp/muse.el (muse-with-temp-buffer): Renamed from
      `muse-with-temp-buffer-no-prompt'.  Report any errors that occur, but
      make sure the temp buffer is killed.  I didn't implement an option to
      save the contents of the temp buffer.

    modified files:
     ChangeLog lisp/muse-book.el lisp/muse-http.el
     lisp/muse-mode.el lisp/muse-poem.el lisp/muse-publish.el
     lisp/muse.el


2005-07-16 03:39:02 GMT	Michael Olson <mwolson@gnu.org>	patch-143

    Summary:
      muse-docbook: split-string Emacs21 fix.
    Revision:
      muse--main--1.0--patch-143

    * lisp/muse-docbook.el (muse-docbook-get-author): Omit 3rd argument of
      split-string to fix an Emacs21 issue.

    modified files:
     ChangeLog lisp/muse-docbook.el


2005-07-15 04:40:26 GMT	Michael Olson <mwolson@gnu.org>	patch-142

    Summary:
      muse-docbook: Parse author directive so that it validates properly.
    Revision:
      muse--main--1.0--patch-142

    * lisp/muse-docbook.el (muse-docbook-get-author): New function that
      attempts to publish the contents a DocBook-usable <author> tag.
      (muse-docbook-header): Use `muse-docbook-get-author'.

    modified files:
     ChangeLog lisp/muse-docbook.el


2005-07-15 01:57:51 GMT	Michael Olson <mwolson@gnu.org>	patch-141

    Summary:
      Be a bit more clever with our consecutive list regexp.
    Revision:
      muse--main--1.0--patch-141

    * lisp/muse-docbook.el (muse-docbook-markup-regexps): Be a bit more
      clever with our consecutive list regexp.

    modified files:
     ChangeLog lisp/muse-docbook.el


2005-07-15 01:50:05 GMT	Michael Olson <mwolson@gnu.org>	patch-140

    Summary:
      Do the right thing with consecutive list items, hopefully.
    Revision:
      muse--main--1.0--patch-140

    * lisp/muse-docbook.el: Apply patch from Dale Smith and add to it.
      (muse-docbook-header): Add DTD string.
      (muse-docbook-markup-regexps): Add rule that merges consecutive list
      tags.
      (muse-docbook-merged-tags, muse-docbook-fixup-tags): Removed.
      ("docbook"): Change :before-end back to 'muse-docbook-fixup-sections.

    modified files:
     ChangeLog lisp/muse-docbook.el


2005-07-15 01:07:35 GMT	Michael Olson <mwolson@gnu.org>	patch-139

    Summary:
      Improve customize interface for `muse-project-alist' once more.
    Revision:
      muse--main--1.0--patch-139

    * lisp/muse-project.el (muse-project-alist-get): Allow cdr of each
      setting to be anything, since we now support settings that use lists.
      (muse-project): Vastly improve this by naming each setting and showing
      what exact type is required.  Handle case where a function is not
      defined yet.  Use a set for styles, which looks nice.  This is about as
      good as it can be ... unless we add some sort of inline documentation
      later on.  A setting was added for Yann's :force-publish tag.
    
    * lisp/muse.el (muse-eval-lisp): Fix compile warning by not displaying
      project name.

    modified files:
     ChangeLog lisp/muse-project.el lisp/muse.el


2005-07-14 23:27:14 GMT	Michael Olson <mwolson@gnu.org>	patch-138

    Summary:
      Merged from hodique@lifl.fr--2005 (patch 24-33)
    Revision:
      muse--main--1.0--patch-138

    Patches applied:
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-24
       Merged from mwolson@gnu.org--2005 (patch 96)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-25
       Merged from mwolson@gnu.org--2005 (patch 97-101)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-26
       Merged from mwolson@gnu.org--2005 (patch 102-106)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-27
       Merged from mwolson@gnu.org--2005 (patch 107-120)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-28
       Merged from mwolson@gnu.org--2005 (patch 121-131)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-29
       Merged from mwolson@gnu.org--2005 (patch 132)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-30
       Merged from mwolson@gnu.org--2005 (patch 133-135)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-31
       Merged from mwolson@gnu.org--2005 (patch 136)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-32
       Merged from mwolson@gnu.org--2005 (patch 137)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-33
       Introduce :force-publish project keyword. Fix bug #2637

    modified files:
     ChangeLog lisp/muse-project.el


2005-07-14 20:48:56 GMT	Michael Olson <mwolson@gnu.org>	patch-137

    Summary:
      Prevent temp buffers from prompting for save; handle lisp errors better.
    Revision:
      muse--main--1.0--patch-137

    * lisp/muse-colors.el (muse-colors-region): Try to fix "Invalid search
      bound" error.  I don't know for certain where this is coming from,
      though ... *grumble*.
    
    * lisp/muse.el (muse-eval-lisp): Wrap this in a `condition-case', much
      like how emacs-wiki does it.  Warn the user about lisp errors,
      returning "<!--INVALID LISP CODE-->" if an error occurs.  This will
      publish as something valid in most markup styles, with increased
      emphasis on those that don't support it.  That's a win-win ... I think
      :^) .
    
    * lisp/muse.el (muse-with-temp-buffer-no-prompt): New macro that acts
      like `with-temp-buffer', but sets buffer-modfied-p to nil before trying
      to kill the buffer so we don't get any annoying prompts.  I *strongly*
      believe that this should be the default behavior of `with-temp-buffer'.
    
    * lisp/muse-book.el (muse-book-publish-project): Use
      `muse-with-temp-buffer-no-prompt'.
    
    * lisp/muse-http.el (muse-http-reject): Ditto.
    
    * lisp/muse-mode.el (muse-index-as-string): Ditto.
    
    * lisp/muse-poem.el (muse-poem-markup-tag): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup-string, muse-publish-file): 
      (muse-publish-markup-email, muse-published-contents): Ditto.

    modified files:
     ChangeLog lisp/muse-book.el lisp/muse-colors.el
     lisp/muse-http.el lisp/muse-mode.el lisp/muse-poem.el
     lisp/muse-publish.el lisp/muse.el


2005-07-14 18:49:56 GMT	Michael Olson <mwolson@gnu.org>	patch-136

    Summary:
      Customization error; Makefile tweaks.
    Revision:
      muse--main--1.0--patch-136

    * Makefile (dist): Use a tla-specific method to create the tarball.
      Create a zip file as well.
      (upload): New rule that uploads the tarball and zip file to gna.org.
    
    * Makefile.defs (VERSION): New variable that determines the version
      string to use in the `dist' and `upload' targets.
    
    * lisp/muse.el (muse-implicit-link-functions)
      (muse-explicit-link-functions): Use :type of hook so that the options
      get recognized.

    modified files:
     ChangeLog Makefile Makefile.defs lisp/muse.el


2005-07-13 23:20:12 GMT	Michael Olson <mwolson@gnu.org>	patch-135

    Summary:
      Prepare Muse 3.01.90 (3.02 RC1).
    Revision:
      muse--main--1.0--patch-135


    modified files:
     ChangeLog lisp/muse.el muse.texi


2005-07-13 23:11:08 GMT	Michael Olson <mwolson@gnu.org>	patch-134

    Summary:
      Attempt to get the right file extension when publishing; more examples.
    Revision:
      muse--main--1.0--patch-134

    * examples/mwolson/muse-init.el: Update my configuration.
    
    * examples/mwolson/templates: Store my web page templates here.
    
    * examples/mwolson/stylesheets: Store my CSS stylesheets here.
    
    * lisp/muse-publish.el (muse-publish-markup-link): Fix mangling of
      descriptions.  Yet another reason to implement my list-returning from
      handlers idea.
    
    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Deal gracefully
      with a few more edge cases.  Throw together a rough hack for
      determining when to include the output file extension.
    
    * lisp/muse-wiki.el (muse-wiki-colors-nop-tag): Make this less odious,
      but still ineffective.

    new files:
     examples/mwolson/templates/.arch-ids/=id
     examples/mwolson/templates/.arch-ids/footer.html.id
     examples/mwolson/templates/.arch-ids/generic-footer.html.id
     examples/mwolson/templates/.arch-ids/generic-header.html.id
     examples/mwolson/templates/.arch-ids/header.html.id
     examples/mwolson/templates/footer.html
     examples/mwolson/templates/generic-footer.html
     examples/mwolson/templates/generic-header.html
     examples/mwolson/templates/header.html

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse-publish.el
     lisp/muse-wiki.el

    new directories:
     examples/mwolson/templates
     examples/mwolson/templates/.arch-ids


2005-07-13 21:12:27 GMT	Michael Olson <mwolson@gnu.org>	patch-133

    Summary:
      Make published link handling do the right thing, plus misc. fixes.
    Revision:
      muse--main--1.0--patch-133

    * lisp/muse-mode.el (muse-mode-hook): Add option for
      `muse-wiki-update-custom-values'.  The :set function makes sure that
      this is always included in `muse-mode-hook' if muse-wiki is loaded.
      This probably isn't best-practice, but it works.
    
    * lisp/muse-project.el (muse-project-of-file): Fix some duplicated code.
      Save match data.
    
    * lisp/muse-publish.el (muse-publish-url-transforms): Add
      `muse-publish-prepare-url' to the listed options.
    
    * lisp/muse-publish.el (muse-publish-output-file): Handle case where
      output-dir is not specified.
    
    * lisp/muse-publish.el (muse-publish-markup-link): Call link handlers
      here instead of later on.
    
    * lisp/muse-wiki.el (muse-wiki-update-interwiki-regexp): Try to do the
      right thing when `muse-wiki-interwiki-alist' is nil.
    
    * lisp/muse-wiki.el (muse-wiki-output-name): Removed in favor of calling
      `muse-publish-output-file'.
    
    * lisp/muse-wiki.el (muse-wiki-transform-interwiki)
      (muse-wiki-transform-wikiword): Removed.  We should not use the
      publishing transforms facility to handle these.
    
    * lisp/muse-wiki.el ("muse-publish"): Publish wikiwords and interwiki
      links as "link" rather than "url".
    
    * lisp/muse-wiki.el (muse-wiki-update-custom-values): New function that
      takes care of any customization cleaups that need to happen whenever
      muse-mode is entered.
    
    * lisp/muse.el (muse-implicit-link-functions): Add options for
      `muse-handle-url' and the wiki handlers.
      (muse-explicit-link-functions): Add option for
      `muse-wiki-handle-internal'.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-project.el
     lisp/muse-publish.el lisp/muse-wiki.el lisp/muse.el


2005-07-13 03:38:52 GMT	Michael Olson <mwolson@gnu.org>	patch-132

    Summary:
      Add invalid directory assertion.
    Revision:
      muse--main--1.0--patch-132

    * lisp/muse-project.el (muse-project-file-entries): Add assertion so that
      any invalid directories will trigger an error.

    modified files:
     ChangeLog lisp/muse-project.el


2005-07-12 07:54:08 GMT	Michael Olson <mwolson@gnu.org>	patch-131

    Summary:
      AUTHORS: Fix typo, add that Yann authored muse-wiki.el.
    Revision:
      muse--main--1.0--patch-131


    modified files:
     AUTHORS ChangeLog


2005-07-12 07:52:25 GMT	Michael Olson <mwolson@gnu.org>	patch-130

    Summary:
      Yann's assignment form came in!
    Revision:
      muse--main--1.0--patch-130


    modified files:
     AUTHORS ChangeLog


2005-07-12 07:18:27 GMT	Michael Olson <mwolson@gnu.org>	patch-129

    Summary:
      Compilation fix, minor shuffling in `muse-mode'.
    Revision:
      muse--main--1.0--patch-129

    * lisp/muse.el (muse-file-extension): Make sure sym is bound before
      accessing it.  Fixes Yet Another Compiler Error.
    
    * lisp/muse-mode.el (muse-mode): Move font-lock setup to very end so that
     project-specific settings happen first.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse.el


2005-07-12 07:12:49 GMT	Michael Olson <mwolson@gnu.org>	patch-128

    Summary:
      Fix annoying initial buffer coloring problem.
    Revision:
      muse--main--1.0--patch-128

    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Handle the case
      where even buffer-file-name is not set.  This happens the first time we
      attempt to colorize the buffer.  I'm rather astonished that I had to do
      this.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-12 06:12:08 GMT	Michael Olson <mwolson@gnu.org>	patch-127

    Summary:
      Jump to bad and good links on TAB; mode-choosing fix.
    Revision:
      muse--main--1.0--patch-127

    * lisp/muse-mode.el (muse-mode-choose-mode): New function that always
      pics a major mode for a file.  If one is specified in the project of
      file, use it.  Otherwise, use muse-mode.
      (muse-next-reference, muse-previous-reference): Jump to bad links as
      well as good ones.
    
    * lisp/muse.el (muse-file-extension): Use `muse-mode-choose-mode' instead
      of `muse-mode'.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse.el


2005-07-12 05:56:42 GMT	Michael Olson <mwolson@gnu.org>	patch-126

    Summary:
      Add specified Muse file extension to auto-mode-alist.
    Revision:
      muse--main--1.0--patch-126

    * lisp/muse.el (muse-file-extension): If extension is specified, remove
      the old extension from auto-mode-alist and add the new one.  This
      eliminates the need to set muse-mode-auto-p when you have specified a
      Muse file extension.
    
    * examples/mwolson/muse-init.el: Sync.

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse.el


2005-07-11 10:08:45 GMT	Michael Olson <mwolson@gnu.org>	patch-125

    Summary:
      Make `muse-project-alist' more intuitively customizable.
    Revision:
      muse--main--1.0--patch-125

    * examples/mwolson/muse-init.el (muse-project-alist): Resync with my
      settings.
    
    * lisp/muse-project.el: Thanks to jessealama on IRC for the suggestion.
      (muse-project-alist-get): New function that pre-parses
      `muse-projects-alist' before customization in order to work around an
      annoying limitation in the customize interface.
      (muse-project-alist-set): New function that takes the value that
      customize gave us and turns it into something Muse can use.
      (muse-project): New widget that outlines the form of the
      `muse-project-alist' variable.
      (muse-project-alist): Use the `muse-project' widget and specify :set
      and :get.

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse-project.el


2005-07-10 22:41:49 GMT	Michael Olson <mwolson@gnu.org>	patch-124

    Summary:
      Silence compiler warnings.
    Revision:
      muse--main--1.0--patch-124

    * lisp/muse-docbook.el (muse-docbook-fixup-tags): Docfix.
    
    * lisp/muse-html.el (muse-html-escape-string): Let-bind `ch' to silence a
      compiler warning.
    
    * lisp/muse-project.el (muse-project-applicable-styles): Call
      `muse-assert' with only 1 argument to silence a compiler warning.

    modified files:
     ChangeLog lisp/muse-docbook.el lisp/muse-html.el
     lisp/muse-project.el


2005-07-10 22:19:26 GMT	Michael Olson <mwolson@gnu.org>	patch-123

    Summary:
      muse-docbook: Merge several other types of tags if necessary.
    Revision:
      muse--main--1.0--patch-123

    * lisp/muse-docbook.el (muse-docbook-fixup-tags): Renamed from
      `muse-docbook-fixup-sections'.  For each TAG in
      `muse-docbook-merged-tags', if consecutive groupings of TAG exist,
      merge them together.  Thanks to Dale P. Smith for the suggestion.
      (muse-docbook-merged-tags): Customizable list of tags that need merging.

    modified files:
     ChangeLog lisp/muse-docbook.el


2005-07-10 22:04:50 GMT	Michael Olson <mwolson@gnu.org>	patch-122

    Summary:
      muse-docbook: Output an XML tag with encoding at the beginning of document.
    Revision:
      muse--main--1.0--patch-122

    * lisp/muse-docbook.el (muse-docbook-header): Add <xml> tag at beginning
      of document.
      (muse-docbook-encoding-default): New option that determines which Emacs
      buffer encoding to use by default in Muse DocBook files if none is
      found.
      (muse-docbook-charset-default): New option that determines the DocBook
      XML charset to use if no translation is found in
      muse-docbook-encoding-map.
      (muse-docbook-encoding-map): New option alist that maps an emacs coding
      system to its associated DocBook coding system.
      (muse-docbook-transform-content-type): New function that determines the
      DocBook XML encoding to use based on the contents of
      muse-docbook-encoding-map.
      (muse-docbook-encoding): New function that calls
      muse-docbook-transform-content-type.
      (muse-docbook-finalize-buffer): New function that sets the buffer file
      coding system to the value of muse-docbook-encoding-default, but only
      if the buffers contents have no special characters.
      ("docbook"): Include :after tag that calls muse-docbook-finalize-buffer.

    modified files:
     ChangeLog lisp/muse-docbook.el


2005-07-10 21:35:49 GMT	Michael Olson <mwolson@gnu.org>	patch-121

    Summary:
      Apply muse-docbook patch from Dale P. Smith.
    Revision:
      muse--main--1.0--patch-121

    * lisp/muse-docbook.el (muse-docbook-markup-strings): Apply patch from
      Dale P. Smith to make the markup much better.

    modified files:
     AUTHORS ChangeLog lisp/muse-docbook.el


2005-07-10 00:27:13 GMT	Michael Olson <mwolson@gnu.org>	patch-120

    Summary:
      Use different mapping for S-tab on Windows.
    Revision:
      muse--main--1.0--patch-120

    * lisp/muse-mode.el (muse-mode-map): If using either XEmacs or on
      Windows, use [(shift tab)] for `muse-previous-reference'.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-09 20:24:40 GMT	Michael Olson <mwolson@gnu.org>	patch-119

    Summary:
      XEmacs wiki fix.
    Revision:
      muse--main--1.0--patch-119

    * lisp/muse-wiki.el (muse-wiki-colors-wikiword): Use
      `muse-match-string-no-properties' so XEmacs doesn't complain.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-09 08:53:33 GMT	Michael Olson <mwolson@gnu.org>	patch-118

    Summary:
      Handle a few edge cases with project-page resolution gracefully.
    Revision:
      muse--main--1.0--patch-118

    * lisp/muse-project.el (muse-project-applicable-styles): Add assertion to
      make sure that PAGE is specified.  STYLES should be generated
      automatically, but it could theoretically fail.  I'm managing to
      trigger this when messing with unsaved Muse files.  Handle case where
      buffer has not yet been saved.
      (muse-project-find-file): Don't try to resolve relative links; just
      open them.
    
    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Fix
      point-of-reference bug.  No need to call muse-project-page-of-file
      since buffer-file-name and muse-publishing-current-file both give us
      full paths.
    
    * lisp/muse-mode.el (muse-link-at-point): For some reason,
      `skip-chars-backward' only respects the newline some of the time.
      Damned annoying.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-project.el
     lisp/muse-wiki.el


2005-07-09 07:41:44 GMT	Michael Olson <mwolson@gnu.org>	patch-117

    Summary:
      Fix image-link goof-up and add pretty titles.
    Revision:
      muse--main--1.0--patch-117

    * lisp/muse-html.el (muse-html-markup-paragraph): Use <p
      class="image-link"> instead of <div class="image-link">.  I found a bug
      with the way I was handling both, so I decided to simplify things.
    
    * lisp/muse-wiki.el (muse-wiki-output-name): New function that acts like
      `muse-publish-output-name', but keeps the directory prefix.
      (muse-wiki-transform-interwiki): Use `muse-publish-output-name'.
    
    * lisp/muse-wiki.el (muse-wiki-publish-small-title-words): New
      customizable option that determines the words to downcase in title.
      (muse-wiki-publish-pretty-title): New function that Makes a Nicely
      Capitalized Title out of either a string or the current title.  This is
      not currently used by any other function -- for now it is meant to be
      called by the user.

    modified files:
     ChangeLog lisp/muse-html.el lisp/muse-wiki.el


2005-07-09 05:22:12 GMT	Michael Olson <mwolson@gnu.org>	patch-116

    Summary:
      Escape specials in link descriptions.
    Revision:
      muse--main--1.0--patch-116

    * lisp/muse-publish.el (muse-publish-escape-specials-in-string): New
      function that escapes special characters in the given string according
      to the current publishing style.
      (muse-publish-url): Use the above function to escape the description
      part of extended links.
      (muse-publish-prepare-url): Don't make string read-only; it does
      nothing.
    
    * lisp/muse-wiki.el (muse-wiki-transform-interwiki)
      (muse-wiki-transform-wikiword): Don't make string read-only.

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse-wiki.el


2005-07-09 03:59:44 GMT	Michael Olson <mwolson@gnu.org>	patch-115

    Summary:
      Escape "&", "<", and ">" in URL text.
    Revision:
      muse--main--1.0--patch-115

    * lisp/muse-html.el (muse-html-escape-string): Escape "&", "<", and ">"
      specially.  Thanks to John Sullivan for the suggestion.

    modified files:
     ChangeLog lisp/muse-html.el


2005-07-09 03:24:01 GMT	Michael Olson <mwolson@gnu.org>	patch-114

    Summary:
      Update my example configuration.
    Revision:
      muse--main--1.0--patch-114

    * examples/mwolson/muse-init.el (muse-project-alist): Rename the "Web"
      project to "WebSite" in order to make it more distinct.
      (muse-wiki-interwiki-alist): Add mapping for "TheEmacsWiki".
      (my-muse-blosxom-finalize): Don't run the Xanga preparation code
      anymore.
      (my-muse-prepare-entry-for-xanga): Make this able to figure out the
      published name of the current file.  I really should make a function
      called `muse-published-name' or something similar!
      ("\C-cpx"): Use this key sequence for
      `my-muse-prepare-entry-for-xanga'.
      (muse-file-extension): I'm making use of this so I can figure out its
      intricacies.

    modified files:
     ChangeLog examples/mwolson/muse-init.el


2005-07-09 03:11:28 GMT	Michael Olson <mwolson@gnu.org>	patch-113

    Summary:
      Tackle a project name interwiki highlighting snafu.
    Revision:
      muse--main--1.0--patch-113

    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Hack still more on
      this.  It seems to be more robust now.  Highlighting is going the way I
      want it.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-09 02:25:26 GMT	Michael Olson <mwolson@gnu.org>	patch-112

    Summary:
      Fix some gross mistakes.
    Revision:
      muse--main--1.0--patch-112

    * lisp/muse-blosxom.el (muse-blosxom-update-page-date-alist): Fix several
      gross misspellings.
    
    * lisp/muse-project.el (muse-project-file-entries): If
      `muse-file-extension' is defined, use it to filter the entries.
    
    * lisp/muse.el (muse-file-extension): Fix messed up attempt to set
      variable.  Move higher in file.
    
    * lisp/muse.el (muse-update-ignored-extensions-regexp): Use given
      argument instead of the real name of the variable.

    modified files:
     ChangeLog lisp/muse-blosxom.el lisp/muse-project.el
     lisp/muse.el


2005-07-09 00:10:01 GMT	Michael Olson <mwolson@gnu.org>	patch-111

    Summary:
      Make natural interwiki links between projects mostly work.
    Revision:
      muse--main--1.0--patch-111

    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): Uncomment this
      function and flesh it out.  This seems to work properly, though for
      some reason, interwiki links using projects are a bit flakey.
      (muse-wiki-handle-interwiki): Deal with case where we have a project
      name in an interwiki link.

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-08 22:57:55 GMT	Michael Olson <mwolson@gnu.org>	patch-110

    Summary:
      Fix Emacs21 issue with muse-insert-tag.
    Revision:
      muse--main--1.0--patch-110

    * lisp/muse-mode.el (muse-insert-tag): Pass a list of lists to
      completing-read to appease older Emacsen.

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-08 22:55:20 GMT	Michael Olson <mwolson@gnu.org>	patch-109

    Summary:
      Fix error with `muse-blosxom-new-entry' and Emacs21.
    Revision:
      muse--main--1.0--patch-109

    * lisp/muse-blosxom.el (muse-blosxom-new-entry): Mess with call to
      `completing-read' so that old versions of Emacs don't complain.

    modified files:
     ChangeLog lisp/muse-blosxom.el


2005-07-08 21:59:41 GMT	Michael Olson <mwolson@gnu.org>	patch-108

    Summary:
      Try to fix an error with `muse-blosxom-get-categories'.
    Revision:
      muse--main--1.0--patch-108

    * lisp/muse-blosxom.el (muse-blosxom-get-categories): Be extra cautious
      about processing directories.

    modified files:
     ChangeLog examples/johnw/publish-johnw lisp/muse-blosxom.el


2005-07-08 21:11:53 GMT	Michael Olson <mwolson@gnu.org>	patch-107

    Summary:
      Make a distinction between implicit and explicit links at publish-time.
    Revision:
      muse--main--1.0--patch-107

    * lisp/muse-html.el (muse-html-escape-string): Ignore other arguments.
    
    * lisp/muse-http.el (muse-http-prepare-url): Handle `explicit' argument.
    
    * lisp/muse-publish.el (muse-publish-url, muse-publish-insert-url): Pass
      `explicit' argument.
    
    * lisp/muse-publish.el (muse-publish-markup-link): Determine whether or
      not we are dealing with an explicit link.
    
    * lisp/muse-publish.el (muse-publish-prepare-url): Ignore other arguments.
    
    * lisp/muse-wiki.el (muse-wiki-transform-interwiki): Take `explicit'
      argument, but ignore it.
    
    * lisp/muse-wiki.el (muse-wiki-transform-wikiword): Only apply transforms
      when link is not explicit.

    modified files:
     ChangeLog lisp/muse-html.el lisp/muse-http.el
     lisp/muse-publish.el lisp/muse-wiki.el


2005-07-08 06:40:30 GMT	Michael Olson <mwolson@gnu.org>	patch-106

    Summary:
      Implement several WikiWord handling fixes.
    Revision:
      muse--main--1.0--patch-106

    * lisp/muse-colors.el (muse-link-face): Handle case where no link is
      found by the handlers.  Don't send implicit links through some of the
      advanced checks.
    
    * lisp/muse-mode.el (muse-link-at-point): Move to beginning of first part
      of interwiki link before calling `muse-handle-explicit-link'.
    
    * lisp/muse-wiki.el (muse-wiki-update-interwiki-regexp): Append forgotten
      "\\|" separator between project-alist entries and interwiki entries.
      Force a reconfiguration of muse-colors-markup.
    
    * lisp/muse-wiki.el (muse-wiki-handle-wikiword): Add several checks to be
      sure that we don't colorize WikiNames that don't go with any file.
    

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-mode.el
     lisp/muse-wiki.el


2005-07-07 21:34:12 GMT	Michael Olson <mwolson@gnu.org>	patch-105

    Summary:
      Attempt to simplify muse-wiki a bit.
    Revision:
      muse--main--1.0--patch-105

    * lisp/muse-colors.el (muse-use-font-lock): Set up muse-colors-markup
      here.
    
    * lisp/muse-wiki.el (muse-wiki-wikiword-colors-markup)
      (muse-wiki-update-use-wikiword-colors, muse-wiki-wikiword-markup-regexp)
      (muse-wiki-update-use-wikiword-markup-regexp)
      (muse-wiki-update-use-wikiword-link-function)
      (muse-wiki-update-use-wikiword-url-transforms): Remove.
      (muse-wiki-update-use-wikiword): Not :set function is needed anymore.
    
    * lisp/muse-wiki.el (muse-wiki-transform-wikiword): Only modify URL if
      `muse-wiki-use-wikiword' is specified.
    
    * lisp/muse-wiki.el (muse-wiki-handle-wikiword): Don't process the URL
      unless `muse-wiki-use-wikiword' is specified.
    
    * lisp/muse-wiki.el ("muse-colors"): Add muse-wiki-wikiword-regexp to
      muse-colors-markup.
    
    * lisp/muse-wiki.el ("muse-publish"): Add muse-wiki-wikiword-regexp to
      muse-publish-markup-regexps.
    
    * lisp/muse-wiki.el ("muse-publish"): Add muse-wiki-transform-wikiword to
      muse-publish-url-transforms.
    
    * lisp/muse-wiki.el (muse-implicit-link-functions): Add
      muse-wiki-handle-wikiword to muse-implicit-link-functions.
    

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-wiki.el


2005-07-07 20:06:35 GMT	Michael Olson <mwolson@gnu.org>	patch-104

    Summary:
      Make muse-blosxom use relative name of published file in page-date alist.
    Revision:
      muse--main--1.0--patch-104

    * lisp/muse-blosxom.el (muse-blosxom-base-directory): Move higher in
      file.
      (muse-blosxom-update-page-date-alist): Renamed from
      `muse-blosxom-markup-date-directive'.  Make the current file name
      relative to the base directory and strip file extension if necessary.
    

    modified files:
     ChangeLog lisp/muse-blosxom.el


2005-07-07 19:14:38 GMT	Michael Olson <mwolson@gnu.org>	patch-103

    Summary:
      Hack on muse-blosxom timestamps somewhat.
    Revision:
      muse--main--1.0--patch-103

    * lisp/muse-blosxom.el (muse-blosxom-markup-date-directive): Make this
      actually do something useful.  This should have a different name,
      really.
      ("blosxom-html", "blosxom-xhtml"): Call
      `muse-blosxom-markup-date-directive' after publishing each entry.
    

    modified files:
     ChangeLog lisp/muse-blosxom.el


2005-07-07 06:27:02 GMT	Michael Olson <mwolson@gnu.org>	patch-102

    Summary:
      Fix several startup and compile errors.
    Revision:
      muse--main--1.0--patch-102

    * lisp/muse-wiki.el ("muse-publish"): Use correct name of function.  This
      fixes an error that occurred during startup.
    
    * lisp/muse-regexps.el (muse-ignored-extensions-regexp)
      (muse-update-ignored-extensions-regexp, muse-ignored-extensions): Move
      to muse.el.
    
    * lisp/muse.el (muse-update-ignored-extensions-regexp): Fix ordering so
      that the nasty compile errors go away.  Fix a few typos.
      (muse-ignored-extensions): Fix docstring.
      (muse-file-extension): Move this higher in the file.
    
    

    modified files:
     ChangeLog lisp/muse-regexps.el lisp/muse-wiki.el lisp/muse.el


2005-07-07 05:57:51 GMT	Michael Olson <mwolson@gnu.org>	patch-101

    Summary:
      Note that muse-file-extension should not have "." in front.
    Revision:
      muse--main--1.0--patch-101

    * lisp/muse-project.el (muse-project-find-file): Handle case where
      muse-file-extension is not specified.
    
    * lisp/muse.el (muse-file-extension): Note that the period at the
      beginning of this value should be omitted.
    
    * lisp/muse-regexps.el (muse-update-ignored-extensions-regexp): Quote
      file extension so that regexp characters inside the extension will not
      goof it up.  This should never be a problem in normal cases, but let's
      be robust.
    

    modified files:
     ChangeLog lisp/muse-project.el lisp/muse-regexps.el
     lisp/muse.el


2005-07-07 05:36:53 GMT	Michael Olson <mwolson@gnu.org>	patch-100

    Summary:
      Implement optional file extension of Muse files.
    Revision:
      muse--main--1.0--patch-100

    * lisp/muse-mode.el (muse-mode): Make sure
      `muse-update-ignored-extensions-regexp' gets updated every time we
      enter Muse mode.  This works around a bug in the customize interface --
      if a user changes an option using setq, the :set function sometimes
      does not get executed.  I should really try to determine whether or not
      this is really an issue anymore.
    
    * lisp/muse-project.el (muse-project-find-file): Make use of
      `muse-file-extension'.
    
    * lisp/muse-regexps.el (muse-ignored-extensions-regexp): This is not
      customizable; it is autogenerated from `muse-ignored-extensions'.
      (muse-update-ignored-extensions-regexp): New function that sets the
      value of `muse-ignored-extensions-regexp'.  This is needed in order to
      make sure that the value of `muse-file-extension' is taken into
      account.
      (muse-ignored-extensions): New option that determines which file
      extensions to ignore.  It is in the form of a list of regexps.
    
    * lisp/muse.el (muse-file-extension): New option that allows the user to
      specify the file extension to be used for Muse files.  By default, this
      is nil, which means that no extension will be used.
    
    * lisp/muse.el (muse-page-name): Handle case where
      `muse-ignored-extensions-regexp' is nil.
    

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-project.el
     lisp/muse-regexps.el lisp/muse.el


2005-07-07 03:16:38 GMT	Michael Olson <mwolson@gnu.org>	patch-99

    Summary:
      Document new blosxom convenience feature.
    Revision:
      muse--main--1.0--patch-99

    * lisp/muse-blosxom.el: Document `muse-blosxom-project-alist-dirs' and
      `muse-blosxom-project-alist-entry'.  An example is provided in the
      header.
    

    modified files:
     ChangeLog lisp/muse-blosxom.el


2005-07-06 23:17:35 GMT	Michael Olson <mwolson@gnu.org>	patch-98

    Summary:
      Further work on `muse-project-alist' entry generation for blosxom.
    Revision:
      muse--main--1.0--patch-98

    * examples/mwolson/muse-init.el (muse-project-alist): Use proper syntax.
      Include subdirectories in first part of "Blog" entry.
    
    * lisp/muse-blosxom.el (muse-blosxom-project-alist-dirs): New function
      that returns a list of dirs that are to be used with the first part of
      a `muse-project-alist' entry.
    

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse-blosxom.el


2005-07-06 22:42:35 GMT	Michael Olson <mwolson@gnu.org>	patch-97

    Summary:
      New function: muse-blosxom-project-alist-entry.
    Revision:
      muse--main--1.0--patch-97

    * examples/mwolson/muse-init.el: Update from my latest settings.
      (muse-project-alist): Make use of `muse-blosxom-project-alist-entry'.
    
    * lisp/muse-blosxom.el (muse-blosxom-project-alist-entry): New function
      that generates the latter part of an entry for `muse-project-alist'.
    

    modified files:
     ChangeLog examples/mwolson/muse-init.el lisp/muse-blosxom.el


2005-07-06 20:52:03 GMT	Michael Olson <mwolson@gnu.org>	patch-96

    Summary:
      Merged from hodique@lifl.fr--2005 (patch 12-23)
    Revision:
      muse--main--1.0--patch-96

    Patches applied:
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-12
       Merged from mwolson@gnu.org--2005 (patch 68-76)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-13
       Merged from mwolson@gnu.org--2005 (patch 77-80)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-14
       Merged from mwolson@gnu.org--2005 (patch 81)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-15
       Merged from mwolson@gnu.org--2005 (patch 82)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-16
       Escape % in latex publishing
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-17
       bugfix
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-18
       small improvement on muse-make-link
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-19
       Fix customization of muse-wiki-wikiword-regexp
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-20
       Allow full customization of WikiWords
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-21
       Fix mouse-2 yank bug in muse-mode
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-22
       Fix interpretation order
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-23
       Merged from mwolson@gnu.org--2005 (patch 83-95)
    

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-06 19:55:48 GMT	Michael Olson <mwolson@gnu.org>	patch-95

    Summary:
      Minor docfixes.
    Revision:
      muse--main--1.0--patch-95

    * lisp/muse-mode.el (muse-follow-name-at-point) 
      (muse-follow-name-at-mouse): Docfixes.
    

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-06 19:30:34 GMT	Michael Olson <mwolson@gnu.org>	patch-94

    Summary:
      Fix goof-up in instructions for using `muse-blosxom-new-entry'.
    Revision:
      muse--main--1.0--patch-94

    * lisp/muse-blosxom.el: Fix goof-up in instructions for using
      `muse-blosxom-new-entry'.
    
    * muse.texi (Blosxom Entries): Ditto.
    

    modified files:
     ChangeLog lisp/muse-blosxom.el muse.texi


2005-07-06 18:54:52 GMT	Michael Olson <mwolson@gnu.org>	patch-93

    Summary:
      Re-add global mouse-2 event.
    Revision:
      muse--main--1.0--patch-93

    * lisp/muse-mode.el (muse-mode-map): Re-add the global binding for
      mouse-2, since Yann found a way around the problem I was facing.
      (muse-follow-name-at-mouse): Call the event that would normally be used
      here if we don't have a link at point.
    

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-06 07:19:41 GMT	Michael Olson <mwolson@gnu.org>	patch-92

    Summary:
      Fix publishing error.
    Revision:
      muse--main--1.0--patch-92

    * lisp/muse-project.el (muse-project-publish-file): Don't try to fetch
      the cdr of output-dir.  This was a code fragment from a previous
      attempt to refactor this function.
    

    modified files:
     ChangeLog lisp/muse-project.el


2005-07-06 06:39:21 GMT	Michael Olson <mwolson@gnu.org>	patch-91

    Summary:
      Work on getting to the point where we can resolve project interwiki links.
    Revision:
      muse--main--1.0--patch-91

    * lisp/muse-blosxom.el (muse-blosxom-markup-date-directive): Use
      `muse-publishing-current-file'.
    
    * lisp/muse-project.el (muse-project-of-file): Ditto.
    
    * lisp/muse-project.el (muse-project-applicable-styles): New function
      that returns the usable styles for a file, given either a list of
      styles or a project name.  This is useful for removing styles that will
      be ignored for a file.
      (muse-project-publish-file): Split :include and :exclude processing
      into `muse-project-applicable-styles'.
    
    * lisp/muse-publish.el (muse-publish-output-name): Use
      `muse-publishing-current-file'.
    
    * lisp/muse-publish.el (muse-publish-file): Don't set `muse-current-file'.
    
    * lisp/muse-wiki.el (muse-wiki-update-interwiki-regexp): Recognize
      project names.
    
    * lisp/muse-wiki.el (muse-wiki-transform-wikiword): Don't cause project
      names to be uninterpreted.  Remove need for muse-assoc-string.
    
    * lisp/muse-wiki.el (muse-wiki-resolve-project-page): First draft of
      function that will be called to fetch a link to a page from a Muse
      project from the output file of the currently-published file.  This is
      commented out for now since I ran out of energy.
    
    * lisp/muse-wiki.el (muse-wiki-handle-interwiki): Use
      `muse-wiki-resolve-project-page' for handling Muse project interwiki
      links, but only when no match was found in `muse-wiki-interwiki-alist'.
      Handle case where no interwiki can be found, even though this should
      never happen.
    
    * lisp/muse-wiki.el (muse-mode-hook): Update `muse-wiki-interwiki-regexp'
      whenever Muse mode is entered.  That way we don't have to enter an
      extra command in our .emacs.
    
    * lisp/muse.el (muse-current-file): Remove this, since a variable called
      `muse-publishing-current-file' already exists that does the same thing.
      How embarrassing.
    
    * lisp/muse.el (muse-page-name): Use `muse-publishing-current-file'.
    
    * lisp/muse.el (muse-assoc-string): Remove this, since we no longer need
      to use it.
    

    modified files:
     ChangeLog lisp/muse-blosxom.el lisp/muse-project.el
     lisp/muse-publish.el lisp/muse-wiki.el lisp/muse.el


2005-07-06 04:00:57 GMT	Michael Olson <mwolson@gnu.org>	patch-90

    Summary:
      Mouse-2 on regular text will yank rather than give an error.
    Revision:
      muse--main--1.0--patch-90

    * lisp/muse-mode.el (muse-mode-map): Remove mappings for mouse-2, since
      this seems to be more trouble than it's worth.
      (muse-follow-name-at-mouse): Don't call `muse-follow-name-at-point';
      use our own implementation.
    

    modified files:
     ChangeLog lisp/muse-mode.el


2005-07-06 02:25:56 GMT	Michael Olson <mwolson@gnu.org>	patch-89

    Summary:
      Make interwiki links publish with the correct extension.
    Revision:
      muse--main--1.0--patch-89

    * lisp/muse-wiki.el (muse-wiki-transform-interwiki): Add the correct
      prefix and suffix to interwiki names, as well as stripping out unwanted
      extensions.
    

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-06 02:02:42 GMT	Michael Olson <mwolson@gnu.org>	patch-88

    Summary:
      Fix publishing of bare interwiki names.
    Revision:
      muse--main--1.0--patch-88

    * lisp/muse-wiki.el (muse-wiki-transform-wikiword): Use `setq' instead of
      `set'.  Use `muse-assoc-string' instead of `assoc'.
    
    * lisp/muse.el (muse-assoc-string): New compatibility function that makes
      `assoc-string' functionality usable with Emacs21 and XEmacs.
    

    modified files:
     ChangeLog lisp/muse-wiki.el lisp/muse.el


2005-07-06 01:41:24 GMT	Michael Olson <mwolson@gnu.org>	patch-87

    Summary:
      Apply a few fixes from Yann's branch.
    Revision:
      muse--main--1.0--patch-87

    Background: I hacked on Muse over the weekend while offline, and so did
                Yann.  His changes to muse-wiki.el are different than the
                ones that I made, so we should probably figure out the best
                way to handle this when we both get on IRC again.  For now,
                I've merged in the bugfixes that he's made, omitting most of
                the changes to muse-wiki.
    
    * lisp/muse-latex.el (muse-latex-markup-regexps): Escape %.
    
    * lisp/muse-wiki.el (muse-wiki-colors-wikiword): Add docstring.
    
    * lisp/muse.el (muse-page-name): Fix a bug that was inadvertently
      introduced previously.
    

    modified files:
     ChangeLog lisp/muse-latex.el lisp/muse-wiki.el lisp/muse.el


2005-07-05 20:41:49 GMT	Michael Olson <mwolson@gnu.org>	patch-86

    Summary:
      Warn if file not published; hack further on Wiki stuff.
    Revision:
      muse--main--1.0--patch-86

    * lisp/muse-html.el (muse-html-markup-paragraph): Make this only try to
      complete <div> tags that are of the class "image-link".  It is hoped
      that this will prevent user-added <div> tags from being mangled.
    
    * lisp/muse-mode.el (muse-link-at-point): Don't pass an argument to
      `muse-handle-implicit-link' or `muse-handle-explicit-link' since they
      need to look at the text at point.
    
    * lisp/muse-publish.el (muse-publish-this-file): Warn the user if the
      current file has not been published since it was up-to-date.  Thanks to
      Bill Freeman for the suggestion.
    
    * lisp/muse-publish.el (muse-publish-url): Handle case when returned url
      is nil.  If this happens, return the original URL.
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-regexp): Set using
      `muse-wiki-update-interwiki-regexp.'
      (muse-wiki-update-interwiki-regexp): New function that sets the value
      of `muse-wiki-interwiki-regexp'.
      (muse-wiki-interwiki-alist): Call `muse-wiki-update-interwiki-regexp'
      on :set.
    
    * lisp/muse-wiki.el (muse-wiki-transform-interwiki): Renamed from
      `muse-wiki-expand-interwiki'.
      (muse-wiki-transform-wikiword): New function that prevents WikiWords
      with no matching file from being published as links.
    
    * lisp/muse-wiki.el (muse-wiki-handle-interwiki): Accept an optional
      string argument once again, since this behavior is needed when
      publishing.
      (muse-wiki-handle-wikiword): Ditto.
    
    * lisp/muse.el (muse-handle-url): Ditto.
    
    * lisp/muse.el (muse-handle-implicit-link): Ditto.  Restore match data
      after every unsuccessful attempt at handling the link.  If argument is
      given, restore match-data at end, too.
    
    * lisp/muse.el (muse-handle-explicit-link): Accept optional string
      argument.  Match data is always saved.  If argument is not given,
      assume that `muse-implicit-link-regexp' has been matched against, and
      return the 1st match string if no handlers worked.
    

    modified files:
     ChangeLog lisp/muse-html.el lisp/muse-mode.el
     lisp/muse-publish.el lisp/muse-wiki.el lisp/muse.el


2005-07-04 23:00:06 GMT	Michael Olson <mwolson@gnu.org>	patch-85

    Summary:
      Hack on WikiName handling and make TAB work for Wiki links.
    Revision:
      muse--main--1.0--patch-85

    * lisp/muse-colors.el (muse-colors-markup): Use
      `muse-explicit-link-regexp' instead of `muse-link-regexp'.
    
    * lisp/muse-colors.el (muse-link-face): Add new argument EXPLICIT.  If
      nil, don't color bad links.  If non-nil, color bad links.
    
    * lisp/muse-colors.el (muse-colors-link): Pass `t' to `muse-link-face'.
    
    * lisp/muse-journal.el (muse-journal-rss-markup-regexps): Use
      `muse-explicit-link-regexp' instead of `muse-link-regexp'.
      (muse-journal-rss-munge-buffer): Ditto.
    
    * lisp/muse-mode.el (muse-mode-fill-nobreak-p, muse-link-at-point):
      Docfix.
    
    * lisp/muse-mode.el (muse-link-at-point): Rewrite so that explicit links
      are handled first, then implicit ones.  It should work better in all
      cases.  For now, we depend on the value of `muse-implicit-link-regexp'
      to determine how far to scan for an implicit link.  This defaults to
      the text between the point and the next space.
    
    * lisp/muse-mode.el (muse-visit-link-default): Refactored code from
      `muse-visit-link'.  If the ANCHOR argument is a string, search for it
      literally after opening the buffer.  Hopefully this can be of use in
      custom visit-link functions, when necessary.
    
    * lisp/muse-mode.el (muse-visit-link): Docfix.  Call
      `muse-visit-link-default'.
    
    * lisp/muse-mode.el (muse-next-reference, muse-previous-reference):
      Search by text properties instead of regexps.  This allows Muse to find
      links without having to have a massive regexp that contains all link
      types.  The downside is that this will not work if the user defontifies
      the buffer.  But it would somewhat defeat the purpose of following
      links if you can't see them.
    
    * lisp/muse-project.el (muse-project-batch-publish): Handle case when not
      enough command line args are passed in batch mode.
    
    * lisp/muse-publish.el (muse-publish-markup-regexps): Use
      `muse-explicit-link-regexp'.
    
    * lisp/muse-regexps.el (muse-explicit-link-regexp): Renamed from
      `muse-link-regexp'.
    
    * lisp/muse-regexps.el (muse-implicit-link-regexp): New option that
      specifies the "common ground" of all implicit links, like URLs, bare
      WikiNames, and -- in the future -- email addresses.
    
    * lisp/muse-wiki.el (muse-wiki-hide-nop-tag): Quote 'boolean.
    
    * lisp/muse-wiki.el (muse-wiki-handle-interwiki): Arg URL is no longer
      optional.  That was a bad idea on my part.  Renamed from
      `muse-wiki-interwiki-handle'.  Hopefully all this renaming doesn't
      annoy anyone :^) .
    
    * lisp/muse-wiki.el (muse-wiki-expand-interwiki): Renamed from
      `muse-wiki-interwiki-expand'.
      (muse-wiki-handle-wikiword): Renamed from
      `muse-wiki-wikiword-handle'.
    
    * lisp/muse-wiki.el ("muse-colors", "muse-publish"): Use a string value
      for the eval-after-load arg since XEmacs chokes on constants.
    
    * lisp/muse-wiki.el (muse-wiki-colors-wikiword): Don't display a bad-link
      face on WikiWords that don't correspond with a file.  If people really
      want this to appear in bad-link face, I could accommodate that.
    
    * lisp/muse.el (muse-handle-url): New function that detects whether the
      given string is a URL.
      (muse-implicit-link-functions): Renamed from
      `muse-mode-link-functions'.  Defaults to `muse-handle-url'.
      (muse-explicit-link-functions): Renamed from
      `muse-mode-handler-functions'.
      (muse-handle-implicit-link): New function that handles all
      implicit links by calling functions from `muse-implicit-link-functions'.
      (muse-handle-explicit-link): Renamed from
      `muse-handled-url'.
    

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-journal.el
     lisp/muse-mode.el lisp/muse-project.el lisp/muse-publish.el
     lisp/muse-regexps.el lisp/muse-wiki.el lisp/muse.el


2005-07-04 14:40:31 GMT	Michael Olson <mwolson@gnu.org>	patch-84

    Summary:
      Allow WikiWords to be ignored with <nop> or "''''".
    Revision:
      muse--main--1.0--patch-84

    * lisp/muse-mode.el (muse-browse-result): Docfixes.
    
    * lisp/muse-wiki.el (muse-wiki-hide-nop-tag): New option that determines
      whether to hide <nop> tags when coloring a Muse buffer.
      (muse-wiki-wikiword-at-point): Docfix.
      (muse-wiki-colors-nop-tag): New function that colors <nop> tags.
      (muse-wiki-publish-nop-tag): New function that interprets <nop> tags
      during publishing.
      (muse-colors-tags, muse-publish-markup-tags): Interpret <nop> tags,
      which keeps the WikiWord that follows it from being interpreted.
      (muse-publish-markup-regexps): Allow 4 single quotes to function as a
      WikiWord delimiter.
    

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-wiki.el


2005-07-04 11:20:50 GMT	Michael Olson <mwolson@gnu.org>	patch-83

    Summary:
      Update postal address of FSF in muse-wiki.el.
    Revision:
      muse--main--1.0--patch-83

    * lisp/muse-wiki.el: Update postal address of the FSF.
    

    modified files:
     ChangeLog lisp/muse-wiki.el


2005-07-01 22:48:51 GMT	Michael Olson <mwolson@gnu.org>	patch-82

    Summary:
      Interpret explicit links before emphasis.
    Revision:
      muse--main--1.0--patch-82

    * lisp/muse-publish.el (muse-publish-markup-regexps): Interpret explicit
      links before emphasis.
    
    * lisp/muse-wiki.el (muse-publish): Make rules use a multiple of 100 just
      for the heck of it.

    modified files:
     ChangeLog lisp/muse-publish.el lisp/muse-wiki.el


2005-06-26 22:55:55 GMT	Michael Olson <mwolson@gnu.org>	patch-81

    Summary:
      Wiki hacking, regexp tweaks.
    Revision:
      muse--main--1.0--patch-81

    * lisp/muse-project.el (muse-project-ignore-regexp): Change group to
      muse-regexp.
    
    * lisp/muse-regexps.el (muse-regexp-use-character-classes): New variable
      that indicates whether or not to use character classes in regexps.  The
      default is to let Muse try to figure it out.
      (muse-extreg-usable-p): Make use of this variable.
    
    * lisp/muse-regexps.el (muse-url-regexp): There's too much whitespace in
      this regexp.  I'm guessing it was supposed to have a TAB in there at
      one time.  Replace this stuff with muse-regexp-space.
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-alist): Use wikified EmacsWiki
      by default.
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-alist): Use "choice" instead of
      "or".
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-regexp): Include the page
      delimiter as part of the regexp.  Allow "#" or "::" to be a delimiter.
      We'll fix those anchor problems eventually!
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-at-point): New function that
      uses `muse-interwiki-handle' to determine whether an interwiki link is
      at point.
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-handle): Make URL optional and
      look for a suitable value at point if needed.
    
    * lisp/muse-wiki.el: Make interwiki regexps color the same as wikiwords.
    
    * lisp/muse-wiki.el: Add publishing rule for muse-wiki-interwiki-regexp.
    
    * lisp/muse-wiki.el (muse-mode-link-functions): Add interwiki handling.

    modified files:
     ChangeLog lisp/muse-project.el lisp/muse-regexps.el
     lisp/muse-wiki.el


2005-06-25 04:44:00 GMT	Michael Olson <mwolson@gnu.org>	patch-80

    Summary:
      Make installation of manual when not using Debian go smoothly.
    Revision:
      muse--main--1.0--patch-80

    * Makefile.defs (INSTALLINFO): New variable that specifies what command
      and options are to be used when insinuating the Muse documentation into
      the Info menu.
    
    * Makefile (install): Make use of INSTALLINFO.
    
    * README (Installation): Give directions for changing INSTALLINFO on a
      Debian system and changing where Muse is installed.
    
    * muse.texi: Ditto.

    modified files:
     ChangeLog Makefile Makefile.defs README muse.texi


2005-06-25 04:09:15 GMT	Michael Olson <mwolson@gnu.org>	patch-79

    Summary:
      Fix compiler warning induced by last patch.
    Revision:
      muse--main--1.0--patch-79

    * lisp/muse-project.el (muse-current-file): Move to muse.el to fix
      compiler warning.

    modified files:
     ChangeLog lisp/muse-project.el lisp/muse.el


2005-06-25 04:02:11 GMT	Michael Olson <mwolson@gnu.org>	patch-78

    Summary:
      Add `muse-current-file', fix minor QuickStart issue.
    Revision:
      muse--main--1.0--patch-78

    * examples/QuickStart: Make John Wiegley the author.
    
    * lisp/muse-blosxom.el (muse-blosxom-markup-date-directive): Use
      `muse-current-file' instead of `buffer-file-name'.
    
    * lisp/muse-project.el (muse-current-project): Document.
    
    * lisp/muse-project.el (muse-current-file): New variable indicating the
      name, including path, of the file that is currently being published.
      (muse-project-of-file): Make use of
      `muse-current-file'.
    
    * lisp/muse-publish.el (muse-publish-file): Set `muse-current-file' here.
    
    * lisp/muse.el (muse-page-name): Make use of `muse-current-file'.

    modified files:
     ChangeLog examples/QuickStart lisp/muse-blosxom.el
     lisp/muse-poem.el lisp/muse-project.el lisp/muse-publish.el
     lisp/muse.el


2005-06-24 21:15:35 GMT	Michael Olson <mwolson@gnu.org>	patch-77

    Summary:
      Make muse-replace-regexp-in-string closer to its parent; no func change.
    Revision:
      muse--main--1.0--patch-77

    * lisp/muse.el (muse-replace-regexp-in-string): Add 2 more optional args
      to implement all functionality of `replace-regexp-in-string'.  No
      functionality change.
    

    modified files:
     ChangeLog lisp/muse.el


2005-06-24 00:22:12 GMT	Michael Olson <mwolson@gnu.org>	patch-76

    Summary:
      Play nicely with fill, adaptive-fill, and flyspell.
    Revision:
      muse--main--1.0--patch-76

    * muse-mode.el (muse-mode-intangible-links): New function used to
      determine whether links will be considered intangible.
    
    * lisp/muse-mode.el (muse-mode-link-functions)
      (muse-mode-handler-functions): Minor docfix.
    
    * lisp/muse-mode.el (muse-mode): Don't split long links when performing
      fill.  Play nicely with adaptive-fill.  Avoid lockup with flyspell by
      making links intangible by default, but this may be adjusted by use of
      the `muse-mode-intangible-links' function.
    
    * lisp/muse-mode.el (muse-mode-fill-nobreak-p): New function that returns
      nil if we should allow a fill to occur here.  Keeps links from being
      broken up.
    
    * lisp/muse-mode.el (muse-mode-flyspell-p): New function that returns
      non-nil if we allow spell-checking to occur here.  Keeps links from
      being improperly colorized.
    
    * lisp/muse-wiki.el (muse-wiki-interwiki-handle): Break up long line; no
      functionality change.

    modified files:
     ChangeLog lisp/muse-mode.el lisp/muse-wiki.el


2005-06-23 07:13:35 GMT	Michael Olson <mwolson@gnu.org>	patch-75

    Summary:
      Minor doc changes and code prettification.
    Revision:
      muse--main--1.0--patch-75

    * AUTHORS: Note that YH's assignment is in the mail.
    
    * README (scripts): Explain better the contents of the `scripts'
      directory.
    
    * lisp/muse-wiki.el (muse-wiki-wikiword-regexp): Split long line.

    modified files:
     AUTHORS ChangeLog README lisp/muse-wiki.el


2005-06-23 05:20:04 GMT	Michael Olson <mwolson@gnu.org>	patch-74

    Summary:
      Merged from hodique@lifl.fr--2005 (patch 7-11)
    Revision:
      muse--main--1.0--patch-74

    Patches applied:
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-7
       split WikiWords and InterWiki links into their own package
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-8
       Merged from mwolson@gnu.org--2005 (patch 63-67), adapted muse-wiki features
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-9
       Mimic experimental behavior for interwiki
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-10
       fix notes publishing
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-11
       various minor fixes

    new files:
     lisp/.arch-ids/muse-wiki.el.id lisp/muse-wiki.el

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-html.el
     lisp/muse-mode.el lisp/muse-publish.el lisp/muse.el

    renamed files:
     experimental/.arch-ids/muse-wiki.el.id
       ==> experimental/.arch-ids/muse-wiki-old.el.id
     experimental/muse-wiki.el
       ==> experimental/muse-wiki-old.el


2005-06-22 23:05:33 GMT	Michael Olson <mwolson@gnu.org>	patch-73

    Summary:
      Tell people where to find on-line version of manual.
    Revision:
      muse--main--1.0--patch-73

    * README: Add on-line locations for manual.
    
    * muse.texi: Remove @include directive.  This makes generating a PDF of
      this documentation a lot easier.
    
    * muse.texi (Preface): Add on-line locations for manual.

    modified files:
     ChangeLog README muse.texi


2005-06-22 19:57:42 GMT	Michael Olson <mwolson@gnu.org>	patch-72

    Summary:
      Try to make Muse play nice with outline minor mode.
    Revision:
      muse--main--1.0--patch-72

    * lisp/muse-colors.el (muse-colors-emphasized, muse-colors-emphasized)
    (muse-colors-underlined, muse-use-font-lock, muse-link-properties): Use
    "muse" instead of "t" when adding invisibility to text or checking for
    invisibility.
    
    * lisp/muse.el (muse-add-to-invisibility-spec): New function that is a
    compatibility wrapper for `add-to-invisibility-spec'; XEmacs doesn't have
    this function.

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse.el


2005-06-22 08:02:58 GMT	Michael Olson <mwolson@gnu.org>	patch-71

    Summary:
      Minor grammar fix in Introduction section of manual.
    Revision:
      muse--main--1.0--patch-71

    * muse.texi (Introduction): Minor grammar fix.

    modified files:
     ChangeLog muse.texi


2005-06-22 06:32:02 GMT	Michael Olson <mwolson@gnu.org>	patch-70

    Summary:
      Release Muse 3.01.
    Revision:
      muse--main--1.0--patch-70

    * lisp/muse-colors.el: Remove unnecessary use of Version in header.
    
    * lisp/muse-html.el (muse-html-encoding-map): Add mapping for iso-8859-1.
    
    * lisp/muse-poem.el (muse-poem-markup-strings)
      (muse-poem-chapbook-strings): Make customizable.
    
    * lisp/muse-poem.el (muse-chapbook-latex-header)
      (muse-chapbook-latex-footer): Docfix.
    
    * lisp/muse-texinfo.el (muse-texinfo-info-extension)
      (muse-texinfo-pdf-extension): Ditto.
    
    * lisp/muse.el (muse-version): Change to 3.01.
    
    * muse.texi (Poem, Texinfo): Last two publishing styles complete.  We're
      done, for now!

    modified files:
     ChangeLog lisp/muse-colors.el lisp/muse-html.el
     lisp/muse-poem.el lisp/muse-texinfo.el lisp/muse.el muse.texi


2005-06-20 02:29:08 GMT	Michael Olson <mwolson@gnu.org>	patch-69

    Summary:
      Tweak documentation thoroughly; still incomplete.
    Revision:
      muse--main--1.0--patch-69

    * README: Minor tweaks.
    
    * muse.texi: Massively rename chapters so that the titles are more
      descriptive.  Clean up grammar.
    
    * muse.texi (Obtaining Muse): Move content of Installation node here,
      stripping out any customization tips, since those are covered later.
      Re-work this chapter since I was dissatisfied with it.
    
    * muse.texi (Installation): This node has the content of README regarding
      installation, which fits the title of the node much better than the
      previous content.
    
    * muse.texi (Blosxom): Turn the sections of this section into
      subsections.
    
    * muse.texi (Getting Help and Reporting Bugs): Turn this into a list.  I
      like lists!
    
    * muse.texi (History): Add a "2005" item.

    modified files:
     ChangeLog README muse.texi


2005-06-19 07:15:45 GMT	Michael Olson <mwolson@gnu.org>	patch-68

    Summary:
      Finish documenting 2 more publishing styles.
    Revision:
      muse--main--1.0--patch-68

    * lisp/muse-blosxom.el, lisp/muse-latex.el: Minor docfixes throughout.
    
    * lisp/muse-journal.el: Docfixes.
    
    * lisp/muse-publish.el (muse-publish-markup-functions): Add significant
      documentation to this function.
    
    * muse.texi (Blosxom Options): New node containing the publishing styles
      and options provided by Blosxom.
      (Book): Add usage note, as I suspect a lot of people might be confused
      by this style.
      (HTML): Space out entries better.
      (Journal, LaTeX): New nodes for publishing styles.
      (Common Elements): Document a few options that are present in
      `muse-publish.el'.

    modified files:
     ChangeLog lisp/muse-blosxom.el lisp/muse-journal.el
     lisp/muse-latex.el lisp/muse-publish.el muse.texi


2005-06-19 04:45:46 GMT	Michael Olson <mwolson@gnu.org>	patch-67

    Summary:
      Make Muse installable and correct an Emacs21 issue.
    Revision:
      muse--main--1.0--patch-67

    * Makefile (.PRECIOUS): Indicate that .info and .html files in this
      directory will be generated.
      (all): Compile muse.info by default.
      (doc): Refactor into individual generation rules for .html and .info
      files.
      (install): New rule that installs Muse source code, compiled .elc
      files, and the manual into proper places.
    
    * Makefile.defs (ELISPDIR, INFODIR): Correct minor goof-up.
    
    * README (Insinuation): Move old content of Installation here.
      (Installation): Fill out this section.
      (Further Documentation): Add link to my website and note that a full
      manual is included with Muse.
    
    * lisp/Makefile (EL): Populate with .el files.
      (install): New rule that installs both .elc and .el files.
    
    * lisp/muse-texinfo.el (muse-texinfo-info-generate): If we're running
      Emacs21, hack in a handler for the @documentencoding tag so that it
      doesn't error out.

    modified files:
     ChangeLog Makefile Makefile.defs README lisp/Makefile
     lisp/muse-texinfo.el


2005-06-19 03:05:38 GMT	Michael Olson <mwolson@gnu.org>	patch-66

    Summary:
      Cater even more to XEmacs and its annoying whims.
    Revision:
      muse--main--1.0--patch-66

    * examples/Makefile (%.html, %.pdf, %.info): Pass EMACS value as
      environment variable.
    
    * lisp/Makefile (%.elc, test): Don't use "-L" option since XEmacs can't
      handle it.  Load `muse-build.el' instead.
    
    * lisp/muse-colors.el (muse-colors-link): Add note that `link' is not
      used.
    
    * lisp/muse-journal.el (muse-journal-latex-munge-buffer)
      (muse-journal-rss-munge-buffer): Add note that the `qotd' binding is
      not used.
    
    * lisp/muse-journal.el (muse-journal-generate-pages): Add note that this
      function does not appear to be used.
    
    * lisp/muse.el (muse-replace-regexp-in-string): Use in place of
      `replace-regexp-in-string', since XEmacs doesn't have this function.
      We only implement the first 3 args, but this could be extended if we
      need to do so.
    
    * lisp/muse-blosxom.el (muse-blosxom-title-to-file): Use
      `muse-replace-regexp-in-string' in place of `replace-regexp-in-string'
    
    * lisp/muse-journal.el (muse-journal-anchorize-title): Ditto.
    
    * lisp/muse-colors.el (muse-colors-custom-tags): Remove unused binding to
      make XEmacs shut up.
    
    * lisp/muse-convert.el (muse-write-footnote): Ditto.
    
    * lisp/muse-html.el (muse-html-markup-table): Ditto.
    
    * lisp/muse-http.el (muse-winnow-list): Ditto.
    
    * lisp/muse-poem.el (muse-poem-markup-tag): Ditto.
    
    * lisp/muse-project.el (muse-project-file-entries): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup): Ditto.
    
    * scripts/muse-build.el: Add contrib path first; probably doesn't change
      anything.
    
    * scripts/publish: Use EMACS environment variable instead of hard-coding
      it.

    modified files:
     ChangeLog examples/Makefile lisp/Makefile lisp/muse-blosxom.el
     lisp/muse-colors.el lisp/muse-convert.el lisp/muse-html.el
     lisp/muse-http.el lisp/muse-journal.el lisp/muse-latex.el
     lisp/muse-poem.el lisp/muse-project.el lisp/muse-publish.el
     lisp/muse.el scripts/muse-build.el scripts/publish


2005-06-19 00:43:54 GMT	Michael Olson <mwolson@gnu.org>	patch-65

    Summary:
      Move lisp files to `lisp' directory; hack on Makefiles, XEmacs compat.
    Revision:
      muse--main--1.0--patch-65

    * AUTHORS: Update entry.
    
    * muse-*.el: Move to the lisp directory.
    
    * lisp/Makefile: New file containing rules to test and compile the
      source.
    
    * Makefile.defs: New file that contains common definitions for all other
      Makefiles, such as Emacs command to use.
    
    * Makefile: Move lisp-specific rules to lisp/Makefile.
      (SUBDIRS): New variable containing subdirectories to clean.
    
    * README: Update to reflect new location of source files.  Give updated
      directions for compiling with XEmacs.
    
    * examples/Makefile (.PRECIOUS): Added to denote which type of files to
      compile.
      (%.html): Pass SITEFLAG as an environment variable to
      ../scripts/publish.
    
    * examples/QuickStart (The): Re-add the stray <comment> tag since it
      seems to be needed to keep the process from failing.  This has *got* to
      be a bug in Muse, but I don't want to deal with it now.
    
    * lisp/muse-colors.el (muse-make-faces): Bind newsym locally.
    
    * lisp/muse-convert.el: Move line to commentary section.
    
    * lisp/muse-latex.el (muse-latex-markup-table): Note that the
      locally-bound `type' variable isn't used here.
    
    * lisp/muse-mode.el (muse-index-as-string): Remove unused `file' binding.
    
    * lisp/muse-texinfo.el (muse-texinfo-markup-table): Remove unused `field'
      binding.
    
    * scripts/muse-build.el (load-path): Correct paths.
    
    * scripts/muse-build.el (muse-elint-files): Add a few variables here so
      as to avoid spurious warnings.
    
    * scripts/publish (style): Make use of SITEFLAG environment variable, if
      it exists.
    
    * lisp/muse.el (muse-line-end-position, muse-line-beginning-position):
      (muse-match-string-no-properties): New functions that take the place of
      `line-end-position', `line-beginning-position', and
      `match-string-no-properties', respectively.
    
    * examples/johnw/muse-johnw.el (muse-my-html-insert-contents)
      (muse-my-journal-find-entries): Use Muse-specific version of
      `match-string-no-properties', `line-beginning-position', and
      `line-end-position' since these do not exist in XEmacs.
    
    * lisp/muse-colors.el (muse-colors-emphasized, muse-colors-region)
      (muse-colors-custom-tags, muse-colors-link, muse-colors-title): Ditto.
    
    * lisp/muse-convert.el (muse-latex-transform): Ditto.
    
    * lisp/muse-html.el (muse-html-insert-anchor, muse-html-markup-footnote)
      (muse-html-insert-contents): Ditto.
    
    * lisp/muse-journal.el (muse-journal-rss-munge-buffer): Ditto.
    
    * lisp/muse-mode.el (muse-link-at-point, muse-edit-link-at-point): Ditto.
    
    * lisp/muse-poem.el (muse-poem-prepare-buffer): Ditto.
    
    * lisp/muse-publish.el (muse-publish-markup-tag)
      (muse-publish-markup-footnote, muse-publish-markup-leading-space)
      (muse-published-buffer-contents): Ditto.
    
    * scripts/muse-build.el (muse-elint-files): Ditto.

    new files:
     .arch-ids/Makefile.defs.id Makefile.defs lisp/.arch-ids/=id
     lisp/.arch-ids/Makefile.id lisp/Makefile

    modified files:
     AUTHORS ChangeLog Makefile README examples/Makefile
     examples/QuickStart examples/johnw/muse-johnw.el
     lisp/muse-colors.el lisp/muse-convert.el lisp/muse-html.el
     lisp/muse-journal.el lisp/muse-latex.el lisp/muse-mode.el
     lisp/muse-poem.el lisp/muse-publish.el lisp/muse-texinfo.el
     lisp/muse.el scripts/muse-build.el scripts/publish

    renamed files:
     .arch-ids/muse-blosxom.el.id
       ==> lisp/.arch-ids/muse-blosxom.el.id
     .arch-ids/muse-book.el.id
       ==> lisp/.arch-ids/muse-book.el.id
     .arch-ids/muse-colors.el.id
       ==> lisp/.arch-ids/muse-colors.el.id
     .arch-ids/muse-convert.el.id
       ==> lisp/.arch-ids/muse-convert.el.id
     .arch-ids/muse-docbook.el.id
       ==> lisp/.arch-ids/muse-docbook.el.id
     .arch-ids/muse-html.el.id
       ==> lisp/.arch-ids/muse-html.el.id
     .arch-ids/muse-http.el.id
       ==> lisp/.arch-ids/muse-http.el.id
     .arch-ids/muse-journal.el.id
       ==> lisp/.arch-ids/muse-journal.el.id
     .arch-ids/muse-latex.el.id
       ==> lisp/.arch-ids/muse-latex.el.id
     .arch-ids/muse-mode.el.id
       ==> lisp/.arch-ids/muse-mode.el.id
     .arch-ids/muse-poem.el.id
       ==> lisp/.arch-ids/muse-poem.el.id
     .arch-ids/muse-project.el.id
       ==> lisp/.arch-ids/muse-project.el.id
     .arch-ids/muse-publish.el.id
       ==> lisp/.arch-ids/muse-publish.el.id
     .arch-ids/muse-regexps.el.id
       ==> lisp/.arch-ids/muse-regexps.el.id
     .arch-ids/muse-texinfo.el.id
       ==> lisp/.arch-ids/muse-texinfo.el.id
     .arch-ids/muse.el.id
       ==> lisp/.arch-ids/muse.el.id
     muse-blosxom.el
       ==> lisp/muse-blosxom.el
     muse-book.el
       ==> lisp/muse-book.el
     muse-colors.el
       ==> lisp/muse-colors.el
     muse-convert.el
       ==> lisp/muse-convert.el
     muse-docbook.el
       ==> lisp/muse-docbook.el
     muse-html.el
       ==> lisp/muse-html.el
     muse-http.el
       ==> lisp/muse-http.el
     muse-journal.el
       ==> lisp/muse-journal.el
     muse-latex.el
       ==> lisp/muse-latex.el
     muse-mode.el
       ==> lisp/muse-mode.el
     muse-poem.el
       ==> lisp/muse-poem.el
     muse-project.el
       ==> lisp/muse-project.el
     muse-publish.el
       ==> lisp/muse-publish.el
     muse-regexps.el
       ==> lisp/muse-regexps.el
     muse-texinfo.el
       ==> lisp/muse-texinfo.el
     muse.el
       ==> lisp/muse.el

    new directories:
     lisp lisp/.arch-ids


2005-06-18 20:12:05 GMT	Michael Olson <mwolson@gnu.org>	patch-64

    Summary:
      Massively untabify files.
    Revision:
      muse--main--1.0--patch-64


    modified files:
     ChangeLog ChangeLog.2004 experimental/muse-message.el
     experimental/muse-wiki.el muse-book.el muse-colors.el
     muse-convert.el muse-docbook.el muse-html.el muse-http.el
     muse-journal.el muse-latex.el muse-mode.el muse-poem.el
     muse-project.el muse-publish.el muse-regexps.el
     muse-texinfo.el muse.el


2005-06-18 19:57:44 GMT	Michael Olson <mwolson@gnu.org>	patch-63

    Summary:
      Merged from hodique@lifl.fr--2005 (patch 2-6), without the WikiWord change.
    Revision:
      muse--main--1.0--patch-63

    (Summary of changes that Yann made)
    
    * muse-colors.el (muse-colors-link): Whitespace cleanup.
    
    * muse-mode.el (muse-generate-index): Move index generation code into
      `muse-index-as-string'.
      (muse-index-as-string): New function that generates an index and
      returns it as a string, instead of placing it in a buffer like
      `muse-generate-index' used to.
    
    Patches applied:
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-2
       merge from mwolson@gnu.org--2005
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-3
       Accept WikiWords as links [mostly rescinded]
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-4
       merge from mwolson@gnu.org--2005/muse--main--1.0
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-5
       Merged from mwolson@gnu.org--2005 (patch 60-62)
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-6
       provide a string view of the index

    modified files:
     ChangeLog muse-colors.el muse-latex.el muse-mode.el


2005-06-18 06:21:19 GMT	Michael Olson <mwolson@gnu.org>	patch-62

    Summary:
      Document Blosxom, Book, DocBook, and HTML publishing styles.
    Revision:
      muse--main--1.0--patch-62

    * muse-blosxom.el: Clean up header.
    
    * muse-book.el (muse-before-book-publish-hook): Rename to
      `muse-book-before-publish-hook'.
      (muse-after-book-publish-hook): Rename to
      `muse-book-after-publish-hook'.
    
    * muse-html.el (muse-html-anchor-on-word, muse-html-table-attributes)
      (muse-html-markup-strings, muse-xhtml-markup-strings)
      (muse-html-meta-content-type, muse-html-meta-content-encoding)
      (muse-html-charset-default, muse-html-encoding-default)
      (muse-html-encoding-map): Docfixes.
    
    * muse.texi (Blosxom, Book, DocBook, HTML, Deriving Styles): New
      sections.

    modified files:
     ChangeLog muse-blosxom.el muse-book.el muse-html.el muse.texi


2005-06-18 01:35:33 GMT	Michael Olson <mwolson@gnu.org>	patch-61

    Summary:
      Begin work on Publishing Styles section of manual.
    Revision:
      muse--main--1.0--patch-61

    * Makefile (.PHONY): Add "doc" to list.
      (doc): New rule that generates Info and HTML files from muse.texi.
      (dist): Rely on `distclean', not `clean'.
    
    * examples/QuickStart (Authoring mode): Remove empty section.
    
    * muse.texi: Call this program "the Emacs Muse" in title.
      (Publishing Styles): Begin to populate section.
      (Deriving Styles): First subsection of Publishing Styles.
      (Contributors): Remove spurious copyright section, since we address
      this in the title.
    
    * README: Actually remember to add this file.

    new files:
     .arch-ids/README.id README

    modified files:
     ChangeLog Makefile examples/QuickStart muse.texi


2005-06-17 01:10:41 GMT	Michael Olson <mwolson@gnu.org>	patch-60

    Summary:
      Document Markup Rules.
    Revision:
      muse--main--1.0--patch-60

    * examples/QuickStart: Remove stray <comment> tag.
    
    * muse.texi (Top): Comment every menu line.
      (Markup Rules): New section with plenty of subsections.

    modified files:
     ChangeLog examples/QuickStart muse.texi


2005-06-15 23:50:12 GMT	Michael Olson <mwolson@gnu.org>	patch-59

    Summary:
      Release this as Muse 3.00.90 (RC1).
    Revision:
      muse--main--1.0--patch-59

    * Makefile (%.elc): Use -q instead of --no-init-file because the former
      is compatible with both Emacs and XEmacs.
    
    * examples/README: Renamed to QuickStart.
    
    * examples/Makefile (EXAMPLES): Reflect name change of README.
    
    * muse.el: Ditto.

    modified files:
     ChangeLog Makefile examples/Makefile muse.el

    renamed files:
     examples/.arch-ids/README.id
       ==> examples/.arch-ids/QuickStart.id
     examples/README
       ==> examples/QuickStart


2005-06-15 22:47:05 GMT	Michael Olson <mwolson@gnu.org>	patch-58

    Summary:
      Makefile refactoring.
    Revision:
      muse--main--1.0--patch-58

    * Makefile (.PHONY): List all non-file targets.
      (examples): New rule that calls Make in the examples directory.
      (atranslit): Removed, since this isn't (yet) bundled with Muse.
    
    * README: Move to the examples directory.  I'd prefer to distribute a
      very basic plain text README and use this as a quickstart + markup
      example + publishing example.
    
    * examples/Makefile: Move all README-related rules here.
    
    * examples/README: Add an "About this document" section.  
    
    * scripts/publish (style): Do not include the contrib directory, since we
      don't use any code from there.  Since this is only invoked from the
      examples directory, make sure add the parent directory to the load
      path.
    
    * muse.texi: Change version to 3.00.90 (RC1).
    
    * muse.el: Change location of the README file in header.
    
    * muse.el (muse-version): Update to 3.00.90 (RC1).

    new files:
     examples/.arch-ids/Makefile.id examples/Makefile

    modified files:
     ChangeLog Makefile examples/README muse.el muse.texi
     scripts/publish

    renamed files:
     .arch-ids/README.id
       ==> examples/.arch-ids/README.id
     README
       ==> examples/README


2005-06-14 03:14:05 GMT	Michael Olson <mwolson@gnu.org>	patch-57

    Summary:
      Update my example configuration.
    Revision:
      muse--main--1.0--patch-57

    * examples/mwolson/muse-init.el: Update to reflect use of outline faces
      and experimental status of muse-message.

    modified files:
     ChangeLog examples/mwolson/muse-init.el


2005-06-14 03:08:54 GMT	Michael Olson <mwolson@gnu.org>	patch-56

    Summary:
      Provide optional outline-style faces; customization fixes; experimental stuff.
    Revision:
      muse--main--1.0--patch-56

    * muse-colors.el (muse-colors-autogen-headings): New user-customizable
      option that determines what the header faces should look like.  If
      'outline, use outline-style faces.  If nil, don't generate the faces at
      all, which allows the user to specify their own.  Otherwise, use the
      scaled faces, which is the default behavior.
      (muse-colors-outline-faces-list): List of faces to use.  In case the
      outline faces are not available, provide reasonable defaults.
      (muse-make-faces): Use dolist instead of mapc.  Implement the
      possibility of having outline-style colors for heading.  Don't call
      this function immediately -- give the users time to make their changes
      through the customize interface.  Once we call this function, Emcs from
      CVS will not allow the faces to be changed easily, which is a shame.
    
    * muse-message.el (muse-message-contents-tag): Copied from
      `muse-publish-contents-tag' in order to keep the customization
      interface from making the `muse-markup-tags' option from throwing a
      type mismatch error.  This function is untested and will likely do
      nothing useful.  This file has been moved to the experimental folder
      until it gets fleshed out more.
    
    * experimental/muse-wiki.el: New file from johnw's initial attempt at a
      file that could eventually provide wiki-like ability.  Currently this
      is just a collection of functions that were pruned out when he remade
      Muse, so don't get too excited.  I plan to eventually merge Yann
      Hodique's work here, probably after the first release of Muse.
    
    * muse-regexps.el (muse-regexp): Improve description.
    
    * muse-project.el (muse-project-ignore-regexp): Make this be a part of
      the muse-regexp group since it is just a single regexp.  Lists of
      regexps don't have to be in muse-regexp, however.
    
    * muse-blosxom.el (muse-blosxom): Change use of `behaviour' to `behavior'
      since the Emacs devel mailing list seems to not want Britain-izations
      in Emacs code.
    
    * muse-colors.el (muse-colors): Ditto.
    
    * muse-docbook.el (muse-docbook): Ditto.
    
    * muse-html.el (muse-html): Ditto.
    
    * muse-http.el (muse-http): Ditto.
    
    * muse-message.el (muse-message): Ditto.
    
    * muse-mode.el (muse-mode): Ditto.
    
    * muse-project.el (muse-project): Ditto.
    
    * muse-publish.el (muse-publish): Ditto.
    
    * muse.el (muse): Ditto.

    new files:
     experimental/.arch-ids/=id
     experimental/.arch-ids/muse-wiki.el.id
     experimental/muse-wiki.el

    modified files:
     ChangeLog experimental/muse-message.el muse-blosxom.el
     muse-colors.el muse-docbook.el muse-html.el muse-http.el
     muse-mode.el muse-project.el muse-publish.el muse-regexps.el
     muse.el

    renamed files:
     .arch-ids/muse-message.el.id
       ==> experimental/.arch-ids/muse-message.el.id
     muse-message.el
       ==> experimental/muse-message.el

    new directories:
     experimental experimental/.arch-ids


2005-06-13 22:37:20 GMT	Michael Olson <mwolson@gnu.org>	patch-55

    Summary:
      Fix publishing error when given an empty string for header/footer.
    Revision:
      muse--main--1.0--patch-55

    * muse-publish.el (muse-insert-file-or-string): Don't pass argument to
      `file-readable-p' if it is an empty string.  For some reason,
      `file-readable-p' and `insert-file-contents' were treating an empty
      string as if it were the current directory.

    modified files:
     ChangeLog muse-publish.el


2005-06-13 22:01:00 GMT	Michael Olson <mwolson@gnu.org>	patch-54

    Summary:
      WYSIWYG emphasis, XEmacs compatibility hacks.
    Revision:
      muse--main--1.0--patch-54

    * muse-colors.el (muse-colors-emphasized): Make emphasis more WYSIWIG
      compliant.  Only colorize if we end with the same number of asterisks
      as we start with, preventing unnoticed syntax errors.  Don't colorize
      in the middle of a word.
      (muse-colors-underlined): Make underlining more WYSIWIG compliant.
      Only colorize if we end with an underscore.  Don't colorize in the
      middle of a word.
    
    * muse-docbook.el (muse-docbook-markup-paragraph): Move question mark
      inside of group.  This will probably not do anything, but it seems
      syntactically good.
    
    * muse-html.el (muse-html-markup-paragraph): Attempt to deal with case
      where we start with an image link.  JohnW didn't seem to like having
      <p> tags inserted before image links, but they don't validate properly
      as they are.  For now, I will surround such links/paragraphs with <div
      class="image-link"> in an attempt to be as not invasive and yet
      standards compliant as possible.
    
    * muse-html.el (muse-html-escape-string): Work around distinction between
      int and char types in XEmacs.  Deal with an annoying replace-match bug
      in XEmacs that rears its head at times.
    
    * muse-publish.el (muse-publish-markup-word): Allow underlines to be
      multi-line.

    modified files:
     ChangeLog muse-colors.el muse-docbook.el muse-html.el
     muse-publish.el


2005-06-13 01:13:08 GMT	Michael Olson <mwolson@gnu.org>	patch-53

    Summary:
      Minor code cleanup to address elint issues.
    Revision:
      muse--main--1.0--patch-53

    * Makefile (test): Don't build README files during this rule.  Remove
      spurious "make clean" statement.
    
    * muse-colors.el (muse-colors-tags): Make sure that this appears in the
      `muse-colors' group, and give it a proper type.
    
    * muse-mode.el: Wrap condition-case around `eval-when-compile'.
    
    * examples/johnw/muse-johnw.el (muse-my-html-insert-contents,
      muse-my-journal-find-entries): Replace `string-to-int' with
      `string-to-number'.
    
    * muse-html.el (muse-html-insert-contents): Ditto.
    
    * muse-journal.el (muse-journal-html-munge-buffer,
      muse-journal-latex-munge-buffer): Ditto.
    
    * muse-journal.el (muse-journal-rss-munge-buffer): Ditto.
    
    * muse-publish.el (muse-publish-markup-footnote,
      muse-publish-contents-tag): Ditto.
    
    * muse-regexps.el (muse-extreg-usable-p): Ditto.

    modified files:
     ChangeLog Makefile examples/johnw/muse-johnw.el muse-colors.el
     muse-html.el muse-journal.el muse-mode.el muse-publish.el
     muse-regexps.el


2005-06-13 00:41:10 GMT	Michael Olson <mwolson@gnu.org>	patch-52

    Summary:
      Add ability to automate the creation a new blosxom entry.
    Revision:
      muse--main--1.0--patch-52

    * examples/mwolson/muse-init.el: Move new entry section to
      muse-blosxom.el.  Modify the key settings in my example accordingly.
    
    * muse-blosxom.el (muse-blosxom-footer): Just use the empty string, since
      Muse always makes sure that the file ends with a newline.
    
    * muse-blosxom.el (muse-blosxom-markup-regexps): Remove this, since
      planner markup is now provided automatically by the planner port to
      Muse, and we don't have any customized markup.
    
    * muse-blosxom.el (muse-blosxom-base-directory): New customizable
      variable that specifies where the base directory of your blog entries
      is found.
    
    * muse-blosxom.el (muse-blosxom-get-categories): Get the categories from
      the base directory.  Explore categories recursively.
    
    * muse-blosxom.el (muse-blosxom-title-to-file): Helper function for
      `muse-blosxom-new-entry'.  Turns the given title into a lowercase, sans
      special characters file name.
    
    * muse-blosxom.el (muse-blosxom-new-entry): Automate the process of
      making a new blog entry.  It will prompt you for a category, then a
      title, and then will create a new file that has the date and title
      inserted.

    modified files:
     ChangeLog examples/mwolson/muse-init.el muse-blosxom.el


2005-06-12 22:11:20 GMT	Michael Olson <mwolson@gnu.org>	patch-51

    Summary:
      Change mailing address of FSF, add AUTHORS file.
    Revision:
      muse--main--1.0--patch-51

    * muse-*.el, muse.texi: Change mailing address of FSF.
    
    * muse.texi (Contributors): Fix typo.
    
    * AUTHORS: New file containing a list of all of those who have
      contributed code or documentation to Muse, how many lines were changed,
      etc.

    new files:
     .arch-ids/AUTHORS.id AUTHORS

    modified files:
     ChangeLog muse-blosxom.el muse-convert.el muse-docbook.el
     muse-html.el muse-http.el muse-journal.el muse-latex.el
     muse-message.el muse-mode.el muse-poem.el muse-project.el
     muse-publish.el muse-regexps.el muse-texinfo.el muse.el
     muse.texi


2005-06-12 21:33:24 GMT	Michael Olson <mwolson@gnu.org>	patch-50

    Summary:
      Merged from hodique@lifl.fr--2005 (patch 0-1)
    Revision:
      muse--main--1.0--patch-50

    Patches applied:
    
     * hodique@lifl.fr--2005/muse--yh--1.0--base-0
       tag of mwolson@gnu.org--2005/muse--main--1.0--patch-49
    
     * hodique@lifl.fr--2005/muse--yh--1.0--patch-1
       fix .html (for example) in visible names for links

    modified files:
     ChangeLog muse-publish.el


2005-06-11 23:35:43 GMT	Michael Olson <mwolson@gnu.org>	patch-49

    Summary:
      Make generated X(HT)ML show up in the right encoding in other modes.
    Revision:
      muse--main--1.0--patch-49

    * muse-html.el (muse-xhtml-header): Add "encoding=..." to first line.
      Thanks to Zhiqiang Ye for the suggestion.  This attempts to make
      generated (X)HTML files show up in the right coding system when editing
      them with another Emacs mode.
    
    * muse-journal.el (muse-journal-rss-header): Automatically determine the
      encoding instead of hard-coding it.
    
    * muse-message.el: Add content to Commentary section, explaining the use
      of this publishing style.

    modified files:
     ChangeLog muse-html.el muse-journal.el muse-message.el


2005-06-11 01:28:01 GMT	Michael Olson <mwolson@gnu.org>	patch-48

    Summary:
      Move regexps to same group, only make 4 heading faces.
    Revision:
      muse--main--1.0--patch-48

    * muse-colors.el (muse-make-faces): Only create 4 header faces since we
      can only publish 3 of them specially, leaving the fourth to be in
      plain text.
      (muse-colors-markup): Only recognize 4 levels of heading.
    
    * muse-regexps.el (muse-tag-regexp, muse-link-regexp, muse-url-regexp)
      (muse-file-regexp, muse-image-regexp)
      (muse-ignored-extensions-regexp): Moved here from muse.el.  It seems
      like a good idea to have all the regexps in the same group.

    modified files:
     ChangeLog muse-colors.el muse-regexps.el muse.el


2005-06-09 19:48:02 GMT	Michael Olson <mwolson@gnu.org>	patch-47

    Summary:
      Update my example config, minor code cleanup.
    Revision:
      muse--main--1.0--patch-47

    * examples/mwolson/muse-init.el (muse-project-alist): Shorten project
      names and add "Plans" project.
    
    * muse-docbook.el (looking-back): Delete.
    
    * muse-html.el (looking-back): Delete.
    
    * muse-html.el (muse-html-markup-paragraph): Use `muse-looking-back'
      instead of `looking-back'.
    
    * muse.el (muse-looking-back): Instead of redefining the `looking-back'
      function, use this function.  If `looking-back' exists, call it;
      otherwise, use a workaround.

    removed files:
     contrib/.arch-ids/pcomplete.el.id contrib/pcomplete.el

    modified files:
     ChangeLog examples/mwolson/muse-init.el muse-docbook.el
     muse-html.el muse.el


2005-05-30 22:15:13 GMT	Michael Olson <mwolson@gnu.org>	patch-46

    Summary:
      Handle a few paragraph publishing edge cases better.
    Revision:
      muse--main--1.0--patch-46

    * muse-docbook.el (muse-docbook-markup-regexps): Consolidate the
      beginning-of-document, end-of-document, and paragraph separator regexps
      so that one markup rule can be used in all these cases.
      (muse-docbook-markup-paragraph): Handle more cases correctly.  In
      particular, blockquote or center at beginning or end of document will
      be published properly.  Hopefully this won't slow things down too much.
      (muse-docbook-markup-paragraph-close): Removed.
    
    * muse-blosxom.el (muse-blosxom-markup-regexps): Ditto.
    
    * muse-html.el (muse-html-markup-regexps, muse-html-markup-paragraph):
      Ditto.
      (muse-html-markup-paragraph-close): Removed.

    modified files:
     ChangeLog muse-blosxom.el muse-docbook.el muse-html.el


2005-05-28 23:37:11 GMT	Michael Olson <mwolson@gnu.org>	patch-45

    Summary:
      Improve prompt when reading a tag.
    Revision:
      muse--main--1.0--patch-45

    * muse-mode.el (muse-insert-tag): Add a colon after "default" like some
      other Emacs modes seem to do.

    modified files:
     ChangeLog muse-mode.el


2005-05-28 23:34:50 GMT	Michael Olson <mwolson@gnu.org>	patch-44

    Summary:
      Warn user when publishing fails due to a private directory.
    Revision:
      muse--main--1.0--patch-44

    * muse-project.el (muse-project-private-p): Warn users when publishing a
      file fails due to its directory not being readable by others.  Make
      sure that you do a `chmod +o name_of_directory' if you want the
      contents of that directory to be publishable.

    modified files:
     ChangeLog muse-project.el


2005-05-28 23:21:39 GMT	Michael Olson <mwolson@gnu.org>	patch-43

    Summary:
      Fix error with example tags and message publishing style.
    Revision:
      muse--main--1.0--patch-43

    * muse-colors.el: Don't define `font-lock-mode' as a variable.  Check to
      see if a previous definition for `font-lock-multiline' exists.
    
    * muse-message.el (muse-message-example-tag): Don't require two
      additional (unused) arguments.

    modified files:
     ChangeLog muse-colors.el muse-message.el


2005-05-22 05:58:40 GMT	Michael Olson <mwolson@gnu.org>	patch-42

    Summary:
      Always end the published document with a newline.
    Revision:
      muse--main--1.0--patch-42

    * muse-html.el (muse-html-markup-paragraph-close): Always end the
      published document with a newline.
    
    * muse-docbook.el (muse-docbook-markup-paragraph-close): Ditto.

    modified files:
     ChangeLog muse-docbook.el muse-html.el


2005-05-22 01:26:13 GMT	Michael Olson <mwolson@gnu.org>	patch-41

    Summary:
      Don't let automatic backup files crash the publishing process.
    Revision:
      muse--main--1.0--patch-41

    * muse-blosxom.el (muse-blosxom-markup-regexps): Remove rule for date
      directive since this value is already processed by
      `muse-publish-markup-directive', and may be obtained by using
      the code: (muse-publishing-directive "date").
    
    * muse-colors.el (muse-colors-region): Make sure that we don't ever try
      to run (funcall nil); this happened once during a debugging process.
    
    * muse-project.el (muse-project-private-p): Skip any file for which we
      cannot fetch attributes.  This fixes a bug where having an
      Emacs-generated automatic backup file in a publishing directory causes
      the publishing process to halt with an error.

    modified files:
     ChangeLog muse-blosxom.el muse-colors.el muse-project.el


2005-05-20 20:44:46 GMT	Michael Olson <mwolson@gnu.org>	patch-40

    Summary:
      Apply fix in previous patch to the DocBook publishing style.
    Revision:
      muse--main--1.0--patch-40

    * muse-docbook.el (muse-docbook-markup-paragraph-close): Apply fix from
      previous patch here as well.
    

    modified files:
     ChangeLog muse-docbook.el


2005-05-20 20:28:32 GMT	Michael Olson <mwolson@gnu.org>	patch-39

    Summary:
      Fix newly-introduced lock-up during HTML publishing.
    Revision:
      muse--main--1.0--patch-39

    * muse-blosxom.el (muse-blosxom-markup-regexps): Give date directive and
      planner rules higher priority in the publishing sequence.  Hopefully
      this will not wreck anything; I don't use these rules, so I cannot
      tell.  This wasn't a real bugfix, just an aesthetic code thing for me.
    
    * muse-html.el (muse-html-markup-paragraph-close): Don't use
      replace-match; that seems to be slightly evil.  Return nil instead of a
      newline since otherwise Muse thinks that we are not done yet and gets
      into an infinite loop.  This should fix the lock-up problem that
      resulted from the previous few patches.

    modified files:
     ChangeLog muse-blosxom.el muse-html.el


2005-05-19 23:44:16 GMT	Michael Olson <mwolson@gnu.org>	patch-38

    Summary:
      Parenthesis goofup.
    Revision:
      muse--main--1.0--patch-38

    * muse-blosxom.el (muse-blosxom-markup-regexps): Remove stray parenthesis.
    

    modified files:
     ChangeLog muse-blosxom.el


2005-05-19 23:41:54 GMT	Michael Olson <mwolson@gnu.org>	patch-37

    Summary:
      Make docbook and blosxom modes close paragraphs properly at end.
    Revision:
      muse--main--1.0--patch-37

    * muse-blosxom.el (muse-blosxom-markup-regexps): Use new rule from last
      patch.
    
    * muse-docbook.el (muse-docbook-markup-regexps): Ditto.
      (muse-docbook-markup-paragraph-close): Adapt from
      `muse-html-markup-paragraph-close'.
    
    * muse-html.el (muse-html-markup-paragraph-close): Add newline so that we
      preserve the same appearance as before the last patch.

    modified files:
     ChangeLog muse-blosxom.el muse-docbook.el muse-html.el


2005-05-19 23:26:50 GMT	Michael Olson <mwolson@gnu.org>	patch-36

    Summary:
      Bugfix: Close P tag properly at end of file.
    Revision:
      muse--main--1.0--patch-36

    * muse-blosxom.el: Fix bug where loading this file twice would cause an
      error.
    
    * muse-html.el (muse-html-markup-regexps): Use simpler mechanism for
      detecting whether or not a paragraph needs a closing P tag.
      (muse-html-markup-paragraph-close): New function that only inserts a
      closing P tag when an unclosed P tag is nearby.

    modified files:
     ChangeLog muse-blosxom.el muse-html.el


2005-05-18 06:07:02 GMT	Michael Olson <mwolson@gnu.org>	patch-35

    Summary:
      Update my example settings.
    Revision:
      muse--main--1.0--patch-35

    * examples/mwolson/muse-init.el: Synchronize with my current settings.

    modified files:
     ChangeLog examples/mwolson/muse-init.el


2005-05-18 06:03:07 GMT	Michael Olson <mwolson@gnu.org>	patch-34

    Summary:
      Update documentation for C-c TAB feature.
    Revision:
      muse--main--1.0--patch-34

    * muse.texi (Keystroke Summary): Note that C-c TAB calls
      `muse-insert-tag'.
    

    modified files:
     ChangeLog muse.texi


2005-05-18 06:00:27 GMT	Michael Olson <mwolson@gnu.org>	patch-33

    Summary:
      New feature: tag completion with C-c TAB.
    Revision:
      muse--main--1.0--patch-33

    * muse-mode.el (muse-mode-map): Map C-c TAB to `muse-insert-tag'.
      (muse-tag-history, muse-custom-tags): New variables that keep track of
      the tag history and newly-entered tags respectively for
      `muse-insert-tag'.
      (muse-insert-tag): New function that interactively prompts the user for
      a tag to use.

    modified files:
     ChangeLog muse-mode.el


2005-05-18 05:49:07 GMT	Michael Olson <mwolson@gnu.org>	patch-32

    Summary:
      Fix XHTML validation error with <hr> and <br>.
    Revision:
      muse--main--1.0--patch-32

    * muse-html.el (muse-xhtml-markup-strings): Use the proper form of the BR
      and HR tags for XHTML publishing.  This should fix a few validation
      errors that I've been noticing lately.

    modified files:
     ChangeLog muse-html.el


2005-05-12 22:46:10 GMT	Michael Olson <mwolson@gnu.org>	patch-31

    Summary:
      Remove flyspell overlays on links.
    Revision:
      muse--main--1.0--patch-31

    * muse-colors.el (muse-colors-link): Remove flyspell overlays.  This
      should make the link clickable.  On Emacs21, the color will stay red,
      but other Emacsen should do the right thing, which is use the normal
      link color.  Hopefully this will fix some strange flyspell-related link
      problems.

    modified files:
     ChangeLog muse-colors.el


2005-05-06 03:30:05 GMT	Michael Olson <mwolson@gnu.org>	patch-30

    Summary:
      Update my example Muse settings.
    Revision:
      muse--main--1.0--patch-30

    * examples/mwolson/muse-init.el: Update from my latest version.
      (muse-project-alist): Remove the francais part of my blog.
      (my-muse-mode-flyspell-p): Split old `my-muse-mode-affect-p' function
      into this and `my-muse-mode-fill-nobreak-p'.
      (muse-mode-hook): Tell fill mode to avoid breaking links; hopefully
      this is the best way to accomplish this.
      (my-muse-blosxom-title-to-file): Replace more non-alphanumeric
      characters in the title.
      (my-muse-prepare-entry-for-xanga): Treat example regions better.

    modified files:
     ChangeLog examples/mwolson/muse-init.el


2005-04-21 18:25:28 GMT	Michael Olson <mwolson@gnu.org>	patch-29

    Summary:
      Add simple `muse-version' function.
    Revision:
      muse--main--1.0--patch-29

    * muse.el (muse-version): New function that displays the value of the
      `muse-version' variable.  This should be easier for the user to type
      than C-h v muse-version.

    modified files:
     ChangeLog muse.el


2005-04-21 18:19:02 GMT	Michael Olson <mwolson@gnu.org>	patch-28

    Summary:
      Don't compile documentation by default.
    Revision:
      muse--main--1.0--patch-28

    * Makefile (all): Don't compile documentation by default.
      (doc): Use this rule to compile documentation.

    modified files:
     ChangeLog Makefile


2005-04-16 18:08:24 GMT	Michael Olson <mwolson@gnu.org>	patch-27

    Summary:
      Merge RSS 2.0 enclosure support for muse-journal.el from johnw
    Revision:
      muse--main--1.0--patch-27

    2005-04-16  Michael Olson  <mwolson@gnu.org>
    
        * muse-journal.el: Merge in enclosure support for RSS 2.0 from
        johnw. If a journal entry's title is a [[link]], then an
        <enclosure> tag will be added to the XML data giving the size and
        MIME type of the link target.  This makes podcasting with Muse
        trivial.
        (muse-journal-rss-entry-template): Add enclosure usage to example.
        (muse-journal-rss-munge-buffer): Implement enclosures.

    modified files:
     ChangeLog muse-journal.el


2005-04-15 05:54:30 GMT	Michael Olson <mwolson@gnu.org>	patch-26

    Summary:
      Standardize source headers, appease elint, don't require planner
    Revision:
      muse--main--1.0--patch-26

    2005-04-15  Michael Olson  <mwolson@gnu.org>
    
        * Makefile, scripts/muse-build.el: Moved muse-build.el to the
        `scripts' directory since it really isn't part of Muse proper; it
        is used to generate Muse output from the command line.
    
        * muse-blosxom.el: Handle case where planner is not loaded so that
        it isn't a hard requirement.
    
        * muse-colors.el: Move definition of `muse-colors-tag-info' up so
        that elint doesn't complain.
    
        * muse-message.el (muse-message-markup-link): Don't throw up on
        links with no description.
    
        * muse-blosxom.el, muse-book.el, muse-colors.el, muse-convert.el,
        muse-docbook.el, muse-html.el, muse-http.el, muse-journal.el,
        muse-latex.el, muse-message.el, muse-mode.el, muse-poem.el,
        muse-project.el, muse-publish.el, muse-regexps.el,
        muse-texinfo.el, muse.el: Add standard header for each file in
        preparation for the initial release, which will hopefully happen
        sometime within the next month.
    

    removed files:
     experimental/.arch-ids/=id

    modified files:
     ChangeLog Makefile muse-blosxom.el muse-book.el muse-colors.el
     muse-convert.el muse-docbook.el muse-html.el muse-http.el
     muse-journal.el muse-latex.el muse-message.el muse-mode.el
     muse-poem.el muse-project.el muse-publish.el muse-regexps.el
     muse-texinfo.el muse.el

    renamed files:
     .arch-ids/muse-build.el.id
       ==> scripts/.arch-ids/muse-build.el.id
     muse-build.el
       ==> scripts/muse-build.el

    removed directories:
     experimental experimental/.arch-ids


2005-04-14 23:46:47 GMT	Michael Olson <mwolson@gnu.org>	patch-25

    Summary:
      Merge contents of muse-latexcjk.el into muse-latex.el.
    Revision:
      muse--main--1.0--patch-25

    2005-04-14  Michael Olson  <mwolson@gnu.org>
    
        * muse-latex.el (muse-latexcjk-header, muse-latexcjk-footer)
        (muse-latexcjk-encoding-map, muse-latexcjk-encoding-default)
        (muse-latexcjk-encoding, muse-latexcjk-transform-content-type):
        Merge in from muse-latexcjk.el.
    
        * muse-latexcjk.el: Removed, functionality merged with
        muse-latex.el

    removed files:
     .arch-ids/muse-latexcjk.el.id muse-latexcjk.el

    modified files:
     ChangeLog muse-latex.el


2005-04-06 23:25:47 GMT	Michael Olson <mwolson@gnu.org>	patch-24

    Summary:
      Merge muse-xhtml.el into muse-html.el.
    Revision:
      muse--main--1.0--patch-24

    2005-04-06  Michael Olson  <mwolson@gnu.org>
    
        * examples/mwolson/muse-init.el: Update with respect to the
        muse-xhtml.el merge.
    
        * muse-html.el: The contents of muse-xhtml.el have been merged in
        as advised by John Wiegley.
        (muse-html-style-sheet): Add example for XHTML use in the
        function's documentation.
        (muse-xhtml-header, muse-xhtml-footer, muse-xhtml-markup-tags):
        Moved from muse-xhtml.el.
    
        * muse-xhtml.el: Removed; contents merged into muse-html.el.

    removed files:
     .arch-ids/muse-xhtml.el.id muse-xhtml.el

    modified files:
     ChangeLog examples/mwolson/muse-init.el muse-html.el


2005-04-06 03:18:55 GMT	Michael Olson <mwolson@gnu.org>	patch-23

    Summary:
      Try to fix regexps for Emacs 21.4.
    Revision:
      muse--main--1.0--patch-23

    2005-04-05  Michael Olson  <mwolson@gnu.org>
    
        * muse-regexps.el (muse-extreg-usable-p): Try to make regexps work
        for Emacs 21.4.

    modified files:
     ChangeLog muse-regexps.el


2005-04-01 17:59:47 GMT	Michael Olson <mwolson@gnu.org>	patch-22

    Summary:
      Add comments to the publish-project example script
    Revision:
      muse--main--1.0--patch-22

    2005-04-01  Michael Olson  <mwolson@gnu.org>
    
        * examples/publish-project: Moved here from
        scripts/publish-project.  Added a few comments so people know what
        it is used for.

    modified files:
     ChangeLog examples/publish-project

    renamed files:
     scripts/.arch-ids/publish-project.id
       ==> examples/.arch-ids/publish-project.id
     scripts/publish-project
       ==> examples/publish-project


2005-04-01 02:27:08 GMT	Michael Olson <mwolson@gnu.org>	patch-21

    Summary:
      New XHTML style, add more examples to my sample muse config
    Revision:
      muse--main--1.0--patch-21

    2005-03-31  Michael Olson  <mwolson@gnu.org>
    
        * examples/mwolson/muse-init.el: Give an example of deriving a
        custom publishing style.
        (my-muse-blosxom-finalize): Finalizes the "my-blosxom" style.
        (my-muse-prepare-entry-for-xanga): Mangle the published output
        from a blosxom project and copy the result to the clipboard for
        easy pasting into Xanga's web form.  The file is untouched.
    
        * muse-html.el (muse-html-style-sheet): Include the <style
        type="text/css"></style> wrapper around the example.
        (muse-html-header): Don't add <style type="text/css"></style>
        around the value of `muse-html-style-sheet' anymore.  This allows
        for the option of putting your stylesheet(s) in a separate file.
        An example of this is given in the documentation for this
        variable.
    
        * muse-xhtml: New file that implements a publishing style which is
        derived from HTML mode.  It uses a slightly modified version of
        the HTML markup rules to generate XHTML-compliant output.
    
        * muse-blosxom.el: Add new "blosxom-xhtml" style.  The old
        "blosxom" style has been renamed to "blosxom-html".  Fix a few
        header gaffes.
    
        * muse-journal.el: Add new "journal-xhtml" style.
    
        * muse-message.el: Add new "message-xhtml" style.

    new files:
     .arch-ids/muse-xhtml.el.id muse-xhtml.el

    modified files:
     ChangeLog examples/mwolson/muse-init.el muse-blosxom.el
     muse-html.el muse-journal.el muse-message.el


2005-03-25 03:55:13 GMT	Michael Olson <mwolson@gnu.org>	patch-20

    Summary:
      Add my muse configuration to the examples
    Revision:
      muse--main--1.0--patch-20

    2005-03-24  Michael Olson  <mwolson@gnu.org>
    
        * examples/johnw: Move John Wiegley's configuration to this
        directory.
    
        * examples/mwolson: My configuration files go here.
    
        * examples/mwolson/muse-init.el: My Muse configuration file.  I
        just figured out how to keep links from being spell-checked or
        split up by fill-mode, so the implementation of this may be found
        here.  I also made a function that sets up a blog entry for me.

    new files:
     examples/johnw/.arch-ids/=id examples/mwolson/.arch-ids/=id
     examples/mwolson/.arch-ids/muse-init.el.id
     examples/mwolson/muse-init.el

    modified files:
     ChangeLog

    renamed files:
     examples/.arch-ids/muse-johnw.el.id
       ==> examples/johnw/.arch-ids/muse-johnw.el.id
     examples/.arch-ids/publish-johnw.id
       ==> examples/johnw/.arch-ids/publish-johnw.id
     examples/muse-johnw.el
       ==> examples/johnw/muse-johnw.el
     examples/publish-johnw
       ==> examples/johnw/publish-johnw

    new directories:
     examples/johnw examples/johnw/.arch-ids examples/mwolson
     examples/mwolson/.arch-ids


2005-03-24 22:57:10 GMT	Michael Olson <mwolson@gnu.org>	patch-19

    Summary:
      Add muse-blosxom script and plugin for pyblosxom
    Revision:
      muse--main--1.0--patch-19

    2005-03-24  Michael Olson  <mwolson@gnu.org>
    
        * muse-blosxom.el: Update copyright notice in headers and mention
        the pyblosxom scripts.
    
        * contrib/pyblosxom: New directory containing pyblosxom plugins
        and helper scripts.
    
        * contrib/getstamps.py: Script that generates the "timestamps"
        file, run on the local machine.
    
        * contrib/hardcodedates.py: PyBlosxom plugin that interprets the
        timestamps file.

    new files:
     contrib/pyblosxom/.arch-ids/=id
     contrib/pyblosxom/.arch-ids/getstamps.py.id
     contrib/pyblosxom/.arch-ids/hardcodedates.py.id
     contrib/pyblosxom/getstamps.py
     contrib/pyblosxom/hardcodedates.py

    modified files:
     ChangeLog muse-blosxom.el

    new directories:
     contrib/pyblosxom contrib/pyblosxom/.arch-ids


2005-03-23 19:05:09 GMT	Michael Olson <mwolson@gnu.org>	patch-18

    Summary:
      muse-blosxom.el has matured past experimental status
    Revision:
      muse--main--1.0--patch-18

    2005-03-23  Michael Olson  <mwolson@gnu.org>
    
        * muse-blosxom.el: Remove common functionality that has already
        been implemented in `muse-html.el'.  Derive this mode from
        `muse-html'.  Update documentation.  I now feel that this file is
        ready to be included in the top-level Muse directory.

    modified files:
     ChangeLog muse-blosxom.el

    renamed files:
     experimental/.arch-ids/muse-blosxom.el.id
       ==> .arch-ids/muse-blosxom.el.id
     experimental/muse-blosxom.el
       ==> muse-blosxom.el


2005-03-22 05:28:01 GMT	Michael Olson <mwolson@gnu.org>	patch-17

    Summary:
      Make muse-blosxom.el slightly less experimental
    Revision:
      muse--main--1.0--patch-17

    2005-03-22  Michael Olson  <mwolson@gnu.org>
    
        * experimental/muse-blosxom.el (muse-blosxom-page-date-alist):
        Renamed from `blosxom-page-date-alist'.  Currently it does nothing
        useful.
        (muse-blosxom-markup-regexps): Remove unnecessary first grouping
        from the `muse-blosxom-markup-date-directive' rule.
        (blosxom-set-time): Remove this function.  We're not going to be
        touching the timestamp manually anymore -- it's too much of a
        hassle.  Right now I've got a python program that compiles a
        timestamp file and a pyblosxom helper that reads it.  Something
        similar could be arranged for blosxom, I'm sure.
    

    modified files:
     ChangeLog experimental/muse-blosxom.el


2005-03-20 19:40:10 GMT	Michael Olson <mwolson@gnu.org>	patch-16

    Summary:
      Apply latest journal-related updates from johnw
    Revision:
      muse--main--1.0--patch-16


    modified files:
     ChangeLog examples/muse-johnw.el muse-journal.el


2005-03-01 02:58:29 GMT	Michael Olson <mwolson@gnu.org>	patch-15

    Summary:
      Add Projects node to the manual
    Revision:
      muse--main--1.0--patch-15

    2005-02-28  Michael Olson  <mwolson@gnu.org>
    
        * muse.texi: Change copyright notice since the FSF is now the
        copyright holder.
        (Projects): New node, based on a section from the README file.

    modified files:
     ChangeLog muse.texi


2005-03-01 02:25:15 GMT	Michael Olson <mwolson@gnu.org>	patch-14

    Summary:
      Correct documentation, adding some content.
    Revision:
      muse--main--1.0--patch-14

    2005-02-28  Michael Olson  <mwolson@gnu.org>
    
        * muse.texi: Change license terms of the documentation to the GNU
        GPL instead of the GNU FDL, as per the consent of the copyright
        holders of the emacs-wiki manual, from which this is based.  Some
        emacs-wiki-isms in the manual were corrected, and the Getting
        Started section was updated.

    modified files:
     ChangeLog muse.texi


2005-02-17 19:08:19 GMT	Michael Olson <mwolson@gnu.org>	patch-13

    Summary:
      Make muse-blosxom.el a bit more sane, still need to bum it down a bit
    Revision:
      muse--main--1.0--patch-13

    2005-02-17  Michael Olson  <mwolson@gnu.org>
    
        * experimental/muse-blosxom.el: Somehow the contents of this file
        managed to get duplicated.  I removed the duplicates.
        (muse-blosxom-date): Remove this, since it is not useful.
        (muse-blosxom-header): Use the standard header that blosxom.el
        has.

    modified files:
     ChangeLog experimental/muse-blosxom.el


2005-02-08 04:20:41 GMT	Michael Olson <mwolson@gnu.org>	patch-12

    Summary:
      Initial commit of muse.texi, nothing substantial
    Revision:
      muse--main--1.0--patch-12

    2005-02-07  Michael Olson  <mwolson@gnu.org>
    
        * muse.texi: New file that provides the documentation for Muse.
        It is in a very rough form at the moment.  Nothing substantial may
        be found here yet.  Be ye warned.

    new files:
     .arch-ids/muse.texi.id muse.texi

    modified files:
     ChangeLog


2005-02-08 01:15:15 GMT	Michael Olson <mwolson@gnu.org>	patch-11

    Summary:
      Add docstring, new trivial function
    Revision:
      muse--main--1.0--patch-11

    2005-02-07  Michael Olson  <mwolson@gnu.org>
    
        * muse-mode.el (muse-mode-map): Make "C-c =" trigger
        `muse-what-changed'.  No functionality change.
        (muse-what-changed): New function that displays in diff format the
        changes made since the buffer was last saved.
    
        * muse-project.el (muse-project-publish): Add docstring.

    modified files:
     ChangeLog muse-mode.el muse-project.el


2005-02-04 18:42:08 GMT	Michael Olson <mwolson@gnu.org>	patch-10

    Summary:
      Add experimental version of muse-blosxom.el to project
    Revision:
      muse--main--1.0--patch-10

    2005-02-04  Michael Olson  <mwolson@gnu.org>
    
        * Makefile (realclean): Remove file that gets generated when fonts
        are missing.
    
        * experimental/muse-bloxsom.el: New file that implements Blosxom
        support for Muse.  It's in a very rough state, hence its placement
        in the `experimental' directory.

    new files:
     experimental/.arch-ids/=id
     experimental/.arch-ids/muse-blosxom.el.id
     experimental/muse-blosxom.el

    modified files:
     ChangeLog Makefile

    new directories:
     experimental experimental/.arch-ids


2005-02-04 18:19:44 GMT	Michael Olson <mwolson@gnu.org>	patch-9

    Summary:
      Make permissions more consistent
    Revision:
      muse--main--1.0--patch-9


    modified files:
     ChangeLog

    modified directories:
     contrib examples scripts


2005-02-04 18:13:56 GMT	Michael Olson <mwolson@gnu.org>	patch-8

    Summary:
      Fix build problems
    Revision:
      muse--main--1.0--patch-8

    2005-02-04  Michael Olson  <mwolson@gnu.org>
    
        * muse-build.el: Add contrib directory to `load-path'.
        (muse-elint-files): Load `muse-regexps.el'.
    
        * scripts/publish: Change permissions so that this script is
        executable.  Add contrib directory to load list.  Add
        `muse-regexps.el' to list.

    modified files:
     ChangeLog muse-build.el scripts/publish


2005-01-31 21:04:43 GMT	Michael Olson <mwolson@gnu.org>	patch-7

    Summary:
      Use "&mdash;" instead of "&#151;"
    Revision:
      muse--main--1.0--patch-7

    2005-01-31  Michael Olson  <mwolson@gnu.org>
    
        * muse-docbook.el (muse-docbook-markup-strings): Replace "&#151;"
        with "&mdash;" so that documents validate properly.  Thanks to
        Björn Lindström for the suggestion.
    
        * muse-html.el (muse-html-markup-strings): Ditto.

    modified files:
     ChangeLog muse-docbook.el muse-html.el


2005-01-25 19:04:31 GMT	Michael Olson <mwolson@gnu.org>	patch-6

    Summary:
      Fix use of "[:blank:]" in underline markup
    Revision:
      muse--main--1.0--patch-6

    2005-01-25  Michael Olson  <mwolson@gnu.org>
    
        * muse-colors.el (muse-colors-markup): Replace "[:blank:]" with
        use of `muse-regexp-blank'.

    modified files:
     ChangeLog muse-colors.el


2005-01-03 06:00:43 GMT	Michael Olson <mwolson@member.fsf.org>	patch-5

    Summary:
      Fix problem with headings being given wrong face
    Revision:
      muse--main--1.0--patch-5

    2005-01-03  Michael Olson  <mwolson@gnu.org>
    
    	* muse-colors.el: Add header.
    	(muse-colors-emphasized): Headings were being given the coloring
    	for the next level of heading instead of the real
    	level (i.e. `muse-header-2' instead of `muse-header-1' for "*
    	Heading").  Thanks to Lan Yufeng for finding this and sending a
    	patch.
    
    	* muse-regexps.el: Fix header.

    modified files:
     ChangeLog muse-colors.el muse-regexps.el


2005-01-02 00:02:15 GMT	Michael Olson <mwolson@member.fsf.org>	patch-4

    Summary:
      Rotate ChangeLog
    Revision:
      muse--main--1.0--patch-4

    2005-01-01  Michael Olson  <mwolson@gnu.org>
    
        * ChangeLog: Move old ChangeLog to ChangeLog.2004.  This new
        version will be automatically maintained by Arch.
    

    new files:
     .arch-ids/ChangeLog.id ChangeLog

    renamed files:
     .arch-ids/ChangeLog.id
       ==> .arch-ids/ChangeLog.2004.id
     ChangeLog
       ==> ChangeLog.2004


2004-12-30 07:26:48 GMT	Michael Olson <mwolson@member.fsf.org>	patch-3

    Summary:
      Extended regexps fix, allow spaces in 1st part of links
    Revision:
      muse--main--1.0--patch-3

    2004-12-30  Michael Olson  <mwolson@gnu.org>
    
        * muse.el (muse-link-regexp): Allow spaces in the first part of
        links.
    
        * muse-colors.el, muse-convert.el, muse-docbook.el: Use
        customizable alternatives to extended character classes.
    
        * muse-html.el, muse-mode.el, muse-publish.el: Ditto.

    modified files:
     ChangeLog muse-colors.el muse-convert.el muse-docbook.el
     muse-html.el muse-mode.el muse-publish.el muse.el


2004-12-30 02:18:07 GMT	Michael Olson <mwolson@member.fsf.org>	patch-2

    Summary:
      Begin to change regexp handling, tweak muse.el header
    Revision:
      muse--main--1.0--patch-2

    2004-12-29  Michael Olson  <mwolson@gnu.org>
    
        * muse.el: Change Copyright notice to FSF.  Change Maintainer to
        myself.  Update URL.
    
        * muse-regexps.el: New file that implements regexp handling.
        Generalized regexp options will be moved to it eventually.

    new files:
     .arch-ids/muse-regexps.el.id muse-regexps.el

    modified files:
     ChangeLog muse.el


2004-12-30 01:49:50 GMT	Michael Olson <mwolson@member.fsf.org>	patch-1

    Summary:
      Do some early spring cleaning
    Revision:
      muse--main--1.0--patch-1

    2004-12-29  Michael Olson  <mwolson@gnu.org>
    
        * Makefile: Change path to `publish' script.
    
        * contrib/pcomplete.el: New file that is used by Muse without
        actually being a part of it: hence its location in the contrib
        directory.
    
        * contrib/cgi.el, contrib/httpd.el: New location.
    
        * examples/muse-johnw.el, examples/publish-johnw: Ditto.
    
        * scripts/publish, scripts/publish-project: Ditto.

    new files:
     contrib/.arch-ids/=id contrib/.arch-ids/pcomplete.el.id
     contrib/pcomplete.el examples/.arch-ids/=id
     scripts/.arch-ids/=id

    modified files:
     ChangeLog Makefile

    renamed files:
     .arch-ids/cgi.el.id
       ==> contrib/.arch-ids/cgi.el.id
     .arch-ids/httpd.el.id
       ==> contrib/.arch-ids/httpd.el.id
     .arch-ids/muse-johnw.el.id
       ==> examples/.arch-ids/muse-johnw.el.id
     .arch-ids/publish-johnw.id
       ==> examples/.arch-ids/publish-johnw.id
     .arch-ids/publish-project.id
       ==> scripts/.arch-ids/publish-project.id
     .arch-ids/publish.id
       ==> scripts/.arch-ids/publish.id
     cgi.el
       ==> contrib/cgi.el
     httpd.el
       ==> contrib/httpd.el
     muse-johnw.el
       ==> examples/muse-johnw.el
     publish
       ==> scripts/publish
     publish-johnw
       ==> examples/publish-johnw
     publish-project
       ==> scripts/publish-project

    new directories:
     contrib contrib/.arch-ids examples examples/.arch-ids scripts
     scripts/.arch-ids


2004-12-30 01:33:11 GMT	Michael Olson <mwolson@member.fsf.org>	base-0

    Summary:
      tag of mwolson@member.fsf.org--2004/muse--main--1.0--patch-3
    Revision:
      muse--main--1.0--base-0

    (automatically generated log message)


See ChangeLog.1 for earlier changes.

;; Local Variables:
;; coding: utf-8
;; End:
